# Next - Core

## 简介

### 职责
DPL 中 UED 设计体系与前端 UI 体系的核心接口层，负责将 UED 设计体系中用到的所有原子样式(参考原子设计)转化为前端的 CSS 样式声明，以实现设计体系(类似品牌色、文本色、标题文本等在常见业务中的设计场景)的模式化，通过此模式(原子样式变量)，即可配置多种多样不同色系但设计合理的 UI 组件。

在各个 UI 组件中，需要使用原子样式变量构成组件变量，组件变量是各个 UI 组件中使用的变量，而组件变量中使用的原子样式一定来自于 **core**，不可独自定义。

此变量抽象可作为设计的原子样式抽象与前端的基础样式抽象的规范约定。

### 能力
为 Next 的所有 UI 组件提供全局基础样式的变量定义，包括颜色、原角、文本、边线、阴影、动画, 以及其他全局变量定义等；全局 Mixins, Functions；以及浏览器基础样式重置和全站文本样式声明。

### 约定
所有 UI 组件必须引用 `@alifd/next-core` 作为全局默认的变量使用，且定义方式，书写规范也必须和 core 保持一致。不允许有其他全局公共变量对 `@alifd/next-core` 覆写。

### 使用

```
npm install @alifd/next-core --save
```

index.scss

``` scss
@import "~@alifd/next-core/lib/index-noreset.scss";
```
