{"title":"Basic","meta":{"title":"Basic","description":"\n<p>Demo the enter and leave animation of a child element.</p>\n","order":"0"},"codes":{"jsx":"import { Animate } from '@alifd/next';\n\nclass Demo extends React.Component {\n    constructor(props) {\n        super(props);\n        this.state = { visible: true };\n        this.handleToggle = this.handleToggle.bind(this);\n    }\n\n    handleToggle() {\n        this.setState({\n            visible: !this.state.visible\n        });\n    }\n\n    render() {\n        return (\n            <div>\n                <button onClick={this.handleToggle}>Toggle visible</button>\n                <Animate animation={{\n                    enter: 'my-zoom-in',\n                    leave: 'my-zoom-out'\n                }}>\n                    {this.state.visible ?\n                        <div className=\"basic-demo\">Next Animate</div> :\n                        null}\n                </Animate>\n            </div>\n        );\n    }\n}\n\nReactDOM.render(<Demo />, mountNode);\n","css":".basic-demo {\n    font-size: 96px;\n    text-align: center;\n}\n\n.my-zoom-in {\n    opacity: 0;\n}\n\n.my-zoom-in-active {\n    animation: my-zoom-in 500ms linear;\n}\n\n.my-zoom-out {\n    opacity: 1;\n}\n\n.my-zoom-out-active {\n    animation: my-zoom-out 500ms linear;\n}\n\n@keyframes my-zoom-in {\n    from {\n        opacity: 0;\n        transform: scale3d(.3, .3, .3);\n    }\n\n    50% {\n        opacity: 1;\n    }\n\n    to {\n        opacity: 1;\n    }\n}\n\n@keyframes my-zoom-out {\n    from {\n        opacity: 1;\n    }\n\n    50% {\n        opacity: 0;\n        transform: scale3d(.3, .3, .3);\n    }\n\n    to {\n        opacity: 0;\n    }\n}\n"},"body":"\n````jsx\nimport { Animate } from '@alifd/next';\n\nclass Demo extends React.Component {\n    constructor(props) {\n        super(props);\n        this.state = { visible: true };\n        this.handleToggle = this.handleToggle.bind(this);\n    }\n\n    handleToggle() {\n        this.setState({\n            visible: !this.state.visible\n        });\n    }\n\n    render() {\n        return (\n            <div>\n                <button onClick={this.handleToggle}>Toggle visible</button>\n                <Animate animation={{\n                    enter: 'my-zoom-in',\n                    leave: 'my-zoom-out'\n                }}>\n                    {this.state.visible ?\n                        <div className=\"basic-demo\">Next Animate</div> :\n                        null}\n                </Animate>\n            </div>\n        );\n    }\n}\n\nReactDOM.render(<Demo />, mountNode);\n````\n\n````css\n.basic-demo {\n    font-size: 96px;\n    text-align: center;\n}\n\n.my-zoom-in {\n    opacity: 0;\n}\n\n.my-zoom-in-active {\n    animation: my-zoom-in 500ms linear;\n}\n\n.my-zoom-out {\n    opacity: 1;\n}\n\n.my-zoom-out-active {\n    animation: my-zoom-out 500ms linear;\n}\n\n@keyframes my-zoom-in {\n    from {\n        opacity: 0;\n        transform: scale3d(.3, .3, .3);\n    }\n\n    50% {\n        opacity: 1;\n    }\n\n    to {\n        opacity: 1;\n    }\n}\n\n@keyframes my-zoom-out {\n    from {\n        opacity: 1;\n    }\n\n    50% {\n        opacity: 0;\n        transform: scale3d(.3, .3, .3);\n    }\n\n    to {\n        opacity: 0;\n    }\n}\n````","html":"<script>(function(){'use strict';\n\nvar _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if (\"value\" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();\n\nvar _next = require('@alifd/next');\n\nfunction _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError(\"Cannot call a class as a function\"); } }\n\nfunction _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError(\"this hasn't been initialised - super() hasn't been called\"); } return call && (typeof call === \"object\" || typeof call === \"function\") ? call : self; }\n\nfunction _inherits(subClass, superClass) { if (typeof superClass !== \"function\" && superClass !== null) { throw new TypeError(\"Super expression must either be null or a function, not \" + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }\n\nvar Demo = function (_React$Component) {\n    _inherits(Demo, _React$Component);\n\n    function Demo(props) {\n        _classCallCheck(this, Demo);\n\n        var _this = _possibleConstructorReturn(this, (Demo.__proto__ || Object.getPrototypeOf(Demo)).call(this, props));\n\n        _this.state = { visible: true };\n        _this.handleToggle = _this.handleToggle.bind(_this);\n        return _this;\n    }\n\n    _createClass(Demo, [{\n        key: 'handleToggle',\n        value: function handleToggle() {\n            this.setState({\n                visible: !this.state.visible\n            });\n        }\n    }, {\n        key: 'render',\n        value: function render() {\n            return React.createElement(\n                'div',\n                null,\n                React.createElement(\n                    'button',\n                    { onClick: this.handleToggle },\n                    'Toggle visible'\n                ),\n                React.createElement(\n                    _next.Animate,\n                    { animation: {\n                            enter: 'my-zoom-in',\n                            leave: 'my-zoom-out'\n                        } },\n                    this.state.visible ? React.createElement(\n                        'div',\n                        { className: 'basic-demo' },\n                        'Next Animate'\n                    ) : null\n                )\n            );\n        }\n    }]);\n\n    return Demo;\n}(React.Component);\n\nReactDOM.render(React.createElement(Demo, null), mountNode);})()</script><div class=\"highlight\"><pre class=\"language-jsx\"><code class=\"language-jsx\"><span class=\"token keyword\">import</span> <span class=\"token punctuation\">{</span> Animate <span class=\"token punctuation\">}</span> <span class=\"token keyword\">from</span> <span class=\"token string\">'@alifd/next'</span><span class=\"token punctuation\">;</span>\n\n<span class=\"token keyword\">class</span> <span class=\"token class-name\">Demo</span> <span class=\"token keyword\">extends</span> <span class=\"token class-name\">React<span class=\"token punctuation\">.</span>Component</span> <span class=\"token punctuation\">{</span>\n    <span class=\"token function\">constructor</span><span class=\"token punctuation\">(</span><span class=\"token parameter\">props</span><span class=\"token punctuation\">)</span> <span class=\"token punctuation\">{</span>\n        <span class=\"token keyword\">super</span><span class=\"token punctuation\">(</span>props<span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n        <span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span>state <span class=\"token operator\">=</span> <span class=\"token punctuation\">{</span> visible<span class=\"token punctuation\">:</span> <span class=\"token boolean\">true</span> <span class=\"token punctuation\">}</span><span class=\"token punctuation\">;</span>\n        <span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span>handleToggle <span class=\"token operator\">=</span> <span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span><span class=\"token function\">handleToggle</span><span class=\"token punctuation\">.</span><span class=\"token function\">bind</span><span class=\"token punctuation\">(</span><span class=\"token keyword\">this</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n    <span class=\"token punctuation\">}</span>\n\n    <span class=\"token function\">handleToggle</span><span class=\"token punctuation\">(</span><span class=\"token punctuation\">)</span> <span class=\"token punctuation\">{</span>\n        <span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span><span class=\"token function\">setState</span><span class=\"token punctuation\">(</span><span class=\"token punctuation\">{</span>\n            visible<span class=\"token punctuation\">:</span> <span class=\"token operator\">!</span><span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span>state<span class=\"token punctuation\">.</span>visible\n        <span class=\"token punctuation\">}</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n    <span class=\"token punctuation\">}</span>\n\n    <span class=\"token function\">render</span><span class=\"token punctuation\">(</span><span class=\"token punctuation\">)</span> <span class=\"token punctuation\">{</span>\n        <span class=\"token keyword\">return</span> <span class=\"token punctuation\">(</span>\n            <span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span>div</span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span>button</span> <span class=\"token attr-name\">onClick</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span>handleToggle<span class=\"token punctuation\">}</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">Toggle visible</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span>button</span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Animate</span></span> <span class=\"token attr-name\">animation</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token punctuation\">{</span>\n                    enter<span class=\"token punctuation\">:</span> <span class=\"token string\">'my-zoom-in'</span><span class=\"token punctuation\">,</span>\n                    leave<span class=\"token punctuation\">:</span> <span class=\"token string\">'my-zoom-out'</span>\n                <span class=\"token punctuation\">}</span><span class=\"token punctuation\">}</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                    </span><span class=\"token punctuation\">{</span><span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span>state<span class=\"token punctuation\">.</span>visible <span class=\"token operator\">?</span>\n                        <span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span>div</span> <span class=\"token attr-name\">className</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>basic-demo<span class=\"token punctuation\">\"</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">Next Animate</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span>div</span><span class=\"token punctuation\">></span></span> <span class=\"token punctuation\">:</span>\n                        <span class=\"token keyword\">null</span><span class=\"token punctuation\">}</span><span class=\"token plain-text\">\n                </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">Animate</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n            </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span>div</span><span class=\"token punctuation\">></span></span>\n        <span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n    <span class=\"token punctuation\">}</span>\n<span class=\"token punctuation\">}</span>\n\nReactDOM<span class=\"token punctuation\">.</span><span class=\"token function\">render</span><span class=\"token punctuation\">(</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Demo</span></span> <span class=\"token punctuation\">/></span></span><span class=\"token punctuation\">,</span> mountNode<span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span></code></pre></div><style type=\"text/css\">.basic-demo {\n    font-size: 96px;\n    text-align: center;\n}\n\n.my-zoom-in {\n    opacity: 0;\n}\n\n.my-zoom-in-active {\n    animation: my-zoom-in 500ms linear;\n}\n\n.my-zoom-out {\n    opacity: 1;\n}\n\n.my-zoom-out-active {\n    animation: my-zoom-out 500ms linear;\n}\n\n@keyframes my-zoom-in {\n    from {\n        opacity: 0;\n        transform: scale3d(.3, .3, .3);\n    }\n\n    50% {\n        opacity: 1;\n    }\n\n    to {\n        opacity: 1;\n    }\n}\n\n@keyframes my-zoom-out {\n    from {\n        opacity: 1;\n    }\n\n    50% {\n        opacity: 0;\n        transform: scale3d(.3, .3, .3);\n    }\n\n    to {\n        opacity: 0;\n    }\n}</style><div class=\"highlight\"><pre class=\"language-css\"><code class=\"language-css\"><span class=\"token selector\">.basic-demo</span> <span class=\"token punctuation\">{</span>\n    <span class=\"token property\">font-size</span><span class=\"token punctuation\">:</span> 96px<span class=\"token punctuation\">;</span>\n    <span class=\"token property\">text-align</span><span class=\"token punctuation\">:</span> center<span class=\"token punctuation\">;</span>\n<span class=\"token punctuation\">}</span>\n\n<span class=\"token selector\">.my-zoom-in</span> <span class=\"token punctuation\">{</span>\n    <span class=\"token property\">opacity</span><span class=\"token punctuation\">:</span> 0<span class=\"token punctuation\">;</span>\n<span class=\"token punctuation\">}</span>\n\n<span class=\"token selector\">.my-zoom-in-active</span> <span class=\"token punctuation\">{</span>\n    <span class=\"token property\">animation</span><span class=\"token punctuation\">:</span> my-zoom-in 500ms linear<span class=\"token punctuation\">;</span>\n<span class=\"token punctuation\">}</span>\n\n<span class=\"token selector\">.my-zoom-out</span> <span class=\"token punctuation\">{</span>\n    <span class=\"token property\">opacity</span><span class=\"token punctuation\">:</span> 1<span class=\"token punctuation\">;</span>\n<span class=\"token punctuation\">}</span>\n\n<span class=\"token selector\">.my-zoom-out-active</span> <span class=\"token punctuation\">{</span>\n    <span class=\"token property\">animation</span><span class=\"token punctuation\">:</span> my-zoom-out 500ms linear<span class=\"token punctuation\">;</span>\n<span class=\"token punctuation\">}</span>\n\n<span class=\"token atrule\"><span class=\"token rule\">@keyframes</span> my-zoom-in</span> <span class=\"token punctuation\">{</span>\n    <span class=\"token selector\">from</span> <span class=\"token punctuation\">{</span>\n        <span class=\"token property\">opacity</span><span class=\"token punctuation\">:</span> 0<span class=\"token punctuation\">;</span>\n        <span class=\"token property\">transform</span><span class=\"token punctuation\">:</span> <span class=\"token function\">scale3d</span><span class=\"token punctuation\">(</span>.3<span class=\"token punctuation\">,</span> .3<span class=\"token punctuation\">,</span> .3<span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n    <span class=\"token punctuation\">}</span>\n\n    <span class=\"token selector\">50%</span> <span class=\"token punctuation\">{</span>\n        <span class=\"token property\">opacity</span><span class=\"token punctuation\">:</span> 1<span class=\"token punctuation\">;</span>\n    <span class=\"token punctuation\">}</span>\n\n    <span class=\"token selector\">to</span> <span class=\"token punctuation\">{</span>\n        <span class=\"token property\">opacity</span><span class=\"token punctuation\">:</span> 1<span class=\"token punctuation\">;</span>\n    <span class=\"token punctuation\">}</span>\n<span class=\"token punctuation\">}</span>\n\n<span class=\"token atrule\"><span class=\"token rule\">@keyframes</span> my-zoom-out</span> <span class=\"token punctuation\">{</span>\n    <span class=\"token selector\">from</span> <span class=\"token punctuation\">{</span>\n        <span class=\"token property\">opacity</span><span class=\"token punctuation\">:</span> 1<span class=\"token punctuation\">;</span>\n    <span class=\"token punctuation\">}</span>\n\n    <span class=\"token selector\">50%</span> <span class=\"token punctuation\">{</span>\n        <span class=\"token property\">opacity</span><span class=\"token punctuation\">:</span> 0<span class=\"token punctuation\">;</span>\n        <span class=\"token property\">transform</span><span class=\"token punctuation\">:</span> <span class=\"token function\">scale3d</span><span class=\"token punctuation\">(</span>.3<span class=\"token punctuation\">,</span> .3<span class=\"token punctuation\">,</span> .3<span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n    <span class=\"token punctuation\">}</span>\n\n    <span class=\"token selector\">to</span> <span class=\"token punctuation\">{</span>\n        <span class=\"token property\">opacity</span><span class=\"token punctuation\">:</span> 0<span class=\"token punctuation\">;</span>\n    <span class=\"token punctuation\">}</span>\n<span class=\"token punctuation\">}</span></code></pre></div>"}