{"title":"基本用法","meta":{"title":"基本用法","description":"\n<p>使用 <code>Breadcrumb.Item</code> 来设置面包屑子节点，如果设置其 <code>link</code> 属性就是 <code>&lt;a /&gt;</code> 节点，否则为 <code>&lt;span /&gt;</code> 节点。</p>\n","order":"0"},"codes":{"jsx":"import { Breadcrumb } from '@alifd/next';\n\nReactDOM.render(\n    <Breadcrumb>\n        <Breadcrumb.Item link=\"javascript:void(0);\">Home</Breadcrumb.Item>\n        <Breadcrumb.Item link=\"javascript:void(0);\">All Categories</Breadcrumb.Item>\n        <Breadcrumb.Item link=\"javascript:void(0);\">Women’s Clothing</Breadcrumb.Item>\n        <Breadcrumb.Item link=\"javascript:void(0);\">Blouses & Shirts</Breadcrumb.Item>\n        <Breadcrumb.Item>\n            T-shirts&nbsp; <b>78,999</b> Results\n        </Breadcrumb.Item>\n    </Breadcrumb>,\n    mountNode);\n"},"body":"\n\n````jsx\nimport { Breadcrumb } from '@alifd/next';\n\nReactDOM.render(\n    <Breadcrumb>\n        <Breadcrumb.Item link=\"javascript:void(0);\">Home</Breadcrumb.Item>\n        <Breadcrumb.Item link=\"javascript:void(0);\">All Categories</Breadcrumb.Item>\n        <Breadcrumb.Item link=\"javascript:void(0);\">Women’s Clothing</Breadcrumb.Item>\n        <Breadcrumb.Item link=\"javascript:void(0);\">Blouses & Shirts</Breadcrumb.Item>\n        <Breadcrumb.Item>\n            T-shirts&nbsp; <b>78,999</b> Results\n        </Breadcrumb.Item>\n    </Breadcrumb>,\n    mountNode);\n````","html":"<script>(function(){\"use strict\";\n\nvar _next = require(\"@alifd/next\");\n\nReactDOM.render(React.createElement(\n    _next.Breadcrumb,\n    null,\n    React.createElement(\n        _next.Breadcrumb.Item,\n        { link: \"javascript:void(0);\" },\n        \"Home\"\n    ),\n    React.createElement(\n        _next.Breadcrumb.Item,\n        { link: \"javascript:void(0);\" },\n        \"All Categories\"\n    ),\n    React.createElement(\n        _next.Breadcrumb.Item,\n        { link: \"javascript:void(0);\" },\n        \"Women\\u2019s Clothing\"\n    ),\n    React.createElement(\n        _next.Breadcrumb.Item,\n        { link: \"javascript:void(0);\" },\n        \"Blouses & Shirts\"\n    ),\n    React.createElement(\n        _next.Breadcrumb.Item,\n        null,\n        \"T-shirts\\xA0 \",\n        React.createElement(\n            \"b\",\n            null,\n            \"78,999\"\n        ),\n        \" Results\"\n    )\n), mountNode);})()</script><div class=\"highlight\"><pre class=\"language-jsx\"><code class=\"language-jsx\"><span class=\"token keyword\">import</span> <span class=\"token punctuation\">{</span> Breadcrumb <span class=\"token punctuation\">}</span> <span class=\"token keyword\">from</span> <span class=\"token string\">'@alifd/next'</span><span class=\"token punctuation\">;</span>\n\nReactDOM<span class=\"token punctuation\">.</span><span class=\"token function\">render</span><span class=\"token punctuation\">(</span>\n    <span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Breadcrumb</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n        </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Breadcrumb.Item</span></span> <span class=\"token attr-name\">link</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>javascript:void(0);<span class=\"token punctuation\">\"</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">Home</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">Breadcrumb.Item</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n        </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Breadcrumb.Item</span></span> <span class=\"token attr-name\">link</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>javascript:void(0);<span class=\"token punctuation\">\"</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">All Categories</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">Breadcrumb.Item</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n        </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Breadcrumb.Item</span></span> <span class=\"token attr-name\">link</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>javascript:void(0);<span class=\"token punctuation\">\"</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">Women’s Clothing</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">Breadcrumb.Item</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n        </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Breadcrumb.Item</span></span> <span class=\"token attr-name\">link</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>javascript:void(0);<span class=\"token punctuation\">\"</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">Blouses &amp; Shirts</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">Breadcrumb.Item</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n        </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Breadcrumb.Item</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n            T-shirts&amp;nbsp; </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span>b</span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">78,999</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span>b</span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\"> Results\n        </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">Breadcrumb.Item</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n    </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">Breadcrumb</span></span><span class=\"token punctuation\">></span></span><span class=\"token punctuation\">,</span>\n    mountNode<span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span></code></pre></div>"}