{"title":"Content height","meta":{"title":"Content height","description":"\n<p>Setting contet height by <code>contentHeight</code>, setting value to <code>auto</code> will disabled the collapse behavior.</p>\n","order":"1"},"codes":{"jsx":"import { Card } from '@alifd/next';\n\nconst commonProps = {\n    style: { width: 300 },\n    title: 'Title',\n    subTitle: 'Sub-title'\n};\n\nReactDOM.render(<div>\n    <Card {...commonProps} contentHeight=\"auto\">\n        <div className=\"custom-content\">\n            <p>Card content</p>\n            <p>Card content</p>\n            <p>Card content</p>\n            <p>Card content</p>\n            <p>Card content</p>\n        </div>\n    </Card>\n    &nbsp;&nbsp;\n    <Card {...commonProps} contentHeight={200}>\n        <div className=\"custom-content\">\n            <p>Card content</p>\n            <p>Card content</p>\n            <p>Card content</p>\n            <p>Card content</p>\n            <p>Card content</p>\n        </div>\n    </Card>\n</div>, mountNode);\n","css":".custom-content p {\n    margin: 0;\n}\n"},"body":"\n````jsx\nimport { Card } from '@alifd/next';\n\nconst commonProps = {\n    style: { width: 300 },\n    title: 'Title',\n    subTitle: 'Sub-title'\n};\n\nReactDOM.render(<div>\n    <Card {...commonProps} contentHeight=\"auto\">\n        <div className=\"custom-content\">\n            <p>Card content</p>\n            <p>Card content</p>\n            <p>Card content</p>\n            <p>Card content</p>\n            <p>Card content</p>\n        </div>\n    </Card>\n    &nbsp;&nbsp;\n    <Card {...commonProps} contentHeight={200}>\n        <div className=\"custom-content\">\n            <p>Card content</p>\n            <p>Card content</p>\n            <p>Card content</p>\n            <p>Card content</p>\n            <p>Card content</p>\n        </div>\n    </Card>\n</div>, mountNode);\n````\n\n````css\n.custom-content p {\n    margin: 0;\n}\n````","html":"<script>(function(){'use strict';\n\nvar _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };\n\nvar _next = require('@alifd/next');\n\nvar commonProps = {\n    style: { width: 300 },\n    title: 'Title',\n    subTitle: 'Sub-title'\n};\n\nReactDOM.render(React.createElement(\n    'div',\n    null,\n    React.createElement(\n        _next.Card,\n        _extends({}, commonProps, { contentHeight: 'auto' }),\n        React.createElement(\n            'div',\n            { className: 'custom-content' },\n            React.createElement(\n                'p',\n                null,\n                'Card content'\n            ),\n            React.createElement(\n                'p',\n                null,\n                'Card content'\n            ),\n            React.createElement(\n                'p',\n                null,\n                'Card content'\n            ),\n            React.createElement(\n                'p',\n                null,\n                'Card content'\n            ),\n            React.createElement(\n                'p',\n                null,\n                'Card content'\n            )\n        )\n    ),\n    '\\xA0\\xA0',\n    React.createElement(\n        _next.Card,\n        _extends({}, commonProps, { contentHeight: 200 }),\n        React.createElement(\n            'div',\n            { className: 'custom-content' },\n            React.createElement(\n                'p',\n                null,\n                'Card content'\n            ),\n            React.createElement(\n                'p',\n                null,\n                'Card content'\n            ),\n            React.createElement(\n                'p',\n                null,\n                'Card content'\n            ),\n            React.createElement(\n                'p',\n                null,\n                'Card content'\n            ),\n            React.createElement(\n                'p',\n                null,\n                'Card content'\n            )\n        )\n    )\n), mountNode);})()</script><div class=\"highlight\"><pre class=\"language-jsx\"><code class=\"language-jsx\"><span class=\"token keyword\">import</span> <span class=\"token punctuation\">{</span> Card <span class=\"token punctuation\">}</span> <span class=\"token keyword\">from</span> <span class=\"token string\">'@alifd/next'</span><span class=\"token punctuation\">;</span>\n\n<span class=\"token keyword\">const</span> commonProps <span class=\"token operator\">=</span> <span class=\"token punctuation\">{</span>\n    style<span class=\"token punctuation\">:</span> <span class=\"token punctuation\">{</span> width<span class=\"token punctuation\">:</span> <span class=\"token number\">300</span> <span class=\"token punctuation\">}</span><span class=\"token punctuation\">,</span>\n    title<span class=\"token punctuation\">:</span> <span class=\"token string\">'Title'</span><span class=\"token punctuation\">,</span>\n    subTitle<span class=\"token punctuation\">:</span> <span class=\"token string\">'Sub-title'</span>\n<span class=\"token punctuation\">}</span><span class=\"token punctuation\">;</span>\n\nReactDOM<span class=\"token punctuation\">.</span><span class=\"token function\">render</span><span class=\"token punctuation\">(</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span>div</span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n    </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Card</span></span> <span class=\"token spread\"><span class=\"token punctuation\">{</span><span class=\"token punctuation\">...</span><span class=\"token attr-value\">commonProps</span><span class=\"token punctuation\">}</span></span> <span class=\"token attr-name\">contentHeight</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>auto<span class=\"token punctuation\">\"</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n        </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span>div</span> <span class=\"token attr-name\">className</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>custom-content<span class=\"token punctuation\">\"</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n            </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span>p</span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">Card content</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span>p</span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n            </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span>p</span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">Card content</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span>p</span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n            </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span>p</span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">Card content</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span>p</span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n            </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span>p</span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">Card content</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span>p</span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n            </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span>p</span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">Card content</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span>p</span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n        </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span>div</span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n    </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">Card</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n    &amp;nbsp;&amp;nbsp;\n    </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Card</span></span> <span class=\"token spread\"><span class=\"token punctuation\">{</span><span class=\"token punctuation\">...</span><span class=\"token attr-value\">commonProps</span><span class=\"token punctuation\">}</span></span> <span class=\"token attr-name\">contentHeight</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token number\">200</span><span class=\"token punctuation\">}</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n        </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span>div</span> <span class=\"token attr-name\">className</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>custom-content<span class=\"token punctuation\">\"</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n            </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span>p</span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">Card content</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span>p</span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n            </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span>p</span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">Card content</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span>p</span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n            </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span>p</span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">Card content</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span>p</span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n            </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span>p</span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">Card content</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span>p</span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n            </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span>p</span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">Card content</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span>p</span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n        </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span>div</span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n    </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">Card</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span>div</span><span class=\"token punctuation\">></span></span><span class=\"token punctuation\">,</span> mountNode<span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span></code></pre></div><style type=\"text/css\">.custom-content p {\n    margin: 0;\n}</style><div class=\"highlight\"><pre class=\"language-css\"><code class=\"language-css\"><span class=\"token selector\">.custom-content p</span> <span class=\"token punctuation\">{</span>\n    <span class=\"token property\">margin</span><span class=\"token punctuation\">:</span> 0<span class=\"token punctuation\">;</span>\n<span class=\"token punctuation\">}</span></code></pre></div>"}