{"meta":"<h2 id=\"guide\">Guide<a href=\"#guide\" class=\"anchor\">#</a></h2><h3 id=\"when-to-use\">When To Use<a href=\"#when-to-use\" class=\"anchor\">#</a></h3><p>CascaderSelect consists of Select and Cascader. Cascader are hidden in a pop up layer by default and are mostly used in form scenes.</p>\n<h2 id=\"api\">API<a href=\"#api\" class=\"anchor\">#</a></h2>","api":"<h3 id=\"cascaderselect\">CascaderSelect<a href=\"#cascaderselect\" class=\"anchor\">#</a></h3><table>\n<thead>\n<tr>\n<th>Param</th>\n<th>Description</th>\n<th>Type</th>\n<th>Default Value</th>\n</tr>\n</thead>\n<tbody>\n<tr>\n<td>size</td>\n<td>size of selector<br><br><strong>options</strong>:<br>&apos;small&apos;, &apos;medium&apos;, &apos;large&apos;</td>\n<td>Enum</td>\n<td>&apos;medium&apos;</td>\n</tr>\n<tr>\n<td>placeholder</td>\n<td>placeholder of selector</td>\n<td>String</td>\n<td>-</td>\n</tr>\n<tr>\n<td>disabled</td>\n<td>whether is disabled</td>\n<td>Boolean</td>\n<td>false</td>\n</tr>\n<tr>\n<td>hasArrow</td>\n<td>whether has arrow icon</td>\n<td>Boolean</td>\n<td>true</td>\n</tr>\n<tr>\n<td>hasBorder</td>\n<td>whether selector has border</td>\n<td>Boolean</td>\n<td>true</td>\n</tr>\n<tr>\n<td>hasClear</td>\n<td>whether has clear button</td>\n<td>Boolean</td>\n<td>false</td>\n</tr>\n<tr>\n<td>label</td>\n<td>custom inline label</td>\n<td>ReactNode</td>\n<td>-</td>\n</tr>\n<tr>\n<td>readOnly</td>\n<td>whether selector is read only, it can be expanded but cannot be selected under read only mode</td>\n<td>Boolean</td>\n<td>-</td>\n</tr>\n<tr>\n<td>dataSource</td>\n<td>data source, structure can refer to the following document</td>\n<td>Array&lt;Object&gt;</td>\n<td>[]</td>\n</tr>\n<tr>\n<td>defaultValue</td>\n<td>(under uncontrol) default value</td>\n<td>String/Array&lt;String&gt;</td>\n<td>null</td>\n</tr>\n<tr>\n<td>value</td>\n<td>(under control) current value</td>\n<td>String/Array&lt;String&gt;</td>\n<td>-</td>\n</tr>\n<tr>\n<td>onChange</td>\n<td>callback triggered when value changes<br><br><strong>signatures</strong>:<br>Function(value: String/Array, data: Object/Array, extra: Object) =&gt; void<br><strong>params</strong>:<br><em>value</em>: {String/Array} selected value, a single value is returned when single select, and an array is returned when multiple select<br><em>data</em>: {Object/Array} selected data, including value, label, returns a single value when single select, returns an array when multiple select, parent and child nodes are selected at the same time, only the parent node is returned<br><em>extra</em>: {Object} extra param<br><em>extra.selectedPath</em>: {Array} path of the selected data when single selecte<br><em>extra.checked</em>: {Boolean} whether is checked when multiple select<br><em>extra.currentData</em>: {Object} current operation data when multiple select<br><em>extra.checkedData</em>: {Array} all checked data when multiple select<br><em>extra.indeterminateData</em>: {Array} indeterminate data when multile selec</td>\n<td>Function</td>\n<td>-</td>\n</tr>\n<tr>\n<td>defaultExpandedValue</td>\n<td>(under uncontrol) default expanded value, if not set, the component will be automatically set according to defaultValue/value</td>\n<td>Array&lt;String&gt;</td>\n<td>-</td>\n</tr>\n<tr>\n<td>expandTriggerType</td>\n<td>expand trigger type<br><br><strong>options</strong>:<br>&apos;click&apos;, &apos;hover&apos;</td>\n<td>Enum</td>\n<td>&apos;click&apos;</td>\n</tr>\n<tr>\n<td>multiple</td>\n<td>whether is multiple select</td>\n<td>Boolean</td>\n<td>false</td>\n</tr>\n<tr>\n<td>changeOnSelect</td>\n<td>change immediately if selected, this property is only worked in single selection mode</td>\n<td>Boolean</td>\n<td>false</td>\n</tr>\n<tr>\n<td>canOnlyCheckLeaf</td>\n<td>whether checkbox of leaf item can only be checked, this property is only worked in multiple selection mode</td>\n<td>Boolean</td>\n<td>false</td>\n</tr>\n<tr>\n<td>checkStrictly</td>\n<td>whether selection of parent and child nodes are related</td>\n<td>Boolean</td>\n<td>false</td>\n</tr>\n<tr>\n<td>listStyle</td>\n<td>style of list</td>\n<td>Object</td>\n<td>-</td>\n</tr>\n<tr>\n<td>listClassName</td>\n<td>class name of list</td>\n<td>String</td>\n<td>-</td>\n</tr>\n<tr>\n<td>displayRender</td>\n<td>custom rendering function to display results<br><br><strong>signatures</strong>:<br>Function(label: Array) =&gt; ReactNode<br><strong>params</strong>:<br><em>label</em>: {Array} label array of the selected path<br><strong>returns</strong>:<br>{ReactNode} display content<br></td>\n<td>Function</td>\n<td>single select: labelPath =&gt; labelPath.join(&apos; / &apos;); multiple select: labelPath =&gt; labelPath[labelPath.length - 1]</td>\n</tr>\n<tr>\n<td>showSearch</td>\n<td>whether to show the search box</td>\n<td>Boolean</td>\n<td>false</td>\n</tr>\n<tr>\n<td>filter</td>\n<td>custom search function<br><br><strong>signatures</strong>:<br>Function(searchValue: String, path: Array) =&gt; Boolean<br><strong>params</strong>:<br><em>searchValue</em>: {String} search keyword<br><em>path</em>: {Array} item path<br><strong>returns</strong>:<br>{Boolean} whether is matched<br></td>\n<td>Function</td>\n<td>fuzzy matching of label based on all nodes of the path</td>\n</tr>\n<tr>\n<td>resultRender</td>\n<td>custom render function of search result<br><br><strong>signatures</strong>:<br>Function(searchValue: String, path: Array) =&gt; ReactNode<br><strong>params</strong>:<br><em>searchValue</em>: {String} search keyword<br><em>path</em>: {Array} matched item path<br><strong>returns</strong>:<br>{ReactNode} result content<br></td>\n<td>Function</td>\n<td>rendering by pattern of a / b / c</td>\n</tr>\n<tr>\n<td>resultAutoWidth</td>\n<td>whether the search result list is equal to the selector</td>\n<td>Boolean</td>\n<td>true</td>\n</tr>\n<tr>\n<td>notFoundContent</td>\n<td>content without data</td>\n<td>ReactNode</td>\n<td>&apos;Not Found&apos;</td>\n</tr>\n<tr>\n<td>loadData</td>\n<td>asynchronous data loading function<br><br><strong>signatures</strong>:<br>Function(data: Object) =&gt; void<br><strong>params</strong>:<br><em>data</em>: {Object} data of the clicked item</td>\n<td>Function</td>\n<td>-</td>\n</tr>\n<tr>\n<td>header</td>\n<td>custom dropdown header</td>\n<td>ReactNode</td>\n<td>-</td>\n</tr>\n<tr>\n<td>footer</td>\n<td>custom dropdown footer</td>\n<td>ReactNode</td>\n<td>-</td>\n</tr>\n<tr>\n<td>defaultVisible</td>\n<td>whether dropdown is default visible</td>\n<td>Boolean</td>\n<td>false</td>\n</tr>\n<tr>\n<td>visible</td>\n<td>whether dropdown is current visible</td>\n<td>Boolean</td>\n<td>-</td>\n</tr>\n<tr>\n<td>onVisibleChange</td>\n<td>callback triggered when open or close dropdown <br><br><strong>signatures</strong>:<br>Function(visible: Boolean, type: String) =&gt; void<br><strong>params</strong>:<br><em>visible</em>: {Boolean} whether is visible<br><em>type</em>: {String} trigger type</td>\n<td>Function</td>\n<td>() =&gt; {}</td>\n</tr>\n<tr>\n<td>popupStyle</td>\n<td>style of dropdown</td>\n<td>Object</td>\n<td>-</td>\n</tr>\n<tr>\n<td>popupClassName</td>\n<td>className of dropdown</td>\n<td>String</td>\n<td>-</td>\n</tr>\n<tr>\n<td>popupContainer</td>\n<td>container of dropdown</td>\n<td>String/Function</td>\n<td>-</td>\n</tr>\n<tr>\n<td>popupProps</td>\n<td>properties of Popup</td>\n<td>Object</td>\n<td>{}</td>\n</tr>\n<tr>\n<td>followTrigger</td>\n<td>follow Trigger or not</td>\n<td>Boolean</td>\n<td>-</td>\n</tr>\n</tbody>\n</table>\n<!-- api-extra-start -->\n<h3 id=\"data-structure-of-datasource\">Data structure of dataSource<a href=\"#data-structure-of-datasource\" class=\"anchor\">#</a></h3><div class=\"highlight\"><pre class=\"language-jsx\"><code class=\"language-jsx\"><span class=\"token keyword\">const</span> dataSource <span class=\"token operator\">=</span> <span class=\"token punctuation\">[</span><span class=\"token punctuation\">{</span>\n    value<span class=\"token punctuation\">:</span> <span class=\"token string\">&apos;2974&apos;</span><span class=\"token punctuation\">,</span>\n    label<span class=\"token punctuation\">:</span> <span class=\"token string\">&apos;&#x897F;&#x5B89;&apos;</span><span class=\"token punctuation\">,</span>\n    children<span class=\"token punctuation\">:</span> <span class=\"token punctuation\">[</span>\n        <span class=\"token punctuation\">{</span> value<span class=\"token punctuation\">:</span> <span class=\"token string\">&apos;2975&apos;</span><span class=\"token punctuation\">,</span> label<span class=\"token punctuation\">:</span> <span class=\"token string\">&apos;&#x897F;&#x5B89;&#x5E02;&apos;</span><span class=\"token punctuation\">,</span> disabled<span class=\"token punctuation\">:</span> <span class=\"token boolean\">true</span> <span class=\"token punctuation\">}</span><span class=\"token punctuation\">,</span>\n        <span class=\"token punctuation\">{</span> value<span class=\"token punctuation\">:</span> <span class=\"token string\">&apos;2976&apos;</span><span class=\"token punctuation\">,</span> label<span class=\"token punctuation\">:</span> <span class=\"token string\">&apos;&#x9AD8;&#x9675;&#x53BF;&apos;</span><span class=\"token punctuation\">,</span> checkboxDisabled<span class=\"token punctuation\">:</span> <span class=\"token boolean\">true</span> <span class=\"token punctuation\">}</span><span class=\"token punctuation\">,</span>\n        <span class=\"token punctuation\">{</span> value<span class=\"token punctuation\">:</span> <span class=\"token string\">&apos;2977&apos;</span><span class=\"token punctuation\">,</span> label<span class=\"token punctuation\">:</span> <span class=\"token string\">&apos;&#x84DD;&#x7530;&#x53BF;&apos;</span> <span class=\"token punctuation\">}</span><span class=\"token punctuation\">,</span>\n        <span class=\"token punctuation\">{</span> value<span class=\"token punctuation\">:</span> <span class=\"token string\">&apos;2978&apos;</span><span class=\"token punctuation\">,</span> label<span class=\"token punctuation\">:</span> <span class=\"token string\">&apos;&#x6237;&#x53BF;&apos;</span> <span class=\"token punctuation\">}</span><span class=\"token punctuation\">,</span>\n        <span class=\"token punctuation\">{</span> value<span class=\"token punctuation\">:</span> <span class=\"token string\">&apos;2979&apos;</span><span class=\"token punctuation\">,</span> label<span class=\"token punctuation\">:</span> <span class=\"token string\">&apos;&#x5468;&#x81F3;&#x53BF;&apos;</span> <span class=\"token punctuation\">}</span><span class=\"token punctuation\">,</span>\n        <span class=\"token punctuation\">{</span> value<span class=\"token punctuation\">:</span> <span class=\"token string\">&apos;4208&apos;</span><span class=\"token punctuation\">,</span> label<span class=\"token punctuation\">:</span> <span class=\"token string\">&apos;&#x705E;&#x6865;&#x533A;&apos;</span> <span class=\"token punctuation\">}</span><span class=\"token punctuation\">,</span>\n        <span class=\"token punctuation\">{</span> value<span class=\"token punctuation\">:</span> <span class=\"token string\">&apos;4209&apos;</span><span class=\"token punctuation\">,</span> label<span class=\"token punctuation\">:</span> <span class=\"token string\">&apos;&#x957F;&#x5B89;&#x533A;&apos;</span> <span class=\"token punctuation\">}</span><span class=\"token punctuation\">,</span>\n        <span class=\"token punctuation\">{</span> value<span class=\"token punctuation\">:</span> <span class=\"token string\">&apos;4210&apos;</span><span class=\"token punctuation\">,</span> label<span class=\"token punctuation\">:</span> <span class=\"token string\">&apos;&#x83B2;&#x6E56;&#x533A;&apos;</span> <span class=\"token punctuation\">}</span><span class=\"token punctuation\">,</span>\n        <span class=\"token punctuation\">{</span> value<span class=\"token punctuation\">:</span> <span class=\"token string\">&apos;4211&apos;</span><span class=\"token punctuation\">,</span> label<span class=\"token punctuation\">:</span> <span class=\"token string\">&apos;&#x4E34;&#x6F7C;&#x533A;&apos;</span> <span class=\"token punctuation\">}</span><span class=\"token punctuation\">,</span>\n        <span class=\"token punctuation\">{</span> value<span class=\"token punctuation\">:</span> <span class=\"token string\">&apos;4212&apos;</span><span class=\"token punctuation\">,</span> label<span class=\"token punctuation\">:</span> <span class=\"token string\">&apos;&#x672A;&#x592E;&#x533A;&apos;</span> <span class=\"token punctuation\">}</span><span class=\"token punctuation\">,</span>\n        <span class=\"token punctuation\">{</span> value<span class=\"token punctuation\">:</span> <span class=\"token string\">&apos;4213&apos;</span><span class=\"token punctuation\">,</span> label<span class=\"token punctuation\">:</span> <span class=\"token string\">&apos;&#x65B0;&#x57CE;&#x533A;&apos;</span> <span class=\"token punctuation\">}</span><span class=\"token punctuation\">,</span>\n        <span class=\"token punctuation\">{</span> value<span class=\"token punctuation\">:</span> <span class=\"token string\">&apos;4214&apos;</span><span class=\"token punctuation\">,</span> label<span class=\"token punctuation\">:</span> <span class=\"token string\">&apos;&#x960E;&#x826F;&#x533A;&apos;</span> <span class=\"token punctuation\">}</span><span class=\"token punctuation\">,</span>\n        <span class=\"token punctuation\">{</span> value<span class=\"token punctuation\">:</span> <span class=\"token string\">&apos;4215&apos;</span><span class=\"token punctuation\">,</span> label<span class=\"token punctuation\">:</span> <span class=\"token string\">&apos;&#x96C1;&#x5854;&#x533A;&apos;</span> <span class=\"token punctuation\">}</span><span class=\"token punctuation\">,</span>\n        <span class=\"token punctuation\">{</span> value<span class=\"token punctuation\">:</span> <span class=\"token string\">&apos;4388&apos;</span><span class=\"token punctuation\">,</span> label<span class=\"token punctuation\">:</span> <span class=\"token string\">&apos;&#x7891;&#x6797;&#x533A;&apos;</span> <span class=\"token punctuation\">}</span><span class=\"token punctuation\">,</span>\n        <span class=\"token punctuation\">{</span> value<span class=\"token punctuation\">:</span> <span class=\"token string\">&apos;610127&apos;</span><span class=\"token punctuation\">,</span> label<span class=\"token punctuation\">:</span> <span class=\"token string\">&apos;&#x5176;&#x5B83;&#x533A;&apos;</span> <span class=\"token punctuation\">}</span>\n    <span class=\"token punctuation\">]</span>\n<span class=\"token punctuation\">}</span><span class=\"token punctuation\">]</span><span class=\"token punctuation\">;</span></code></pre></div><p>The custom attribute of item in the array is also transparently passed to the data parameter of the onChange function.</p>\n<!-- api-extra-end -->\n<h2 id=\"aria-and-keyboard\">ARIA and KeyBoard<a href=\"#aria-and-keyboard\" class=\"anchor\">#</a></h2><table>\n<thead>\n<tr>\n<th style=\"text-align:left\">&#x6309;&#x952E;</th>\n<th style=\"text-align:left\">&#x8BF4;&#x660E;</th>\n</tr>\n</thead>\n<tbody>\n<tr>\n<td style=\"text-align:left\">Up Arrow</td>\n<td style=\"text-align:left\">Get the previous item focus of the current item of same level</td>\n</tr>\n<tr>\n<td style=\"text-align:left\">Down Arrow</td>\n<td style=\"text-align:left\">Get the next item focus of the current item of same level</td>\n</tr>\n<tr>\n<td style=\"text-align:left\">Left Arrow</td>\n<td style=\"text-align:left\">Enter the child element of the current item and get the first child element as the focus</td>\n</tr>\n<tr>\n<td style=\"text-align:left\">Right Arrow</td>\n<td style=\"text-align:left\">Returns the parent of the current item and gets the focus</td>\n</tr>\n<tr>\n<td style=\"text-align:left\">Enter</td>\n<td style=\"text-align:left\">Open the directory or select current item</td>\n</tr>\n<tr>\n<td style=\"text-align:left\">Esc</td>\n<td style=\"text-align:left\">Close the directory</td>\n</tr>\n<tr>\n<td style=\"text-align:left\">SPACE</td>\n<td style=\"text-align:left\">Select current item</td>\n</tr>\n</tbody>\n</table>\n"}