{"title":"Grouping","meta":{"title":"Grouping","description":"\n<p>Grouping <code>&lt;Checkbox&gt;</code> with <code>&lt;Checkbox.Group&gt;</code>.</p>\n","order":"0"},"codes":{"jsx":"import { Checkbox } from '@alifd/next';\n\nconst CheckboxGroup = () => (\n    <div>\n        <h4>Horizonal direction</h4>\n        <p>\n            <Checkbox.Group itemDirection=\"hoz\">\n                <Checkbox value=\"react\">React</Checkbox>\n                <Checkbox value=\"vue\">Vue</Checkbox>\n                <Checkbox value=\"angular\">Angular</Checkbox>\n            </Checkbox.Group>\n        </p>\n        <h4>Vertical direction</h4>\n        <p>\n            <Checkbox.Group itemDirection=\"ver\">\n                <Checkbox value=\"react\">React</Checkbox>\n                <Checkbox value=\"vue\">Vue</Checkbox>\n                <Checkbox value=\"angular\">Angular</Checkbox>\n            </Checkbox.Group>\n        </p>\n    </div>\n);\n\nReactDOM.render(<CheckboxGroup />, mountNode);\n"},"body":"\n````jsx\nimport { Checkbox } from '@alifd/next';\n\nconst CheckboxGroup = () => (\n    <div>\n        <h4>Horizonal direction</h4>\n        <p>\n            <Checkbox.Group itemDirection=\"hoz\">\n                <Checkbox value=\"react\">React</Checkbox>\n                <Checkbox value=\"vue\">Vue</Checkbox>\n                <Checkbox value=\"angular\">Angular</Checkbox>\n            </Checkbox.Group>\n        </p>\n        <h4>Vertical direction</h4>\n        <p>\n            <Checkbox.Group itemDirection=\"ver\">\n                <Checkbox value=\"react\">React</Checkbox>\n                <Checkbox value=\"vue\">Vue</Checkbox>\n                <Checkbox value=\"angular\">Angular</Checkbox>\n            </Checkbox.Group>\n        </p>\n    </div>\n);\n\nReactDOM.render(<CheckboxGroup />, mountNode);\n````","html":"<script>(function(){\"use strict\";\n\nvar _next = require(\"@alifd/next\");\n\nvar CheckboxGroup = function CheckboxGroup() {\n    return React.createElement(\n        \"div\",\n        null,\n        React.createElement(\n            \"h4\",\n            null,\n            \"Horizonal direction\"\n        ),\n        React.createElement(\n            \"p\",\n            null,\n            React.createElement(\n                _next.Checkbox.Group,\n                { itemDirection: \"hoz\" },\n                React.createElement(\n                    _next.Checkbox,\n                    { value: \"react\" },\n                    \"React\"\n                ),\n                React.createElement(\n                    _next.Checkbox,\n                    { value: \"vue\" },\n                    \"Vue\"\n                ),\n                React.createElement(\n                    _next.Checkbox,\n                    { value: \"angular\" },\n                    \"Angular\"\n                )\n            )\n        ),\n        React.createElement(\n            \"h4\",\n            null,\n            \"Vertical direction\"\n        ),\n        React.createElement(\n            \"p\",\n            null,\n            React.createElement(\n                _next.Checkbox.Group,\n                { itemDirection: \"ver\" },\n                React.createElement(\n                    _next.Checkbox,\n                    { value: \"react\" },\n                    \"React\"\n                ),\n                React.createElement(\n                    _next.Checkbox,\n                    { value: \"vue\" },\n                    \"Vue\"\n                ),\n                React.createElement(\n                    _next.Checkbox,\n                    { value: \"angular\" },\n                    \"Angular\"\n                )\n            )\n        )\n    );\n};\n\nReactDOM.render(React.createElement(CheckboxGroup, null), mountNode);})()</script><div class=\"highlight\"><pre class=\"language-jsx\"><code class=\"language-jsx\"><span class=\"token keyword\">import</span> <span class=\"token punctuation\">{</span> Checkbox <span class=\"token punctuation\">}</span> <span class=\"token keyword\">from</span> <span class=\"token string\">'@alifd/next'</span><span class=\"token punctuation\">;</span>\n\n<span class=\"token keyword\">const</span> <span class=\"token function-variable function\">CheckboxGroup</span> <span class=\"token operator\">=</span> <span class=\"token punctuation\">(</span><span class=\"token punctuation\">)</span> <span class=\"token operator\">=></span> <span class=\"token punctuation\">(</span>\n    <span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span>div</span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n        </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span>h4</span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">Horizonal direction</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span>h4</span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n        </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span>p</span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n            </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Checkbox.Group</span></span> <span class=\"token attr-name\">itemDirection</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>hoz<span class=\"token punctuation\">\"</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Checkbox</span></span> <span class=\"token attr-name\">value</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>react<span class=\"token punctuation\">\"</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">React</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">Checkbox</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Checkbox</span></span> <span class=\"token attr-name\">value</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>vue<span class=\"token punctuation\">\"</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">Vue</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">Checkbox</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Checkbox</span></span> <span class=\"token attr-name\">value</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>angular<span class=\"token punctuation\">\"</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">Angular</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">Checkbox</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n            </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">Checkbox.Group</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n        </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span>p</span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n        </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span>h4</span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">Vertical direction</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span>h4</span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n        </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span>p</span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n            </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Checkbox.Group</span></span> <span class=\"token attr-name\">itemDirection</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>ver<span class=\"token punctuation\">\"</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Checkbox</span></span> <span class=\"token attr-name\">value</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>react<span class=\"token punctuation\">\"</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">React</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">Checkbox</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Checkbox</span></span> <span class=\"token attr-name\">value</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>vue<span class=\"token punctuation\">\"</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">Vue</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">Checkbox</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Checkbox</span></span> <span class=\"token attr-name\">value</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>angular<span class=\"token punctuation\">\"</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">Angular</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">Checkbox</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n            </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">Checkbox.Group</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n        </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span>p</span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n    </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span>div</span><span class=\"token punctuation\">></span></span>\n<span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n\nReactDOM<span class=\"token punctuation\">.</span><span class=\"token function\">render</span><span class=\"token punctuation\">(</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">CheckboxGroup</span></span> <span class=\"token punctuation\">/></span></span><span class=\"token punctuation\">,</span> mountNode<span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span></code></pre></div>"}