{"title":"Basic","meta":{"title":"Basic","description":"\n<p>The simplest usage, demo how ConfigProvider works.</p>\n","order":"1"},"codes":{"jsx":"import { ConfigProvider } from '@alifd/next';\nimport PropTypes from 'prop-types';\n\nconst { config } = ConfigProvider;\n\nclass Output extends React.Component {\n    static propTypes = {\n        prefix: PropTypes.string,\n        locale: PropTypes.object,\n        pure: PropTypes.bool\n    };\n\n    static defaultProps = {\n        prefix: 'next-',\n        locale: {\n            hello: '你好'\n        },\n        pure: false\n    };\n\n    render() {\n        const { prefix, locale, pure } = this.props;\n\n        return (\n            <ul>\n                <li>prefix: {prefix}</li>\n                <li>locale: {JSON.stringify(locale)}</li>\n                <li>pure: {pure.toString()}</li>\n            </ul>\n        );\n    }\n}\n\nconst NewOutput = config(Output);\n\nclass Demo extends React.Component {\n    render() {\n        return (\n            <ConfigProvider prefix=\"custom-\" locale={{ Output: { hello: 'hello' } }} pure>\n                <NewOutput />\n            </ConfigProvider>\n        );\n    }\n}\n\nReactDOM.render(<Demo />, mountNode);\n"},"body":"\n````jsx\nimport { ConfigProvider } from '@alifd/next';\nimport PropTypes from 'prop-types';\n\nconst { config } = ConfigProvider;\n\nclass Output extends React.Component {\n    static propTypes = {\n        prefix: PropTypes.string,\n        locale: PropTypes.object,\n        pure: PropTypes.bool\n    };\n\n    static defaultProps = {\n        prefix: 'next-',\n        locale: {\n            hello: '你好'\n        },\n        pure: false\n    };\n\n    render() {\n        const { prefix, locale, pure } = this.props;\n\n        return (\n            <ul>\n                <li>prefix: {prefix}</li>\n                <li>locale: {JSON.stringify(locale)}</li>\n                <li>pure: {pure.toString()}</li>\n            </ul>\n        );\n    }\n}\n\nconst NewOutput = config(Output);\n\nclass Demo extends React.Component {\n    render() {\n        return (\n            <ConfigProvider prefix=\"custom-\" locale={{ Output: { hello: 'hello' } }} pure>\n                <NewOutput />\n            </ConfigProvider>\n        );\n    }\n}\n\nReactDOM.render(<Demo />, mountNode);\n````","html":"<script>(function(){'use strict';\n\nvar _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if (\"value\" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();\n\nvar _next = require('@alifd/next');\n\nvar _propTypes = require('prop-types');\n\nvar _propTypes2 = _interopRequireDefault(_propTypes);\n\nfunction _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }\n\nfunction _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError(\"Cannot call a class as a function\"); } }\n\nfunction _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError(\"this hasn't been initialised - super() hasn't been called\"); } return call && (typeof call === \"object\" || typeof call === \"function\") ? call : self; }\n\nfunction _inherits(subClass, superClass) { if (typeof superClass !== \"function\" && superClass !== null) { throw new TypeError(\"Super expression must either be null or a function, not \" + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }\n\nvar config = _next.ConfigProvider.config;\n\nvar Output = function (_React$Component) {\n    _inherits(Output, _React$Component);\n\n    function Output() {\n        _classCallCheck(this, Output);\n\n        return _possibleConstructorReturn(this, (Output.__proto__ || Object.getPrototypeOf(Output)).apply(this, arguments));\n    }\n\n    _createClass(Output, [{\n        key: 'render',\n        value: function render() {\n            var _props = this.props,\n                prefix = _props.prefix,\n                locale = _props.locale,\n                pure = _props.pure;\n\n\n            return React.createElement(\n                'ul',\n                null,\n                React.createElement(\n                    'li',\n                    null,\n                    'prefix: ',\n                    prefix\n                ),\n                React.createElement(\n                    'li',\n                    null,\n                    'locale: ',\n                    JSON.stringify(locale)\n                ),\n                React.createElement(\n                    'li',\n                    null,\n                    'pure: ',\n                    pure.toString()\n                )\n            );\n        }\n    }]);\n\n    return Output;\n}(React.Component);\n\nOutput.propTypes = {\n    prefix: _propTypes2.default.string,\n    locale: _propTypes2.default.object,\n    pure: _propTypes2.default.bool\n};\nOutput.defaultProps = {\n    prefix: 'next-',\n    locale: {\n        hello: '你好'\n    },\n    pure: false\n};\n\n\nvar NewOutput = config(Output);\n\nvar Demo = function (_React$Component2) {\n    _inherits(Demo, _React$Component2);\n\n    function Demo() {\n        _classCallCheck(this, Demo);\n\n        return _possibleConstructorReturn(this, (Demo.__proto__ || Object.getPrototypeOf(Demo)).apply(this, arguments));\n    }\n\n    _createClass(Demo, [{\n        key: 'render',\n        value: function render() {\n            return React.createElement(\n                _next.ConfigProvider,\n                { prefix: 'custom-', locale: { Output: { hello: 'hello' } }, pure: true },\n                React.createElement(NewOutput, null)\n            );\n        }\n    }]);\n\n    return Demo;\n}(React.Component);\n\nReactDOM.render(React.createElement(Demo, null), mountNode);})()</script><div class=\"highlight\"><pre class=\"language-jsx\"><code class=\"language-jsx\"><span class=\"token keyword\">import</span> <span class=\"token punctuation\">{</span> ConfigProvider <span class=\"token punctuation\">}</span> <span class=\"token keyword\">from</span> <span class=\"token string\">'@alifd/next'</span><span class=\"token punctuation\">;</span>\n<span class=\"token keyword\">import</span> PropTypes <span class=\"token keyword\">from</span> <span class=\"token string\">'prop-types'</span><span class=\"token punctuation\">;</span>\n\n<span class=\"token keyword\">const</span> <span class=\"token punctuation\">{</span> config <span class=\"token punctuation\">}</span> <span class=\"token operator\">=</span> ConfigProvider<span class=\"token punctuation\">;</span>\n\n<span class=\"token keyword\">class</span> <span class=\"token class-name\">Output</span> <span class=\"token keyword\">extends</span> <span class=\"token class-name\">React<span class=\"token punctuation\">.</span>Component</span> <span class=\"token punctuation\">{</span>\n    <span class=\"token keyword\">static</span> propTypes <span class=\"token operator\">=</span> <span class=\"token punctuation\">{</span>\n        prefix<span class=\"token punctuation\">:</span> PropTypes<span class=\"token punctuation\">.</span>string<span class=\"token punctuation\">,</span>\n        locale<span class=\"token punctuation\">:</span> PropTypes<span class=\"token punctuation\">.</span>object<span class=\"token punctuation\">,</span>\n        pure<span class=\"token punctuation\">:</span> PropTypes<span class=\"token punctuation\">.</span>bool\n    <span class=\"token punctuation\">}</span><span class=\"token punctuation\">;</span>\n\n    <span class=\"token keyword\">static</span> defaultProps <span class=\"token operator\">=</span> <span class=\"token punctuation\">{</span>\n        prefix<span class=\"token punctuation\">:</span> <span class=\"token string\">'next-'</span><span class=\"token punctuation\">,</span>\n        locale<span class=\"token punctuation\">:</span> <span class=\"token punctuation\">{</span>\n            hello<span class=\"token punctuation\">:</span> <span class=\"token string\">'你好'</span>\n        <span class=\"token punctuation\">}</span><span class=\"token punctuation\">,</span>\n        pure<span class=\"token punctuation\">:</span> <span class=\"token boolean\">false</span>\n    <span class=\"token punctuation\">}</span><span class=\"token punctuation\">;</span>\n\n    <span class=\"token function\">render</span><span class=\"token punctuation\">(</span><span class=\"token punctuation\">)</span> <span class=\"token punctuation\">{</span>\n        <span class=\"token keyword\">const</span> <span class=\"token punctuation\">{</span> prefix<span class=\"token punctuation\">,</span> locale<span class=\"token punctuation\">,</span> pure <span class=\"token punctuation\">}</span> <span class=\"token operator\">=</span> <span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span>props<span class=\"token punctuation\">;</span>\n\n        <span class=\"token keyword\">return</span> <span class=\"token punctuation\">(</span>\n            <span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span>ul</span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span>li</span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">prefix: </span><span class=\"token punctuation\">{</span>prefix<span class=\"token punctuation\">}</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span>li</span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span>li</span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">locale: </span><span class=\"token punctuation\">{</span><span class=\"token constant\">JSON</span><span class=\"token punctuation\">.</span><span class=\"token function\">stringify</span><span class=\"token punctuation\">(</span>locale<span class=\"token punctuation\">)</span><span class=\"token punctuation\">}</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span>li</span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span>li</span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">pure: </span><span class=\"token punctuation\">{</span>pure<span class=\"token punctuation\">.</span><span class=\"token function\">toString</span><span class=\"token punctuation\">(</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">}</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span>li</span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n            </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span>ul</span><span class=\"token punctuation\">></span></span>\n        <span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n    <span class=\"token punctuation\">}</span>\n<span class=\"token punctuation\">}</span>\n\n<span class=\"token keyword\">const</span> NewOutput <span class=\"token operator\">=</span> <span class=\"token function\">config</span><span class=\"token punctuation\">(</span>Output<span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n\n<span class=\"token keyword\">class</span> <span class=\"token class-name\">Demo</span> <span class=\"token keyword\">extends</span> <span class=\"token class-name\">React<span class=\"token punctuation\">.</span>Component</span> <span class=\"token punctuation\">{</span>\n    <span class=\"token function\">render</span><span class=\"token punctuation\">(</span><span class=\"token punctuation\">)</span> <span class=\"token punctuation\">{</span>\n        <span class=\"token keyword\">return</span> <span class=\"token punctuation\">(</span>\n            <span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">ConfigProvider</span></span> <span class=\"token attr-name\">prefix</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>custom-<span class=\"token punctuation\">\"</span></span> <span class=\"token attr-name\">locale</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token punctuation\">{</span> Output<span class=\"token punctuation\">:</span> <span class=\"token punctuation\">{</span> hello<span class=\"token punctuation\">:</span> <span class=\"token string\">'hello'</span> <span class=\"token punctuation\">}</span> <span class=\"token punctuation\">}</span><span class=\"token punctuation\">}</span></span> <span class=\"token attr-name\">pure</span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">NewOutput</span></span> <span class=\"token punctuation\">/></span></span><span class=\"token plain-text\">\n            </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">ConfigProvider</span></span><span class=\"token punctuation\">></span></span>\n        <span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n    <span class=\"token punctuation\">}</span>\n<span class=\"token punctuation\">}</span>\n\nReactDOM<span class=\"token punctuation\">.</span><span class=\"token function\">render</span><span class=\"token punctuation\">(</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Demo</span></span> <span class=\"token punctuation\">/></span></span><span class=\"token punctuation\">,</span> mountNode<span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span></code></pre></div>"}