{"title":"Accessibility","meta":{"title":"Accessibility","description":"\n<p>Support manual input or keyboard operation,Please refer to <code>ARIA and KeyBoard</code>.</p>\n","order":"13"},"codes":{"jsx":"import { DatePicker } from '@alifd/next';\n\nconst { RangePicker, MonthPicker, YearPicker } = DatePicker;\nconst onChange = val => console.log(val);\n\nReactDOM.render(<div>\n    <DatePicker dateInputAriaLabel=\"date input\" inputProps={{\"aria-label\": \"date picker main\"}}  onChange={onChange} /> <br /><br />\n    <RangePicker startDateInputAriaLabel=\"start date\" startTimeInputAriaLabel=\"start time\" endDateInputAriaLabel=\"end date\" endTimeInputAriaLabel=\"end time\" onChange={onChange} inputProps={{\"aria-label\": \"range picker main\"}} />\n</div>, mountNode);\n"},"body":"\n````jsx\nimport { DatePicker } from '@alifd/next';\n\nconst { RangePicker, MonthPicker, YearPicker } = DatePicker;\nconst onChange = val => console.log(val);\n\nReactDOM.render(<div>\n    <DatePicker dateInputAriaLabel=\"date input\" inputProps={{\"aria-label\": \"date picker main\"}}  onChange={onChange} /> <br /><br />\n    <RangePicker startDateInputAriaLabel=\"start date\" startTimeInputAriaLabel=\"start time\" endDateInputAriaLabel=\"end date\" endTimeInputAriaLabel=\"end time\" onChange={onChange} inputProps={{\"aria-label\": \"range picker main\"}} />\n</div>, mountNode);\n````","html":"<script>(function(){\"use strict\";\n\nvar _next = require(\"@alifd/next\");\n\nvar RangePicker = _next.DatePicker.RangePicker,\n    MonthPicker = _next.DatePicker.MonthPicker,\n    YearPicker = _next.DatePicker.YearPicker;\n\nvar onChange = function onChange(val) {\n    return console.log(val);\n};\n\nReactDOM.render(React.createElement(\n    \"div\",\n    null,\n    React.createElement(_next.DatePicker, { dateInputAriaLabel: \"date input\", inputProps: { \"aria-label\": \"date picker main\" }, onChange: onChange }),\n    \" \",\n    React.createElement(\"br\", null),\n    React.createElement(\"br\", null),\n    React.createElement(RangePicker, { startDateInputAriaLabel: \"start date\", startTimeInputAriaLabel: \"start time\", endDateInputAriaLabel: \"end date\", endTimeInputAriaLabel: \"end time\", onChange: onChange, inputProps: { \"aria-label\": \"range picker main\" } })\n), mountNode);})()</script><div class=\"highlight\"><pre class=\"language-jsx\"><code class=\"language-jsx\"><span class=\"token keyword\">import</span> <span class=\"token punctuation\">{</span> DatePicker <span class=\"token punctuation\">}</span> <span class=\"token keyword\">from</span> <span class=\"token string\">'@alifd/next'</span><span class=\"token punctuation\">;</span>\n\n<span class=\"token keyword\">const</span> <span class=\"token punctuation\">{</span> RangePicker<span class=\"token punctuation\">,</span> MonthPicker<span class=\"token punctuation\">,</span> YearPicker <span class=\"token punctuation\">}</span> <span class=\"token operator\">=</span> DatePicker<span class=\"token punctuation\">;</span>\n<span class=\"token keyword\">const</span> <span class=\"token function-variable function\">onChange</span> <span class=\"token operator\">=</span> <span class=\"token parameter\">val</span> <span class=\"token operator\">=></span> console<span class=\"token punctuation\">.</span><span class=\"token function\">log</span><span class=\"token punctuation\">(</span>val<span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n\nReactDOM<span class=\"token punctuation\">.</span><span class=\"token function\">render</span><span class=\"token punctuation\">(</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span>div</span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n    </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">DatePicker</span></span> <span class=\"token attr-name\">dateInputAriaLabel</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>date input<span class=\"token punctuation\">\"</span></span> <span class=\"token attr-name\">inputProps</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token punctuation\">{</span><span class=\"token string\">\"aria-label\"</span><span class=\"token punctuation\">:</span> <span class=\"token string\">\"date picker main\"</span><span class=\"token punctuation\">}</span><span class=\"token punctuation\">}</span></span>  <span class=\"token attr-name\">onChange</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span>onChange<span class=\"token punctuation\">}</span></span> <span class=\"token punctuation\">/></span></span><span class=\"token plain-text\"> </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span>br</span> <span class=\"token punctuation\">/></span></span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span>br</span> <span class=\"token punctuation\">/></span></span><span class=\"token plain-text\">\n    </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">RangePicker</span></span> <span class=\"token attr-name\">startDateInputAriaLabel</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>start date<span class=\"token punctuation\">\"</span></span> <span class=\"token attr-name\">startTimeInputAriaLabel</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>start time<span class=\"token punctuation\">\"</span></span> <span class=\"token attr-name\">endDateInputAriaLabel</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>end date<span class=\"token punctuation\">\"</span></span> <span class=\"token attr-name\">endTimeInputAriaLabel</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>end time<span class=\"token punctuation\">\"</span></span> <span class=\"token attr-name\">onChange</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span>onChange<span class=\"token punctuation\">}</span></span> <span class=\"token attr-name\">inputProps</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token punctuation\">{</span><span class=\"token string\">\"aria-label\"</span><span class=\"token punctuation\">:</span> <span class=\"token string\">\"range picker main\"</span><span class=\"token punctuation\">}</span><span class=\"token punctuation\">}</span></span> <span class=\"token punctuation\">/></span></span><span class=\"token plain-text\">\n</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span>div</span><span class=\"token punctuation\">></span></span><span class=\"token punctuation\">,</span> mountNode<span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span></code></pre></div>"}