{"title":"Custom RangePicker","meta":{"title":"Custom RangePicker","description":"\n<p>Create your own RangePicker with two DatePickers.</p>\n","order":"8"},"codes":{"jsx":"import { DatePicker } from '@alifd/next';\n\nclass CustomRangePicker extends React.Component {\n    constructor(props, context) {\n        super(props, context);\n        this.state = {\n            startValue: null,\n            endValue: null,\n            endOpen: false\n        };\n    }\n\n    disabledStartDate = (startValue) => {\n        const { endValue } = this.state;\n        if (!startValue || !endValue) {\n            return false;\n        }\n        return startValue.valueOf() > endValue.valueOf();\n    }\n\n    disabledEndDate = (endValue) => {\n        const { startValue } = this.state;\n        if (!endValue || !startValue) {\n            return false;\n        }\n        return endValue.valueOf() <= startValue.valueOf();\n    }\n\n    onChange = (stateName, value) => {\n        this.setState({\n            [stateName]: value\n        });\n    }\n\n    onStartChange = (value) => {\n        this.onChange('startValue', value);\n    }\n\n    onEndChange = value => {\n        this.onChange('endValue', value);\n    }\n\n    handleStartOpenChange = (open) => {\n        if (!open) {\n            this.setState({ endOpen: true });\n        }\n    }\n\n    handleEndOpenChange = (open) => {\n        this.setState({ endOpen: open });\n    }\n\n    render() {\n        const { endOpen } = this.state;\n        return (\n            <div>\n                <DatePicker\n                    disabledDate={this.disabledStartDate}\n                    placeholder=\"Departure Date\"\n                    onChange={this.onStartChange}\n                    onVisibleChange={this.handleStartOpenChange}\n                />\n                <span className=\"custom-sep\">-</span>\n                <DatePicker\n                    disabledDate={this.disabledEndDate}\n                    placeholder=\"Return Date\"\n                    onChange={this.onEndChange}\n                    visible={endOpen}\n                    onVisibleChange={this.handleEndOpenChange}\n                />\n            </div>\n        );\n    }\n}\n\nReactDOM.render(<div>\n    <CustomRangePicker />\n</div>, mountNode);\n","css":".custom-sep {\n    margin: 0 6px;\n    color: #999;\n}\n"},"body":"\n````jsx\nimport { DatePicker } from '@alifd/next';\n\nclass CustomRangePicker extends React.Component {\n    constructor(props, context) {\n        super(props, context);\n        this.state = {\n            startValue: null,\n            endValue: null,\n            endOpen: false\n        };\n    }\n\n    disabledStartDate = (startValue) => {\n        const { endValue } = this.state;\n        if (!startValue || !endValue) {\n            return false;\n        }\n        return startValue.valueOf() > endValue.valueOf();\n    }\n\n    disabledEndDate = (endValue) => {\n        const { startValue } = this.state;\n        if (!endValue || !startValue) {\n            return false;\n        }\n        return endValue.valueOf() <= startValue.valueOf();\n    }\n\n    onChange = (stateName, value) => {\n        this.setState({\n            [stateName]: value\n        });\n    }\n\n    onStartChange = (value) => {\n        this.onChange('startValue', value);\n    }\n\n    onEndChange = value => {\n        this.onChange('endValue', value);\n    }\n\n    handleStartOpenChange = (open) => {\n        if (!open) {\n            this.setState({ endOpen: true });\n        }\n    }\n\n    handleEndOpenChange = (open) => {\n        this.setState({ endOpen: open });\n    }\n\n    render() {\n        const { endOpen } = this.state;\n        return (\n            <div>\n                <DatePicker\n                    disabledDate={this.disabledStartDate}\n                    placeholder=\"Departure Date\"\n                    onChange={this.onStartChange}\n                    onVisibleChange={this.handleStartOpenChange}\n                />\n                <span className=\"custom-sep\">-</span>\n                <DatePicker\n                    disabledDate={this.disabledEndDate}\n                    placeholder=\"Return Date\"\n                    onChange={this.onEndChange}\n                    visible={endOpen}\n                    onVisibleChange={this.handleEndOpenChange}\n                />\n            </div>\n        );\n    }\n}\n\nReactDOM.render(<div>\n    <CustomRangePicker />\n</div>, mountNode);\n````\n\n````css\n.custom-sep {\n    margin: 0 6px;\n    color: #999;\n}\n````","html":"<script>(function(){'use strict';\n\nvar _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if (\"value\" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();\n\nvar _next = require('@alifd/next');\n\nfunction _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }\n\nfunction _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError(\"Cannot call a class as a function\"); } }\n\nfunction _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError(\"this hasn't been initialised - super() hasn't been called\"); } return call && (typeof call === \"object\" || typeof call === \"function\") ? call : self; }\n\nfunction _inherits(subClass, superClass) { if (typeof superClass !== \"function\" && superClass !== null) { throw new TypeError(\"Super expression must either be null or a function, not \" + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }\n\nvar CustomRangePicker = function (_React$Component) {\n    _inherits(CustomRangePicker, _React$Component);\n\n    function CustomRangePicker(props, context) {\n        _classCallCheck(this, CustomRangePicker);\n\n        var _this = _possibleConstructorReturn(this, (CustomRangePicker.__proto__ || Object.getPrototypeOf(CustomRangePicker)).call(this, props, context));\n\n        _this.disabledStartDate = function (startValue) {\n            var endValue = _this.state.endValue;\n\n            if (!startValue || !endValue) {\n                return false;\n            }\n            return startValue.valueOf() > endValue.valueOf();\n        };\n\n        _this.disabledEndDate = function (endValue) {\n            var startValue = _this.state.startValue;\n\n            if (!endValue || !startValue) {\n                return false;\n            }\n            return endValue.valueOf() <= startValue.valueOf();\n        };\n\n        _this.onChange = function (stateName, value) {\n            _this.setState(_defineProperty({}, stateName, value));\n        };\n\n        _this.onStartChange = function (value) {\n            _this.onChange('startValue', value);\n        };\n\n        _this.onEndChange = function (value) {\n            _this.onChange('endValue', value);\n        };\n\n        _this.handleStartOpenChange = function (open) {\n            if (!open) {\n                _this.setState({ endOpen: true });\n            }\n        };\n\n        _this.handleEndOpenChange = function (open) {\n            _this.setState({ endOpen: open });\n        };\n\n        _this.state = {\n            startValue: null,\n            endValue: null,\n            endOpen: false\n        };\n        return _this;\n    }\n\n    _createClass(CustomRangePicker, [{\n        key: 'render',\n        value: function render() {\n            var endOpen = this.state.endOpen;\n\n            return React.createElement(\n                'div',\n                null,\n                React.createElement(_next.DatePicker, {\n                    disabledDate: this.disabledStartDate,\n                    placeholder: 'Departure Date',\n                    onChange: this.onStartChange,\n                    onVisibleChange: this.handleStartOpenChange\n                }),\n                React.createElement(\n                    'span',\n                    { className: 'custom-sep' },\n                    '-'\n                ),\n                React.createElement(_next.DatePicker, {\n                    disabledDate: this.disabledEndDate,\n                    placeholder: 'Return Date',\n                    onChange: this.onEndChange,\n                    visible: endOpen,\n                    onVisibleChange: this.handleEndOpenChange\n                })\n            );\n        }\n    }]);\n\n    return CustomRangePicker;\n}(React.Component);\n\nReactDOM.render(React.createElement(\n    'div',\n    null,\n    React.createElement(CustomRangePicker, null)\n), mountNode);})()</script><div class=\"highlight\"><pre class=\"language-jsx\"><code class=\"language-jsx\"><span class=\"token keyword\">import</span> <span class=\"token punctuation\">{</span> DatePicker <span class=\"token punctuation\">}</span> <span class=\"token keyword\">from</span> <span class=\"token string\">'@alifd/next'</span><span class=\"token punctuation\">;</span>\n\n<span class=\"token keyword\">class</span> <span class=\"token class-name\">CustomRangePicker</span> <span class=\"token keyword\">extends</span> <span class=\"token class-name\">React<span class=\"token punctuation\">.</span>Component</span> <span class=\"token punctuation\">{</span>\n    <span class=\"token function\">constructor</span><span class=\"token punctuation\">(</span><span class=\"token parameter\">props<span class=\"token punctuation\">,</span> context</span><span class=\"token punctuation\">)</span> <span class=\"token punctuation\">{</span>\n        <span class=\"token keyword\">super</span><span class=\"token punctuation\">(</span>props<span class=\"token punctuation\">,</span> context<span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n        <span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span>state <span class=\"token operator\">=</span> <span class=\"token punctuation\">{</span>\n            startValue<span class=\"token punctuation\">:</span> <span class=\"token keyword\">null</span><span class=\"token punctuation\">,</span>\n            endValue<span class=\"token punctuation\">:</span> <span class=\"token keyword\">null</span><span class=\"token punctuation\">,</span>\n            endOpen<span class=\"token punctuation\">:</span> <span class=\"token boolean\">false</span>\n        <span class=\"token punctuation\">}</span><span class=\"token punctuation\">;</span>\n    <span class=\"token punctuation\">}</span>\n\n    <span class=\"token function-variable function\">disabledStartDate</span> <span class=\"token operator\">=</span> <span class=\"token punctuation\">(</span><span class=\"token parameter\">startValue</span><span class=\"token punctuation\">)</span> <span class=\"token operator\">=></span> <span class=\"token punctuation\">{</span>\n        <span class=\"token keyword\">const</span> <span class=\"token punctuation\">{</span> endValue <span class=\"token punctuation\">}</span> <span class=\"token operator\">=</span> <span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span>state<span class=\"token punctuation\">;</span>\n        <span class=\"token keyword\">if</span> <span class=\"token punctuation\">(</span><span class=\"token operator\">!</span>startValue <span class=\"token operator\">||</span> <span class=\"token operator\">!</span>endValue<span class=\"token punctuation\">)</span> <span class=\"token punctuation\">{</span>\n            <span class=\"token keyword\">return</span> <span class=\"token boolean\">false</span><span class=\"token punctuation\">;</span>\n        <span class=\"token punctuation\">}</span>\n        <span class=\"token keyword\">return</span> startValue<span class=\"token punctuation\">.</span><span class=\"token function\">valueOf</span><span class=\"token punctuation\">(</span><span class=\"token punctuation\">)</span> <span class=\"token operator\">></span> endValue<span class=\"token punctuation\">.</span><span class=\"token function\">valueOf</span><span class=\"token punctuation\">(</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n    <span class=\"token punctuation\">}</span>\n\n    <span class=\"token function-variable function\">disabledEndDate</span> <span class=\"token operator\">=</span> <span class=\"token punctuation\">(</span><span class=\"token parameter\">endValue</span><span class=\"token punctuation\">)</span> <span class=\"token operator\">=></span> <span class=\"token punctuation\">{</span>\n        <span class=\"token keyword\">const</span> <span class=\"token punctuation\">{</span> startValue <span class=\"token punctuation\">}</span> <span class=\"token operator\">=</span> <span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span>state<span class=\"token punctuation\">;</span>\n        <span class=\"token keyword\">if</span> <span class=\"token punctuation\">(</span><span class=\"token operator\">!</span>endValue <span class=\"token operator\">||</span> <span class=\"token operator\">!</span>startValue<span class=\"token punctuation\">)</span> <span class=\"token punctuation\">{</span>\n            <span class=\"token keyword\">return</span> <span class=\"token boolean\">false</span><span class=\"token punctuation\">;</span>\n        <span class=\"token punctuation\">}</span>\n        <span class=\"token keyword\">return</span> endValue<span class=\"token punctuation\">.</span><span class=\"token function\">valueOf</span><span class=\"token punctuation\">(</span><span class=\"token punctuation\">)</span> <span class=\"token operator\">&lt;=</span> startValue<span class=\"token punctuation\">.</span><span class=\"token function\">valueOf</span><span class=\"token punctuation\">(</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n    <span class=\"token punctuation\">}</span>\n\n    <span class=\"token function-variable function\">onChange</span> <span class=\"token operator\">=</span> <span class=\"token punctuation\">(</span><span class=\"token parameter\">stateName<span class=\"token punctuation\">,</span> value</span><span class=\"token punctuation\">)</span> <span class=\"token operator\">=></span> <span class=\"token punctuation\">{</span>\n        <span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span><span class=\"token function\">setState</span><span class=\"token punctuation\">(</span><span class=\"token punctuation\">{</span>\n            <span class=\"token punctuation\">[</span>stateName<span class=\"token punctuation\">]</span><span class=\"token punctuation\">:</span> value\n        <span class=\"token punctuation\">}</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n    <span class=\"token punctuation\">}</span>\n\n    <span class=\"token function-variable function\">onStartChange</span> <span class=\"token operator\">=</span> <span class=\"token punctuation\">(</span><span class=\"token parameter\">value</span><span class=\"token punctuation\">)</span> <span class=\"token operator\">=></span> <span class=\"token punctuation\">{</span>\n        <span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span><span class=\"token function\">onChange</span><span class=\"token punctuation\">(</span><span class=\"token string\">'startValue'</span><span class=\"token punctuation\">,</span> value<span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n    <span class=\"token punctuation\">}</span>\n\n    <span class=\"token function-variable function\">onEndChange</span> <span class=\"token operator\">=</span> <span class=\"token parameter\">value</span> <span class=\"token operator\">=></span> <span class=\"token punctuation\">{</span>\n        <span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span><span class=\"token function\">onChange</span><span class=\"token punctuation\">(</span><span class=\"token string\">'endValue'</span><span class=\"token punctuation\">,</span> value<span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n    <span class=\"token punctuation\">}</span>\n\n    <span class=\"token function-variable function\">handleStartOpenChange</span> <span class=\"token operator\">=</span> <span class=\"token punctuation\">(</span><span class=\"token parameter\">open</span><span class=\"token punctuation\">)</span> <span class=\"token operator\">=></span> <span class=\"token punctuation\">{</span>\n        <span class=\"token keyword\">if</span> <span class=\"token punctuation\">(</span><span class=\"token operator\">!</span>open<span class=\"token punctuation\">)</span> <span class=\"token punctuation\">{</span>\n            <span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span><span class=\"token function\">setState</span><span class=\"token punctuation\">(</span><span class=\"token punctuation\">{</span> endOpen<span class=\"token punctuation\">:</span> <span class=\"token boolean\">true</span> <span class=\"token punctuation\">}</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n        <span class=\"token punctuation\">}</span>\n    <span class=\"token punctuation\">}</span>\n\n    <span class=\"token function-variable function\">handleEndOpenChange</span> <span class=\"token operator\">=</span> <span class=\"token punctuation\">(</span><span class=\"token parameter\">open</span><span class=\"token punctuation\">)</span> <span class=\"token operator\">=></span> <span class=\"token punctuation\">{</span>\n        <span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span><span class=\"token function\">setState</span><span class=\"token punctuation\">(</span><span class=\"token punctuation\">{</span> endOpen<span class=\"token punctuation\">:</span> open <span class=\"token punctuation\">}</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n    <span class=\"token punctuation\">}</span>\n\n    <span class=\"token function\">render</span><span class=\"token punctuation\">(</span><span class=\"token punctuation\">)</span> <span class=\"token punctuation\">{</span>\n        <span class=\"token keyword\">const</span> <span class=\"token punctuation\">{</span> endOpen <span class=\"token punctuation\">}</span> <span class=\"token operator\">=</span> <span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span>state<span class=\"token punctuation\">;</span>\n        <span class=\"token keyword\">return</span> <span class=\"token punctuation\">(</span>\n            <span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span>div</span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">DatePicker</span></span>\n                    <span class=\"token attr-name\">disabledDate</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span>disabledStartDate<span class=\"token punctuation\">}</span></span>\n                    <span class=\"token attr-name\">placeholder</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>Departure Date<span class=\"token punctuation\">\"</span></span>\n                    <span class=\"token attr-name\">onChange</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span>onStartChange<span class=\"token punctuation\">}</span></span>\n                    <span class=\"token attr-name\">onVisibleChange</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span>handleStartOpenChange<span class=\"token punctuation\">}</span></span>\n                <span class=\"token punctuation\">/></span></span><span class=\"token plain-text\">\n                </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span>span</span> <span class=\"token attr-name\">className</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>custom-sep<span class=\"token punctuation\">\"</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">-</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span>span</span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">DatePicker</span></span>\n                    <span class=\"token attr-name\">disabledDate</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span>disabledEndDate<span class=\"token punctuation\">}</span></span>\n                    <span class=\"token attr-name\">placeholder</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>Return Date<span class=\"token punctuation\">\"</span></span>\n                    <span class=\"token attr-name\">onChange</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span>onEndChange<span class=\"token punctuation\">}</span></span>\n                    <span class=\"token attr-name\">visible</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span>endOpen<span class=\"token punctuation\">}</span></span>\n                    <span class=\"token attr-name\">onVisibleChange</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span>handleEndOpenChange<span class=\"token punctuation\">}</span></span>\n                <span class=\"token punctuation\">/></span></span><span class=\"token plain-text\">\n            </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span>div</span><span class=\"token punctuation\">></span></span>\n        <span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n    <span class=\"token punctuation\">}</span>\n<span class=\"token punctuation\">}</span>\n\nReactDOM<span class=\"token punctuation\">.</span><span class=\"token function\">render</span><span class=\"token punctuation\">(</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span>div</span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n    </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">CustomRangePicker</span></span> <span class=\"token punctuation\">/></span></span><span class=\"token plain-text\">\n</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span>div</span><span class=\"token punctuation\">></span></span><span class=\"token punctuation\">,</span> mountNode<span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span></code></pre></div><style type=\"text/css\">.custom-sep {\n    margin: 0 6px;\n    color: #999;\n}</style><div class=\"highlight\"><pre class=\"language-css\"><code class=\"language-css\"><span class=\"token selector\">.custom-sep</span> <span class=\"token punctuation\">{</span>\n    <span class=\"token property\">margin</span><span class=\"token punctuation\">:</span> 0 6px<span class=\"token punctuation\">;</span>\n    <span class=\"token property\">color</span><span class=\"token punctuation\">:</span> #999<span class=\"token punctuation\">;</span>\n<span class=\"token punctuation\">}</span></code></pre></div>"}