{"meta":"<h2 id=\"guide\">Guide<a href=\"#guide\" class=\"anchor\">#</a></h2><h2 id=\"when-to-use\">When To Use<a href=\"#when-to-use\" class=\"anchor\">#</a></h2><p>The Drawer is used to provide the user with an auxiliary window for quickly performing a simple operation, confirming user information, or providing a feedback prompt without leaving the main path.</p>\n<h2 id=\"api\">API<a href=\"#api\" class=\"anchor\">#</a></h2>","api":"<h3 id=\"drawer\">Drawer<a href=\"#drawer\" class=\"anchor\">#</a></h3><table>\n<thead>\n<tr>\n<th>Param</th>\n<th>Descripiton</th>\n<th>Type</th>\n<th>Default Value</th>\n</tr>\n</thead>\n<tbody>\n<tr>\n<td>trigger</td>\n<td>trigger the overlay to show or hide elements</td>\n<td>ReactElement</td>\n<td>-</td>\n</tr>\n<tr>\n<td>triggerType</td>\n<td>trigger the overlay to show or hide operations, either &apos;click&apos;, &apos;hover&apos;, &apos;focus&apos;, or an array of them, such as [&apos;hover&apos;, &apos;focus&apos;]</td>\n<td>String/Array</td>\n<td>&apos;hover&apos;</td>\n</tr>\n<tr>\n<td>visible</td>\n<td>whether the overlay is visiible currently</td>\n<td>Boolean</td>\n<td>-</td>\n</tr>\n<tr>\n<td>animation</td>\n<td>configure animation, support the {in: &apos;enter-class&apos;, out: &apos;leave-class&apos; } object parameters, if set to false, do not play the animation. Refer to <code>Animate</code> component documentation for available animations.</td>\n<td>Object/Boolean</td>\n<td>{ in: &apos;expandInDown&apos;, out: &apos;expandOutUp&apos; }</td>\n</tr>\n<tr>\n<td>hasMask</td>\n<td>whether to show the mask</td>\n<td>Boolean</td>\n<td>false</td>\n</tr>\n<tr>\n<td>closeable</td>\n<td>controls how the dialog is closed. The value can be either a String or Boolean, where the string consists of the following values: <br><strong>close</strong> clicking the close button can close the dialog <br><strong>mask</strong> clicking the mask can close the dialog <br><strong>esc</strong> pressing the esc key can close the dialog <br> such as &apos;close&apos; or &apos;close,esc,mask&apos;<br>If set to true, all of the above close methods take effect <br>If set to false, all of the above close methods will fail</td>\n<td>String/Boolean</td>\n<td>&apos;esc,close&apos;</td>\n</tr>\n<tr>\n<td>onVisibleChange</td>\n<td>callback function triggered when the ovlery is visible or hidden<br><br><strong>signatures</strong>:<br>Function(visible: Boolean, type: String, e: Object) =&gt; void<br><strong>params</strong>:<br><em>visible</em>: {Boolean} whether the overlay is visible<br><em>type</em>: {String} the reason that triggers the overlay to show or hide<br>_e_: {Object} DOM event</td>\n<td>Function</td>\n<td>func.noop</td>\n</tr>\n<tr>\n<td>placement</td>\n<td>placement of the drawer <br><br><strong>options</strong>:<br>&apos;top&apos;, &apos;right&apos;, &apos;bottom&apos;, &apos;left&apos;</td>\n<td>Enum</td>\n<td>&apos;right&apos;</td>\n</tr>\n</tbody>\n</table>\n<h2 id=\"aria-and-keyboard\">ARIA and Keyboard<a href=\"#aria-and-keyboard\" class=\"anchor\">#</a></h2><table>\n<thead>\n<tr>\n<th style=\"text-align:left\">Keyboard</th>\n<th style=\"text-align:left\">Descripiton</th>\n</tr>\n</thead>\n<tbody>\n<tr>\n<td style=\"text-align:left\">esc</td>\n<td style=\"text-align:left\">pressing ESC will close dialog</td>\n</tr>\n<tr>\n<td style=\"text-align:left\">tab</td>\n<td style=\"text-align:left\">focus on any element that can be focused, the focus remains in the dialog when the dialog is displayed</td>\n</tr>\n<tr>\n<td style=\"text-align:left\">shift+tab</td>\n<td style=\"text-align:left\">back focus on any element that can be focused, the focus remains in the dialog when the dialog is displayed</td>\n</tr>\n</tbody>\n</table>\n"}