{"meta":"<h2 id=\"develop-guide\">Develop Guide<a href=\"#develop-guide\" class=\"anchor\">#</a></h2><h3 id=\"when-to-use\">When to Use<a href=\"#when-to-use\" class=\"anchor\">#</a></h3><p>You can storage operation command with dropdown component when there are too much command. There will be a drop-down menu after you click or hover the trigger element. Then choose a command and run it.</p>\n<h3 id=\"note\">Note<a href=\"#note\" class=\"anchor\">#</a></h3><ul>\n<li>Dropdown is accessible when using like <code>&lt;Dropdown triggerType={[&quot;click&quot;, &quot;hover&quot;]}&gt;</code> (triggerType=&quot;focus&quot; is deprecated). In our opinion, menu elements need to be confirmed by users before they are expanded when it comes to accessibility.</li>\n</ul>\n<h2 id=\"api\">API<a href=\"#api\" class=\"anchor\">#</a></h2>","api":"<h3 id=\"dropdown\">Dropdown<a href=\"#dropdown\" class=\"anchor\">#</a></h3><blockquote>\n<p>Dropdown component extends API of Popup component,  unless special note.</p>\n</blockquote>\n<table>\n<thead>\n<tr>\n<th>Param</th>\n<th>Descripiton</th>\n<th>Type</th>\n<th>Default Value</th>\n</tr>\n</thead>\n<tbody>\n<tr>\n<td>children</td>\n<td>content in overlay</td>\n<td>ReactNode</td>\n<td>-</td>\n</tr>\n<tr>\n<td>visible</td>\n<td>overlay display or not now</td>\n<td>Boolean</td>\n<td>-</td>\n</tr>\n<tr>\n<td>defaultVisible</td>\n<td>overlay display or not in default situation</td>\n<td>Boolean</td>\n<td>false</td>\n</tr>\n<tr>\n<td>onVisibleChange</td>\n<td>callback function when toggle visible of overlay<br><br><strong>signatures</strong>:<br>Function(visible: Boolean, type: String, e: Object) =&gt; void<br><strong>params</strong>:<br><em>visible</em>: {Boolean} overlay display or not<br><em>type</em>: {String} orign of trigger overlay toggle visible<br>_e_: {Object} DOM Event</td>\n<td>Function</td>\n<td>func.noop</td>\n</tr>\n<tr>\n<td>trigger</td>\n<td>trigger element</td>\n<td>ReactNode</td>\n<td>-</td>\n</tr>\n<tr>\n<td>triggerType</td>\n<td>operation type of trigger overlay toggle visible<br><br><strong>options</strong>:<br>&apos;hover&apos;, &apos;click&apos;</td>\n<td>Enum</td>\n<td>&apos;hover&apos;</td>\n</tr>\n<tr>\n<td>disabled</td>\n<td>overlay can not toggle visible if you set disabled attribute</td>\n<td>Boolean</td>\n<td>false</td>\n</tr>\n<tr>\n<td>align</td>\n<td>overlay position relative to trigger element, see details Overlay align</td>\n<td>String</td>\n<td>&apos;tl bl&apos;</td>\n</tr>\n<tr>\n<td>offset</td>\n<td>extra adjustment for trigger element. e.g. [hoz, ver] means move to right ${hoz}px (to left in RTL mode), to bottom ${ver}px</td>\n<td>Array</td>\n<td>[0, 0]</td>\n</tr>\n<tr>\n<td>delay</td>\n<td>delay time of toggle overlay visible(unit: ms)&#xFF0C;if triggerType value is &apos;hover&apos;, delay time will work</td>\n<td>Number</td>\n<td>200</td>\n</tr>\n<tr>\n<td>autoFocus</td>\n<td>let element in overlay get focus or not after overlay was opened</td>\n<td>Boolean</td>\n<td>true</td>\n</tr>\n<tr>\n<td>hasMask</td>\n<td>display mask or not</td>\n<td>Boolean</td>\n<td>false</td>\n</tr>\n<tr>\n<td>cache</td>\n<td>reserve child element or not after hidden overlay</td>\n<td>Boolean</td>\n<td>false</td>\n</tr>\n<tr>\n<td>animation</td>\n<td>animation play mode, support object value: { in: &apos;enter-class&apos;, out: &apos;leave-class&apos; }, there is no animation if set <code>false</code></td>\n<td>Object/Boolean</td>\n<td>{ in: &apos;expandInDown&apos;, out: &apos;expandOutUp&apos; }</td>\n</tr>\n</tbody>\n</table>\n<h2 id=\"aria-and-keyboard\">ARIA and KeyBoard<a href=\"#aria-and-keyboard\" class=\"anchor\">#</a></h2><table>\n<thead>\n<tr>\n<th style=\"text-align:left\">KeyBoard</th>\n<th style=\"text-align:left\">Descripiton</th>\n</tr>\n</thead>\n<tbody>\n<tr>\n<td style=\"text-align:left\">Up Arrow</td>\n<td style=\"text-align:left\">in vertical mode, at the same level navigation, navigate to previous item</td>\n</tr>\n<tr>\n<td style=\"text-align:left\">Down Arrow</td>\n<td style=\"text-align:left\">in vertical mode, at the same level navigation, navigate to next item</td>\n</tr>\n<tr>\n<td style=\"text-align:left\">Right Arrow</td>\n<td style=\"text-align:left\">in vertical mode, open the submenu, navigate to the first item of the submenu; in horizontal mode, navigate at the same level, navigate to the next one</td>\n</tr>\n<tr>\n<td style=\"text-align:left\">Left Arrow</td>\n<td style=\"text-align:left\">in vertical mode, close the submenu, navigate to the parent menu; in horizontal mode, navigate at the same level, navigate to the previous one</td>\n</tr>\n<tr>\n<td style=\"text-align:left\">Enter</td>\n<td style=\"text-align:left\">open submenu and navigate to the first item of the submenu</td>\n</tr>\n<tr>\n<td style=\"text-align:left\">Esc</td>\n<td style=\"text-align:left\">close submenu and navigate to the parent menu item</td>\n</tr>\n</tbody>\n</table>\n"}