{"title":"Accessibility","meta":{"title":"Accessibility","description":"\n<p>For required fields, set the <code>aria-required</code> attribute in the component and prompt the user with a visual design highlight.</p>\n","order":"16"},"codes":{"jsx":"import { Form, Input, Select, Radio, Checkbox, DatePicker, Switch, Upload, Grid, Field } from '@alifd/next';\n\nconst RadioGroup = Radio.Group;\nconst {Row, Col} = Grid;\nconst FormItem = Form.Item;\nconst Option = Select.Option;\nconst formItemLayout = {\n    labelCol: {\n        span: 7\n    },\n    wrapperCol: {\n        span: 16\n    }\n};\nclass Demo extends React.Component {\n    state = {\n        size: 'medium'\n    };\n    submitHandle = (e) => {\n        console.log(e);\n    };\n    render() {\n        return (\n            <div>\n                <Form {...formItemLayout} size={this.state.size} style={{maxWidth: '800px'}}>\n                    <FormItem required label=\"username:\">\n                        <Input placeholder=\"Please enter your username\" id=\"a11yUsername\" name=\"a11yUsername\" aria-required=\"true\"   />\n                    </FormItem>\n                    <FormItem required label=\"Password:\">\n                        <Input htmlType=\"password\" placeholder=\"Please enter your password\" id=\"a11yPassword\" name=\"a11yPassword\" aria-required=\"true\" />\n                    </FormItem>\n                    <FormItem  \n                        id=\"myDateInput-1\"\n                        required\n                        label=\"Accessible Date 1 (YYYY/MM/DD):\"\n                        requiredMessage=\"Please select your date\"\n                    >\n                        <DatePicker name=\"a11yDate\" format=\"YYYY/MM/DD\" inputProps={{\"aria-required\": \"true\", \"id\": \"myDateInput-1\"}}/> \n                    </FormItem>\n                    <FormItem  \n                        required\n                        label=\"Accessible Date 2 (YYYY/MM/DD):\"\n                        requiredMessage=\"Please select your date\"\n                    >\n                        <DatePicker name=\"a11yOtherDate\" format=\"YYYY/MM/DD\" dateInputAriaLabel=\"Date input format YYYY/MM/DD\" inputProps={{\"aria-required\": \"true\", \"aria-label\": \"Accessible Date 2\"}}/> \n                    </FormItem>\n                    <FormItem label=\"Switch:\">\n                        <Switch name=\"a11ySwitch\" aria-label=\"Accessible Switch\" defaultChecked/>\n                    </FormItem>\n                    <FormItem\n                        required\n                        label=\"gender:\"\n                        requiredMessage=\"Please select your gender\"\n                    >\n                        <RadioGroup name=\"a11ySex\">\n                            <Radio value=\"male\" aria-required=\"true\">Male</Radio>\n                            <Radio value=\"female\" aria-required=\"true\">Female</Radio>\n                        </RadioGroup>\n                    </FormItem>\n                    <FormItem label=\"Language:\">\n                        <Checkbox.Group name=\"a11yLangs\" aria-label=\"Please select a programming language\">\n                            <Checkbox value=\"python\">python</Checkbox>\n                            <Checkbox value=\"java\">java</Checkbox>\n                            <Checkbox value=\"angular\">angular</Checkbox>\n                            <Checkbox value=\"c\">c</Checkbox>\n                            <Checkbox value=\"other\">other</Checkbox>\n                        </Checkbox.Group>\n                    </FormItem>\n                    <FormItem label=\"upload:\">\n                        <Upload.Card\n                            listType=\"card\"\n                            action=\"https://www.easy-mock.com/mock/5b713974309d0d7d107a74a3/alifd/upload\"\n                            accept=\"image/png, image/jpg, image/jpeg, image/gif, image/bmp\"\n                            defaultValue={[]}\n                            limit={2}\n                            name=\"a11yUpload\"\n                        />\n                    </FormItem>\n                    <FormItem label=\"Note:\">\n                        <Input.TextArea placeholder=\"description\" name=\"a11yRemark\"/>\n                    </FormItem>\n                    <FormItem wrapperCol={{offset: 5}}>\n                        <Form.Submit validate type=\"primary\" onClick={this.submitHandle} style={{marginRight: 7}}>Submit</Form.Submit>\n                        <Form.Reset style={{marginLeft: 130}}>Reset</Form.Reset>\n                    </FormItem>\n                </Form>\n            </div>\n        );\n    }\n}\nReactDOM.render(<Demo />, mountNode);\n"},"body":"\n````jsx\nimport { Form, Input, Select, Radio, Checkbox, DatePicker, Switch, Upload, Grid, Field } from '@alifd/next';\n\nconst RadioGroup = Radio.Group;\nconst {Row, Col} = Grid;\nconst FormItem = Form.Item;\nconst Option = Select.Option;\nconst formItemLayout = {\n    labelCol: {\n        span: 7\n    },\n    wrapperCol: {\n        span: 16\n    }\n};\nclass Demo extends React.Component {\n    state = {\n        size: 'medium'\n    };\n    submitHandle = (e) => {\n        console.log(e);\n    };\n    render() {\n        return (\n            <div>\n                <Form {...formItemLayout} size={this.state.size} style={{maxWidth: '800px'}}>\n                    <FormItem required label=\"username:\">\n                        <Input placeholder=\"Please enter your username\" id=\"a11yUsername\" name=\"a11yUsername\" aria-required=\"true\"   />\n                    </FormItem>\n                    <FormItem required label=\"Password:\">\n                        <Input htmlType=\"password\" placeholder=\"Please enter your password\" id=\"a11yPassword\" name=\"a11yPassword\" aria-required=\"true\" />\n                    </FormItem>\n                    <FormItem  \n                        id=\"myDateInput-1\"\n                        required\n                        label=\"Accessible Date 1 (YYYY/MM/DD):\"\n                        requiredMessage=\"Please select your date\"\n                    >\n                        <DatePicker name=\"a11yDate\" format=\"YYYY/MM/DD\" inputProps={{\"aria-required\": \"true\", \"id\": \"myDateInput-1\"}}/> \n                    </FormItem>\n                    <FormItem  \n                        required\n                        label=\"Accessible Date 2 (YYYY/MM/DD):\"\n                        requiredMessage=\"Please select your date\"\n                    >\n                        <DatePicker name=\"a11yOtherDate\" format=\"YYYY/MM/DD\" dateInputAriaLabel=\"Date input format YYYY/MM/DD\" inputProps={{\"aria-required\": \"true\", \"aria-label\": \"Accessible Date 2\"}}/> \n                    </FormItem>\n                    <FormItem label=\"Switch:\">\n                        <Switch name=\"a11ySwitch\" aria-label=\"Accessible Switch\" defaultChecked/>\n                    </FormItem>\n                    <FormItem\n                        required\n                        label=\"gender:\"\n                        requiredMessage=\"Please select your gender\"\n                    >\n                        <RadioGroup name=\"a11ySex\">\n                            <Radio value=\"male\" aria-required=\"true\">Male</Radio>\n                            <Radio value=\"female\" aria-required=\"true\">Female</Radio>\n                        </RadioGroup>\n                    </FormItem>\n                    <FormItem label=\"Language:\">\n                        <Checkbox.Group name=\"a11yLangs\" aria-label=\"Please select a programming language\">\n                            <Checkbox value=\"python\">python</Checkbox>\n                            <Checkbox value=\"java\">java</Checkbox>\n                            <Checkbox value=\"angular\">angular</Checkbox>\n                            <Checkbox value=\"c\">c</Checkbox>\n                            <Checkbox value=\"other\">other</Checkbox>\n                        </Checkbox.Group>\n                    </FormItem>\n                    <FormItem label=\"upload:\">\n                        <Upload.Card\n                            listType=\"card\"\n                            action=\"https://www.easy-mock.com/mock/5b713974309d0d7d107a74a3/alifd/upload\"\n                            accept=\"image/png, image/jpg, image/jpeg, image/gif, image/bmp\"\n                            defaultValue={[]}\n                            limit={2}\n                            name=\"a11yUpload\"\n                        />\n                    </FormItem>\n                    <FormItem label=\"Note:\">\n                        <Input.TextArea placeholder=\"description\" name=\"a11yRemark\"/>\n                    </FormItem>\n                    <FormItem wrapperCol={{offset: 5}}>\n                        <Form.Submit validate type=\"primary\" onClick={this.submitHandle} style={{marginRight: 7}}>Submit</Form.Submit>\n                        <Form.Reset style={{marginLeft: 130}}>Reset</Form.Reset>\n                    </FormItem>\n                </Form>\n            </div>\n        );\n    }\n}\nReactDOM.render(<Demo />, mountNode);\n````","html":"<script>(function(){'use strict';\n\nvar _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };\n\nvar _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if (\"value\" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();\n\nvar _next = require('@alifd/next');\n\nfunction _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError(\"Cannot call a class as a function\"); } }\n\nfunction _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError(\"this hasn't been initialised - super() hasn't been called\"); } return call && (typeof call === \"object\" || typeof call === \"function\") ? call : self; }\n\nfunction _inherits(subClass, superClass) { if (typeof superClass !== \"function\" && superClass !== null) { throw new TypeError(\"Super expression must either be null or a function, not \" + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }\n\nvar RadioGroup = _next.Radio.Group;\nvar Row = _next.Grid.Row,\n    Col = _next.Grid.Col;\n\nvar FormItem = _next.Form.Item;\nvar Option = _next.Select.Option;\nvar formItemLayout = {\n    labelCol: {\n        span: 7\n    },\n    wrapperCol: {\n        span: 16\n    }\n};\n\nvar Demo = function (_React$Component) {\n    _inherits(Demo, _React$Component);\n\n    function Demo() {\n        var _ref;\n\n        var _temp, _this, _ret;\n\n        _classCallCheck(this, Demo);\n\n        for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {\n            args[_key] = arguments[_key];\n        }\n\n        return _ret = (_temp = (_this = _possibleConstructorReturn(this, (_ref = Demo.__proto__ || Object.getPrototypeOf(Demo)).call.apply(_ref, [this].concat(args))), _this), _this.state = {\n            size: 'medium'\n        }, _this.submitHandle = function (e) {\n            console.log(e);\n        }, _temp), _possibleConstructorReturn(_this, _ret);\n    }\n\n    _createClass(Demo, [{\n        key: 'render',\n        value: function render() {\n            return React.createElement(\n                'div',\n                null,\n                React.createElement(\n                    _next.Form,\n                    _extends({}, formItemLayout, { size: this.state.size, style: { maxWidth: '800px' } }),\n                    React.createElement(\n                        FormItem,\n                        { required: true, label: 'username:' },\n                        React.createElement(_next.Input, { placeholder: 'Please enter your username', id: 'a11yUsername', name: 'a11yUsername', 'aria-required': 'true' })\n                    ),\n                    React.createElement(\n                        FormItem,\n                        { required: true, label: 'Password:' },\n                        React.createElement(_next.Input, { htmlType: 'password', placeholder: 'Please enter your password', id: 'a11yPassword', name: 'a11yPassword', 'aria-required': 'true' })\n                    ),\n                    React.createElement(\n                        FormItem,\n                        {\n                            id: 'myDateInput-1',\n                            required: true,\n                            label: 'Accessible Date 1 (YYYY/MM/DD):',\n                            requiredMessage: 'Please select your date'\n                        },\n                        React.createElement(_next.DatePicker, { name: 'a11yDate', format: 'YYYY/MM/DD', inputProps: { \"aria-required\": \"true\", \"id\": \"myDateInput-1\" } })\n                    ),\n                    React.createElement(\n                        FormItem,\n                        {\n                            required: true,\n                            label: 'Accessible Date 2 (YYYY/MM/DD):',\n                            requiredMessage: 'Please select your date'\n                        },\n                        React.createElement(_next.DatePicker, { name: 'a11yOtherDate', format: 'YYYY/MM/DD', dateInputAriaLabel: 'Date input format YYYY/MM/DD', inputProps: { \"aria-required\": \"true\", \"aria-label\": \"Accessible Date 2\" } })\n                    ),\n                    React.createElement(\n                        FormItem,\n                        { label: 'Switch:' },\n                        React.createElement(_next.Switch, { name: 'a11ySwitch', 'aria-label': 'Accessible Switch', defaultChecked: true })\n                    ),\n                    React.createElement(\n                        FormItem,\n                        {\n                            required: true,\n                            label: 'gender:',\n                            requiredMessage: 'Please select your gender'\n                        },\n                        React.createElement(\n                            RadioGroup,\n                            { name: 'a11ySex' },\n                            React.createElement(\n                                _next.Radio,\n                                { value: 'male', 'aria-required': 'true' },\n                                'Male'\n                            ),\n                            React.createElement(\n                                _next.Radio,\n                                { value: 'female', 'aria-required': 'true' },\n                                'Female'\n                            )\n                        )\n                    ),\n                    React.createElement(\n                        FormItem,\n                        { label: 'Language:' },\n                        React.createElement(\n                            _next.Checkbox.Group,\n                            { name: 'a11yLangs', 'aria-label': 'Please select a programming language' },\n                            React.createElement(\n                                _next.Checkbox,\n                                { value: 'python' },\n                                'python'\n                            ),\n                            React.createElement(\n                                _next.Checkbox,\n                                { value: 'java' },\n                                'java'\n                            ),\n                            React.createElement(\n                                _next.Checkbox,\n                                { value: 'angular' },\n                                'angular'\n                            ),\n                            React.createElement(\n                                _next.Checkbox,\n                                { value: 'c' },\n                                'c'\n                            ),\n                            React.createElement(\n                                _next.Checkbox,\n                                { value: 'other' },\n                                'other'\n                            )\n                        )\n                    ),\n                    React.createElement(\n                        FormItem,\n                        { label: 'upload:' },\n                        React.createElement(_next.Upload.Card, {\n                            listType: 'card',\n                            action: 'https://www.easy-mock.com/mock/5b713974309d0d7d107a74a3/alifd/upload',\n                            accept: 'image/png, image/jpg, image/jpeg, image/gif, image/bmp',\n                            defaultValue: [],\n                            limit: 2,\n                            name: 'a11yUpload'\n                        })\n                    ),\n                    React.createElement(\n                        FormItem,\n                        { label: 'Note:' },\n                        React.createElement(_next.Input.TextArea, { placeholder: 'description', name: 'a11yRemark' })\n                    ),\n                    React.createElement(\n                        FormItem,\n                        { wrapperCol: { offset: 5 } },\n                        React.createElement(\n                            _next.Form.Submit,\n                            { validate: true, type: 'primary', onClick: this.submitHandle, style: { marginRight: 7 } },\n                            'Submit'\n                        ),\n                        React.createElement(\n                            _next.Form.Reset,\n                            { style: { marginLeft: 130 } },\n                            'Reset'\n                        )\n                    )\n                )\n            );\n        }\n    }]);\n\n    return Demo;\n}(React.Component);\n\nReactDOM.render(React.createElement(Demo, null), mountNode);})()</script><div class=\"highlight\"><pre class=\"language-jsx\"><code class=\"language-jsx\"><span class=\"token keyword\">import</span> <span class=\"token punctuation\">{</span> Form<span class=\"token punctuation\">,</span> Input<span class=\"token punctuation\">,</span> Select<span class=\"token punctuation\">,</span> Radio<span class=\"token punctuation\">,</span> Checkbox<span class=\"token punctuation\">,</span> DatePicker<span class=\"token punctuation\">,</span> Switch<span class=\"token punctuation\">,</span> Upload<span class=\"token punctuation\">,</span> Grid<span class=\"token punctuation\">,</span> Field <span class=\"token punctuation\">}</span> <span class=\"token keyword\">from</span> <span class=\"token string\">'@alifd/next'</span><span class=\"token punctuation\">;</span>\n\n<span class=\"token keyword\">const</span> RadioGroup <span class=\"token operator\">=</span> Radio<span class=\"token punctuation\">.</span>Group<span class=\"token punctuation\">;</span>\n<span class=\"token keyword\">const</span> <span class=\"token punctuation\">{</span>Row<span class=\"token punctuation\">,</span> Col<span class=\"token punctuation\">}</span> <span class=\"token operator\">=</span> Grid<span class=\"token punctuation\">;</span>\n<span class=\"token keyword\">const</span> FormItem <span class=\"token operator\">=</span> Form<span class=\"token punctuation\">.</span>Item<span class=\"token punctuation\">;</span>\n<span class=\"token keyword\">const</span> Option <span class=\"token operator\">=</span> Select<span class=\"token punctuation\">.</span>Option<span class=\"token punctuation\">;</span>\n<span class=\"token keyword\">const</span> formItemLayout <span class=\"token operator\">=</span> <span class=\"token punctuation\">{</span>\n    labelCol<span class=\"token punctuation\">:</span> <span class=\"token punctuation\">{</span>\n        span<span class=\"token punctuation\">:</span> <span class=\"token number\">7</span>\n    <span class=\"token punctuation\">}</span><span class=\"token punctuation\">,</span>\n    wrapperCol<span class=\"token punctuation\">:</span> <span class=\"token punctuation\">{</span>\n        span<span class=\"token punctuation\">:</span> <span class=\"token number\">16</span>\n    <span class=\"token punctuation\">}</span>\n<span class=\"token punctuation\">}</span><span class=\"token punctuation\">;</span>\n<span class=\"token keyword\">class</span> <span class=\"token class-name\">Demo</span> <span class=\"token keyword\">extends</span> <span class=\"token class-name\">React<span class=\"token punctuation\">.</span>Component</span> <span class=\"token punctuation\">{</span>\n    state <span class=\"token operator\">=</span> <span class=\"token punctuation\">{</span>\n        size<span class=\"token punctuation\">:</span> <span class=\"token string\">'medium'</span>\n    <span class=\"token punctuation\">}</span><span class=\"token punctuation\">;</span>\n    <span class=\"token function-variable function\">submitHandle</span> <span class=\"token operator\">=</span> <span class=\"token punctuation\">(</span><span class=\"token parameter\">e</span><span class=\"token punctuation\">)</span> <span class=\"token operator\">=></span> <span class=\"token punctuation\">{</span>\n        console<span class=\"token punctuation\">.</span><span class=\"token function\">log</span><span class=\"token punctuation\">(</span>e<span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n    <span class=\"token punctuation\">}</span><span class=\"token punctuation\">;</span>\n    <span class=\"token function\">render</span><span class=\"token punctuation\">(</span><span class=\"token punctuation\">)</span> <span class=\"token punctuation\">{</span>\n        <span class=\"token keyword\">return</span> <span class=\"token punctuation\">(</span>\n            <span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span>div</span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Form</span></span> <span class=\"token spread\"><span class=\"token punctuation\">{</span><span class=\"token punctuation\">...</span><span class=\"token attr-value\">formItemLayout</span><span class=\"token punctuation\">}</span></span> <span class=\"token attr-name\">size</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span>state<span class=\"token punctuation\">.</span>size<span class=\"token punctuation\">}</span></span> <span class=\"token attr-name\">style</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token punctuation\">{</span>maxWidth<span class=\"token punctuation\">:</span> <span class=\"token string\">'800px'</span><span class=\"token punctuation\">}</span><span class=\"token punctuation\">}</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                    </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">FormItem</span></span> <span class=\"token attr-name\">required</span> <span class=\"token attr-name\">label</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>username:<span class=\"token punctuation\">\"</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                        </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Input</span></span> <span class=\"token attr-name\">placeholder</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>Please enter your username<span class=\"token punctuation\">\"</span></span> <span class=\"token attr-name\">id</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>a11yUsername<span class=\"token punctuation\">\"</span></span> <span class=\"token attr-name\">name</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>a11yUsername<span class=\"token punctuation\">\"</span></span> <span class=\"token attr-name\">aria-required</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>true<span class=\"token punctuation\">\"</span></span>   <span class=\"token punctuation\">/></span></span><span class=\"token plain-text\">\n                    </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">FormItem</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                    </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">FormItem</span></span> <span class=\"token attr-name\">required</span> <span class=\"token attr-name\">label</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>Password:<span class=\"token punctuation\">\"</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                        </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Input</span></span> <span class=\"token attr-name\">htmlType</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>password<span class=\"token punctuation\">\"</span></span> <span class=\"token attr-name\">placeholder</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>Please enter your password<span class=\"token punctuation\">\"</span></span> <span class=\"token attr-name\">id</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>a11yPassword<span class=\"token punctuation\">\"</span></span> <span class=\"token attr-name\">name</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>a11yPassword<span class=\"token punctuation\">\"</span></span> <span class=\"token attr-name\">aria-required</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>true<span class=\"token punctuation\">\"</span></span> <span class=\"token punctuation\">/></span></span><span class=\"token plain-text\">\n                    </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">FormItem</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                    </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">FormItem</span></span>  \n                        <span class=\"token attr-name\">id</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>myDateInput-1<span class=\"token punctuation\">\"</span></span>\n                        <span class=\"token attr-name\">required</span>\n                        <span class=\"token attr-name\">label</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>Accessible Date 1 (YYYY/MM/DD):<span class=\"token punctuation\">\"</span></span>\n                        <span class=\"token attr-name\">requiredMessage</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>Please select your date<span class=\"token punctuation\">\"</span></span>\n                    <span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                        </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">DatePicker</span></span> <span class=\"token attr-name\">name</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>a11yDate<span class=\"token punctuation\">\"</span></span> <span class=\"token attr-name\">format</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>YYYY/MM/DD<span class=\"token punctuation\">\"</span></span> <span class=\"token attr-name\">inputProps</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token punctuation\">{</span><span class=\"token string\">\"aria-required\"</span><span class=\"token punctuation\">:</span> <span class=\"token string\">\"true\"</span><span class=\"token punctuation\">,</span> <span class=\"token string\">\"id\"</span><span class=\"token punctuation\">:</span> <span class=\"token string\">\"myDateInput-1\"</span><span class=\"token punctuation\">}</span><span class=\"token punctuation\">}</span></span><span class=\"token punctuation\">/></span></span><span class=\"token plain-text\"> \n                    </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">FormItem</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                    </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">FormItem</span></span>  \n                        <span class=\"token attr-name\">required</span>\n                        <span class=\"token attr-name\">label</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>Accessible Date 2 (YYYY/MM/DD):<span class=\"token punctuation\">\"</span></span>\n                        <span class=\"token attr-name\">requiredMessage</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>Please select your date<span class=\"token punctuation\">\"</span></span>\n                    <span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                        </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">DatePicker</span></span> <span class=\"token attr-name\">name</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>a11yOtherDate<span class=\"token punctuation\">\"</span></span> <span class=\"token attr-name\">format</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>YYYY/MM/DD<span class=\"token punctuation\">\"</span></span> <span class=\"token attr-name\">dateInputAriaLabel</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>Date input format YYYY/MM/DD<span class=\"token punctuation\">\"</span></span> <span class=\"token attr-name\">inputProps</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token punctuation\">{</span><span class=\"token string\">\"aria-required\"</span><span class=\"token punctuation\">:</span> <span class=\"token string\">\"true\"</span><span class=\"token punctuation\">,</span> <span class=\"token string\">\"aria-label\"</span><span class=\"token punctuation\">:</span> <span class=\"token string\">\"Accessible Date 2\"</span><span class=\"token punctuation\">}</span><span class=\"token punctuation\">}</span></span><span class=\"token punctuation\">/></span></span><span class=\"token plain-text\"> \n                    </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">FormItem</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                    </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">FormItem</span></span> <span class=\"token attr-name\">label</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>Switch:<span class=\"token punctuation\">\"</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                        </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Switch</span></span> <span class=\"token attr-name\">name</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>a11ySwitch<span class=\"token punctuation\">\"</span></span> <span class=\"token attr-name\">aria-label</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>Accessible Switch<span class=\"token punctuation\">\"</span></span> <span class=\"token attr-name\">defaultChecked</span><span class=\"token punctuation\">/></span></span><span class=\"token plain-text\">\n                    </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">FormItem</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                    </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">FormItem</span></span>\n                        <span class=\"token attr-name\">required</span>\n                        <span class=\"token attr-name\">label</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>gender:<span class=\"token punctuation\">\"</span></span>\n                        <span class=\"token attr-name\">requiredMessage</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>Please select your gender<span class=\"token punctuation\">\"</span></span>\n                    <span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                        </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">RadioGroup</span></span> <span class=\"token attr-name\">name</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>a11ySex<span class=\"token punctuation\">\"</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                            </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Radio</span></span> <span class=\"token attr-name\">value</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>male<span class=\"token punctuation\">\"</span></span> <span class=\"token attr-name\">aria-required</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>true<span class=\"token punctuation\">\"</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">Male</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">Radio</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                            </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Radio</span></span> <span class=\"token attr-name\">value</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>female<span class=\"token punctuation\">\"</span></span> <span class=\"token attr-name\">aria-required</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>true<span class=\"token punctuation\">\"</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">Female</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">Radio</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                        </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">RadioGroup</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                    </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">FormItem</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                    </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">FormItem</span></span> <span class=\"token attr-name\">label</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>Language:<span class=\"token punctuation\">\"</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                        </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Checkbox.Group</span></span> <span class=\"token attr-name\">name</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>a11yLangs<span class=\"token punctuation\">\"</span></span> <span class=\"token attr-name\">aria-label</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>Please select a programming language<span class=\"token punctuation\">\"</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                            </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Checkbox</span></span> <span class=\"token attr-name\">value</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>python<span class=\"token punctuation\">\"</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">python</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">Checkbox</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                            </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Checkbox</span></span> <span class=\"token attr-name\">value</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>java<span class=\"token punctuation\">\"</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">java</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">Checkbox</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                            </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Checkbox</span></span> <span class=\"token attr-name\">value</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>angular<span class=\"token punctuation\">\"</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">angular</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">Checkbox</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                            </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Checkbox</span></span> <span class=\"token attr-name\">value</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>c<span class=\"token punctuation\">\"</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">c</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">Checkbox</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                            </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Checkbox</span></span> <span class=\"token attr-name\">value</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>other<span class=\"token punctuation\">\"</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">other</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">Checkbox</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                        </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">Checkbox.Group</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                    </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">FormItem</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                    </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">FormItem</span></span> <span class=\"token attr-name\">label</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>upload:<span class=\"token punctuation\">\"</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                        </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Upload.Card</span></span>\n                            <span class=\"token attr-name\">listType</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>card<span class=\"token punctuation\">\"</span></span>\n                            <span class=\"token attr-name\">action</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>https://www.easy-mock.com/mock/5b713974309d0d7d107a74a3/alifd/upload<span class=\"token punctuation\">\"</span></span>\n                            <span class=\"token attr-name\">accept</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>image/png, image/jpg, image/jpeg, image/gif, image/bmp<span class=\"token punctuation\">\"</span></span>\n                            <span class=\"token attr-name\">defaultValue</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token punctuation\">[</span><span class=\"token punctuation\">]</span><span class=\"token punctuation\">}</span></span>\n                            <span class=\"token attr-name\">limit</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token number\">2</span><span class=\"token punctuation\">}</span></span>\n                            <span class=\"token attr-name\">name</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>a11yUpload<span class=\"token punctuation\">\"</span></span>\n                        <span class=\"token punctuation\">/></span></span><span class=\"token plain-text\">\n                    </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">FormItem</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                    </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">FormItem</span></span> <span class=\"token attr-name\">label</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>Note:<span class=\"token punctuation\">\"</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                        </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Input.TextArea</span></span> <span class=\"token attr-name\">placeholder</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>description<span class=\"token punctuation\">\"</span></span> <span class=\"token attr-name\">name</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>a11yRemark<span class=\"token punctuation\">\"</span></span><span class=\"token punctuation\">/></span></span><span class=\"token plain-text\">\n                    </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">FormItem</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                    </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">FormItem</span></span> <span class=\"token attr-name\">wrapperCol</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token punctuation\">{</span>offset<span class=\"token punctuation\">:</span> <span class=\"token number\">5</span><span class=\"token punctuation\">}</span><span class=\"token punctuation\">}</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                        </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Form.Submit</span></span> <span class=\"token attr-name\">validate</span> <span class=\"token attr-name\">type</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>primary<span class=\"token punctuation\">\"</span></span> <span class=\"token attr-name\">onClick</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span>submitHandle<span class=\"token punctuation\">}</span></span> <span class=\"token attr-name\">style</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token punctuation\">{</span>marginRight<span class=\"token punctuation\">:</span> <span class=\"token number\">7</span><span class=\"token punctuation\">}</span><span class=\"token punctuation\">}</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">Submit</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">Form.Submit</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                        </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Form.Reset</span></span> <span class=\"token attr-name\">style</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token punctuation\">{</span>marginLeft<span class=\"token punctuation\">:</span> <span class=\"token number\">130</span><span class=\"token punctuation\">}</span><span class=\"token punctuation\">}</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">Reset</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">Form.Reset</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                    </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">FormItem</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">Form</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n            </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span>div</span><span class=\"token punctuation\">></span></span>\n        <span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n    <span class=\"token punctuation\">}</span>\n<span class=\"token punctuation\">}</span>\nReactDOM<span class=\"token punctuation\">.</span><span class=\"token function\">render</span><span class=\"token punctuation\">(</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Demo</span></span> <span class=\"token punctuation\">/></span></span><span class=\"token punctuation\">,</span> mountNode<span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span></code></pre></div>"}