{"title":"校验","meta":{"title":"校验","description":"\n<p>基本的表单校验例子。</p>\n","order":"9"},"codes":{"jsx":"import { Form, Input, Radio } from '@alifd/next';\n\n\nconst FormItem = Form.Item;\nconst RadioGroup = Radio.Group;\n\nconst formItemLayout = {\n    labelCol: {\n        span: 6\n    },\n    wrapperCol: {\n        span: 14\n    }\n};\n\nclass BasicDemo extends React.Component {\n    userExists(rule, value) {\n        return new Promise((resolve, reject) => {\n            if (!value) {\n                resolve();\n            } else {\n                setTimeout(() => {\n                    if (value === 'frank') {\n                        reject([new Error('Sorry, this username is already exist.')]);\n                    } else {\n                        resolve();\n                    }\n                }, 500);\n            }\n        });\n    }\n\n    render() {\n        return (\n            <Form {...formItemLayout} >\n                <FormItem\n                    label=\"Account:\"\n                    hasFeedback\n                    validator={this.userExists.bind(this)}\n                    help=\"\"\n                >\n                    <Input placeholder=\"Input frank\" name=\"valUsername\" />\n                    <Form.Error name=\"valUsername\" >{\n                        (errors, state) => {\n                            if (state === 'loading') {\n                                return 'loading...';\n                            } else {\n                                return errors;\n                            }\n                        }\n                    }</Form.Error>\n                </FormItem>\n                <FormItem\n                    label=\"Email:\"\n                    hasFeedback\n                    required\n                    requiredTrigger=\"onBlur\"\n                    format=\"email\"\n                >\n                    <Input placeholder=\"Both trigget onBlur and onChange\" name=\"valEmail\" />\n                </FormItem>\n\n                <FormItem\n                    label=\"Password:\"\n                    hasFeedback\n                    required\n                    requiredMessage=\"Please enter password\"\n                >\n                    <Input htmlType=\"password\" name=\"valPasswd\" />\n                </FormItem>\n\n                <FormItem\n                    label=\"Gender:\"\n                    hasFeedback\n                    required\n                    requiredMessage=\"Please select your gender\"\n                >\n                    <RadioGroup name=\"valSex\" >\n                        <Radio value=\"male\">Male</Radio>\n                        <Radio value=\"female\">Female</Radio>\n                    </RadioGroup>\n                </FormItem>\n\n                <FormItem\n                    label=\"Remarks:\"\n                    required\n                    requiredMessage=\"Really do not intend to write anything?\"\n                >\n                    <Input.TextArea maxLength={20} hasLimitHint placeholder=\"Everything is ok!\" name=\"valTextarea\" />\n                </FormItem>\n\n                <FormItem wrapperCol={{ offset: 6 }} >\n                    <Form.Submit validate type=\"primary\" onClick={(v, e) => console.log(v, e)} style={{marginRight: 10}}>Submit</Form.Submit>\n                    <Form.Reset >Reset</Form.Reset>\n                </FormItem>\n            </Form>\n        );\n    }\n}\n\nReactDOM.render(<BasicDemo />, mountNode);\n"},"body":"\n\n````jsx\nimport { Form, Input, Radio } from '@alifd/next';\n\n\nconst FormItem = Form.Item;\nconst RadioGroup = Radio.Group;\n\nconst formItemLayout = {\n    labelCol: {\n        span: 6\n    },\n    wrapperCol: {\n        span: 14\n    }\n};\n\nclass BasicDemo extends React.Component {\n    userExists(rule, value) {\n        return new Promise((resolve, reject) => {\n            if (!value) {\n                resolve();\n            } else {\n                setTimeout(() => {\n                    if (value === 'frank') {\n                        reject([new Error('Sorry, this username is already exist.')]);\n                    } else {\n                        resolve();\n                    }\n                }, 500);\n            }\n        });\n    }\n\n    render() {\n        return (\n            <Form {...formItemLayout} >\n                <FormItem\n                    label=\"Account:\"\n                    hasFeedback\n                    validator={this.userExists.bind(this)}\n                    help=\"\"\n                >\n                    <Input placeholder=\"Input frank\" name=\"valUsername\" />\n                    <Form.Error name=\"valUsername\" >{\n                        (errors, state) => {\n                            if (state === 'loading') {\n                                return 'loading...';\n                            } else {\n                                return errors;\n                            }\n                        }\n                    }</Form.Error>\n                </FormItem>\n                <FormItem\n                    label=\"Email:\"\n                    hasFeedback\n                    required\n                    requiredTrigger=\"onBlur\"\n                    format=\"email\"\n                >\n                    <Input placeholder=\"Both trigget onBlur and onChange\" name=\"valEmail\" />\n                </FormItem>\n\n                <FormItem\n                    label=\"Password:\"\n                    hasFeedback\n                    required\n                    requiredMessage=\"Please enter password\"\n                >\n                    <Input htmlType=\"password\" name=\"valPasswd\" />\n                </FormItem>\n\n                <FormItem\n                    label=\"Gender:\"\n                    hasFeedback\n                    required\n                    requiredMessage=\"Please select your gender\"\n                >\n                    <RadioGroup name=\"valSex\" >\n                        <Radio value=\"male\">Male</Radio>\n                        <Radio value=\"female\">Female</Radio>\n                    </RadioGroup>\n                </FormItem>\n\n                <FormItem\n                    label=\"Remarks:\"\n                    required\n                    requiredMessage=\"Really do not intend to write anything?\"\n                >\n                    <Input.TextArea maxLength={20} hasLimitHint placeholder=\"Everything is ok!\" name=\"valTextarea\" />\n                </FormItem>\n\n                <FormItem wrapperCol={{ offset: 6 }} >\n                    <Form.Submit validate type=\"primary\" onClick={(v, e) => console.log(v, e)} style={{marginRight: 10}}>Submit</Form.Submit>\n                    <Form.Reset >Reset</Form.Reset>\n                </FormItem>\n            </Form>\n        );\n    }\n}\n\nReactDOM.render(<BasicDemo />, mountNode);\n````","html":"<script>(function(){'use strict';\n\nvar _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if (\"value\" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();\n\nvar _next = require('@alifd/next');\n\nfunction _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError(\"Cannot call a class as a function\"); } }\n\nfunction _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError(\"this hasn't been initialised - super() hasn't been called\"); } return call && (typeof call === \"object\" || typeof call === \"function\") ? call : self; }\n\nfunction _inherits(subClass, superClass) { if (typeof superClass !== \"function\" && superClass !== null) { throw new TypeError(\"Super expression must either be null or a function, not \" + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }\n\nvar FormItem = _next.Form.Item;\nvar RadioGroup = _next.Radio.Group;\n\nvar formItemLayout = {\n    labelCol: {\n        span: 6\n    },\n    wrapperCol: {\n        span: 14\n    }\n};\n\nvar BasicDemo = function (_React$Component) {\n    _inherits(BasicDemo, _React$Component);\n\n    function BasicDemo() {\n        _classCallCheck(this, BasicDemo);\n\n        return _possibleConstructorReturn(this, (BasicDemo.__proto__ || Object.getPrototypeOf(BasicDemo)).apply(this, arguments));\n    }\n\n    _createClass(BasicDemo, [{\n        key: 'userExists',\n        value: function userExists(rule, value) {\n            return new Promise(function (resolve, reject) {\n                if (!value) {\n                    resolve();\n                } else {\n                    setTimeout(function () {\n                        if (value === 'frank') {\n                            reject([new Error('Sorry, this username is already exist.')]);\n                        } else {\n                            resolve();\n                        }\n                    }, 500);\n                }\n            });\n        }\n    }, {\n        key: 'render',\n        value: function render() {\n            return React.createElement(\n                _next.Form,\n                formItemLayout,\n                React.createElement(\n                    FormItem,\n                    {\n                        label: 'Account:',\n                        hasFeedback: true,\n                        validator: this.userExists.bind(this),\n                        help: ''\n                    },\n                    React.createElement(_next.Input, { placeholder: 'Input frank', name: 'valUsername' }),\n                    React.createElement(\n                        _next.Form.Error,\n                        { name: 'valUsername' },\n                        function (errors, state) {\n                            if (state === 'loading') {\n                                return 'loading...';\n                            } else {\n                                return errors;\n                            }\n                        }\n                    )\n                ),\n                React.createElement(\n                    FormItem,\n                    {\n                        label: 'Email:',\n                        hasFeedback: true,\n                        required: true,\n                        requiredTrigger: 'onBlur',\n                        format: 'email'\n                    },\n                    React.createElement(_next.Input, { placeholder: 'Both trigget onBlur and onChange', name: 'valEmail' })\n                ),\n                React.createElement(\n                    FormItem,\n                    {\n                        label: 'Password:',\n                        hasFeedback: true,\n                        required: true,\n                        requiredMessage: 'Please enter password'\n                    },\n                    React.createElement(_next.Input, { htmlType: 'password', name: 'valPasswd' })\n                ),\n                React.createElement(\n                    FormItem,\n                    {\n                        label: 'Gender:',\n                        hasFeedback: true,\n                        required: true,\n                        requiredMessage: 'Please select your gender'\n                    },\n                    React.createElement(\n                        RadioGroup,\n                        { name: 'valSex' },\n                        React.createElement(\n                            _next.Radio,\n                            { value: 'male' },\n                            'Male'\n                        ),\n                        React.createElement(\n                            _next.Radio,\n                            { value: 'female' },\n                            'Female'\n                        )\n                    )\n                ),\n                React.createElement(\n                    FormItem,\n                    {\n                        label: 'Remarks:',\n                        required: true,\n                        requiredMessage: 'Really do not intend to write anything?'\n                    },\n                    React.createElement(_next.Input.TextArea, { maxLength: 20, hasLimitHint: true, placeholder: 'Everything is ok!', name: 'valTextarea' })\n                ),\n                React.createElement(\n                    FormItem,\n                    { wrapperCol: { offset: 6 } },\n                    React.createElement(\n                        _next.Form.Submit,\n                        { validate: true, type: 'primary', onClick: function onClick(v, e) {\n                                return console.log(v, e);\n                            }, style: { marginRight: 10 } },\n                        'Submit'\n                    ),\n                    React.createElement(\n                        _next.Form.Reset,\n                        null,\n                        'Reset'\n                    )\n                )\n            );\n        }\n    }]);\n\n    return BasicDemo;\n}(React.Component);\n\nReactDOM.render(React.createElement(BasicDemo, null), mountNode);})()</script><div class=\"highlight\"><pre class=\"language-jsx\"><code class=\"language-jsx\"><span class=\"token keyword\">import</span> <span class=\"token punctuation\">{</span> Form<span class=\"token punctuation\">,</span> Input<span class=\"token punctuation\">,</span> Radio <span class=\"token punctuation\">}</span> <span class=\"token keyword\">from</span> <span class=\"token string\">'@alifd/next'</span><span class=\"token punctuation\">;</span>\n\n\n<span class=\"token keyword\">const</span> FormItem <span class=\"token operator\">=</span> Form<span class=\"token punctuation\">.</span>Item<span class=\"token punctuation\">;</span>\n<span class=\"token keyword\">const</span> RadioGroup <span class=\"token operator\">=</span> Radio<span class=\"token punctuation\">.</span>Group<span class=\"token punctuation\">;</span>\n\n<span class=\"token keyword\">const</span> formItemLayout <span class=\"token operator\">=</span> <span class=\"token punctuation\">{</span>\n    labelCol<span class=\"token punctuation\">:</span> <span class=\"token punctuation\">{</span>\n        span<span class=\"token punctuation\">:</span> <span class=\"token number\">6</span>\n    <span class=\"token punctuation\">}</span><span class=\"token punctuation\">,</span>\n    wrapperCol<span class=\"token punctuation\">:</span> <span class=\"token punctuation\">{</span>\n        span<span class=\"token punctuation\">:</span> <span class=\"token number\">14</span>\n    <span class=\"token punctuation\">}</span>\n<span class=\"token punctuation\">}</span><span class=\"token punctuation\">;</span>\n\n<span class=\"token keyword\">class</span> <span class=\"token class-name\">BasicDemo</span> <span class=\"token keyword\">extends</span> <span class=\"token class-name\">React<span class=\"token punctuation\">.</span>Component</span> <span class=\"token punctuation\">{</span>\n    <span class=\"token function\">userExists</span><span class=\"token punctuation\">(</span><span class=\"token parameter\">rule<span class=\"token punctuation\">,</span> value</span><span class=\"token punctuation\">)</span> <span class=\"token punctuation\">{</span>\n        <span class=\"token keyword\">return</span> <span class=\"token keyword\">new</span> <span class=\"token class-name\">Promise</span><span class=\"token punctuation\">(</span><span class=\"token punctuation\">(</span><span class=\"token parameter\">resolve<span class=\"token punctuation\">,</span> reject</span><span class=\"token punctuation\">)</span> <span class=\"token operator\">=></span> <span class=\"token punctuation\">{</span>\n            <span class=\"token keyword\">if</span> <span class=\"token punctuation\">(</span><span class=\"token operator\">!</span>value<span class=\"token punctuation\">)</span> <span class=\"token punctuation\">{</span>\n                <span class=\"token function\">resolve</span><span class=\"token punctuation\">(</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n            <span class=\"token punctuation\">}</span> <span class=\"token keyword\">else</span> <span class=\"token punctuation\">{</span>\n                <span class=\"token function\">setTimeout</span><span class=\"token punctuation\">(</span><span class=\"token punctuation\">(</span><span class=\"token punctuation\">)</span> <span class=\"token operator\">=></span> <span class=\"token punctuation\">{</span>\n                    <span class=\"token keyword\">if</span> <span class=\"token punctuation\">(</span>value <span class=\"token operator\">===</span> <span class=\"token string\">'frank'</span><span class=\"token punctuation\">)</span> <span class=\"token punctuation\">{</span>\n                        <span class=\"token function\">reject</span><span class=\"token punctuation\">(</span><span class=\"token punctuation\">[</span><span class=\"token keyword\">new</span> <span class=\"token class-name\">Error</span><span class=\"token punctuation\">(</span><span class=\"token string\">'Sorry, this username is already exist.'</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">]</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n                    <span class=\"token punctuation\">}</span> <span class=\"token keyword\">else</span> <span class=\"token punctuation\">{</span>\n                        <span class=\"token function\">resolve</span><span class=\"token punctuation\">(</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n                    <span class=\"token punctuation\">}</span>\n                <span class=\"token punctuation\">}</span><span class=\"token punctuation\">,</span> <span class=\"token number\">500</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n            <span class=\"token punctuation\">}</span>\n        <span class=\"token punctuation\">}</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n    <span class=\"token punctuation\">}</span>\n\n    <span class=\"token function\">render</span><span class=\"token punctuation\">(</span><span class=\"token punctuation\">)</span> <span class=\"token punctuation\">{</span>\n        <span class=\"token keyword\">return</span> <span class=\"token punctuation\">(</span>\n            <span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Form</span></span> <span class=\"token spread\"><span class=\"token punctuation\">{</span><span class=\"token punctuation\">...</span><span class=\"token attr-value\">formItemLayout</span><span class=\"token punctuation\">}</span></span> <span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">FormItem</span></span>\n                    <span class=\"token attr-name\">label</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>Account:<span class=\"token punctuation\">\"</span></span>\n                    <span class=\"token attr-name\">hasFeedback</span>\n                    <span class=\"token attr-name\">validator</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span><span class=\"token function\">userExists</span><span class=\"token punctuation\">.</span><span class=\"token function\">bind</span><span class=\"token punctuation\">(</span><span class=\"token keyword\">this</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">}</span></span>\n                    <span class=\"token attr-name\">help</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span><span class=\"token punctuation\">\"</span></span>\n                <span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                    </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Input</span></span> <span class=\"token attr-name\">placeholder</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>Input frank<span class=\"token punctuation\">\"</span></span> <span class=\"token attr-name\">name</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>valUsername<span class=\"token punctuation\">\"</span></span> <span class=\"token punctuation\">/></span></span><span class=\"token plain-text\">\n                    </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Form.Error</span></span> <span class=\"token attr-name\">name</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>valUsername<span class=\"token punctuation\">\"</span></span> <span class=\"token punctuation\">></span></span><span class=\"token punctuation\">{</span>\n                        <span class=\"token punctuation\">(</span><span class=\"token parameter\">errors<span class=\"token punctuation\">,</span> state</span><span class=\"token punctuation\">)</span> <span class=\"token operator\">=></span> <span class=\"token punctuation\">{</span>\n                            <span class=\"token keyword\">if</span> <span class=\"token punctuation\">(</span>state <span class=\"token operator\">===</span> <span class=\"token string\">'loading'</span><span class=\"token punctuation\">)</span> <span class=\"token punctuation\">{</span>\n                                <span class=\"token keyword\">return</span> <span class=\"token string\">'loading...'</span><span class=\"token punctuation\">;</span>\n                            <span class=\"token punctuation\">}</span> <span class=\"token keyword\">else</span> <span class=\"token punctuation\">{</span>\n                                <span class=\"token keyword\">return</span> errors<span class=\"token punctuation\">;</span>\n                            <span class=\"token punctuation\">}</span>\n                        <span class=\"token punctuation\">}</span>\n                    <span class=\"token punctuation\">}</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">Form.Error</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">FormItem</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">FormItem</span></span>\n                    <span class=\"token attr-name\">label</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>Email:<span class=\"token punctuation\">\"</span></span>\n                    <span class=\"token attr-name\">hasFeedback</span>\n                    <span class=\"token attr-name\">required</span>\n                    <span class=\"token attr-name\">requiredTrigger</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>onBlur<span class=\"token punctuation\">\"</span></span>\n                    <span class=\"token attr-name\">format</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>email<span class=\"token punctuation\">\"</span></span>\n                <span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                    </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Input</span></span> <span class=\"token attr-name\">placeholder</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>Both trigget onBlur and onChange<span class=\"token punctuation\">\"</span></span> <span class=\"token attr-name\">name</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>valEmail<span class=\"token punctuation\">\"</span></span> <span class=\"token punctuation\">/></span></span><span class=\"token plain-text\">\n                </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">FormItem</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n\n                </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">FormItem</span></span>\n                    <span class=\"token attr-name\">label</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>Password:<span class=\"token punctuation\">\"</span></span>\n                    <span class=\"token attr-name\">hasFeedback</span>\n                    <span class=\"token attr-name\">required</span>\n                    <span class=\"token attr-name\">requiredMessage</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>Please enter password<span class=\"token punctuation\">\"</span></span>\n                <span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                    </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Input</span></span> <span class=\"token attr-name\">htmlType</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>password<span class=\"token punctuation\">\"</span></span> <span class=\"token attr-name\">name</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>valPasswd<span class=\"token punctuation\">\"</span></span> <span class=\"token punctuation\">/></span></span><span class=\"token plain-text\">\n                </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">FormItem</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n\n                </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">FormItem</span></span>\n                    <span class=\"token attr-name\">label</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>Gender:<span class=\"token punctuation\">\"</span></span>\n                    <span class=\"token attr-name\">hasFeedback</span>\n                    <span class=\"token attr-name\">required</span>\n                    <span class=\"token attr-name\">requiredMessage</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>Please select your gender<span class=\"token punctuation\">\"</span></span>\n                <span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                    </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">RadioGroup</span></span> <span class=\"token attr-name\">name</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>valSex<span class=\"token punctuation\">\"</span></span> <span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                        </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Radio</span></span> <span class=\"token attr-name\">value</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>male<span class=\"token punctuation\">\"</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">Male</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">Radio</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                        </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Radio</span></span> <span class=\"token attr-name\">value</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>female<span class=\"token punctuation\">\"</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">Female</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">Radio</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                    </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">RadioGroup</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">FormItem</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n\n                </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">FormItem</span></span>\n                    <span class=\"token attr-name\">label</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>Remarks:<span class=\"token punctuation\">\"</span></span>\n                    <span class=\"token attr-name\">required</span>\n                    <span class=\"token attr-name\">requiredMessage</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>Really do not intend to write anything?<span class=\"token punctuation\">\"</span></span>\n                <span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                    </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Input.TextArea</span></span> <span class=\"token attr-name\">maxLength</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token number\">20</span><span class=\"token punctuation\">}</span></span> <span class=\"token attr-name\">hasLimitHint</span> <span class=\"token attr-name\">placeholder</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>Everything is ok!<span class=\"token punctuation\">\"</span></span> <span class=\"token attr-name\">name</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>valTextarea<span class=\"token punctuation\">\"</span></span> <span class=\"token punctuation\">/></span></span><span class=\"token plain-text\">\n                </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">FormItem</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n\n                </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">FormItem</span></span> <span class=\"token attr-name\">wrapperCol</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token punctuation\">{</span> offset<span class=\"token punctuation\">:</span> <span class=\"token number\">6</span> <span class=\"token punctuation\">}</span><span class=\"token punctuation\">}</span></span> <span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                    </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Form.Submit</span></span> <span class=\"token attr-name\">validate</span> <span class=\"token attr-name\">type</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>primary<span class=\"token punctuation\">\"</span></span> <span class=\"token attr-name\">onClick</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token punctuation\">(</span><span class=\"token parameter\">v<span class=\"token punctuation\">,</span> e</span><span class=\"token punctuation\">)</span> <span class=\"token operator\">=></span> console<span class=\"token punctuation\">.</span><span class=\"token function\">log</span><span class=\"token punctuation\">(</span>v<span class=\"token punctuation\">,</span> e<span class=\"token punctuation\">)</span><span class=\"token punctuation\">}</span></span> <span class=\"token attr-name\">style</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token punctuation\">{</span>marginRight<span class=\"token punctuation\">:</span> <span class=\"token number\">10</span><span class=\"token punctuation\">}</span><span class=\"token punctuation\">}</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">Submit</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">Form.Submit</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                    </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Form.Reset</span></span> <span class=\"token punctuation\">></span></span><span class=\"token plain-text\">Reset</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">Form.Reset</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">FormItem</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n            </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">Form</span></span><span class=\"token punctuation\">></span></span>\n        <span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n    <span class=\"token punctuation\">}</span>\n<span class=\"token punctuation\">}</span>\n\nReactDOM<span class=\"token punctuation\">.</span><span class=\"token function\">render</span><span class=\"token punctuation\">(</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">BasicDemo</span></span> <span class=\"token punctuation\">/></span></span><span class=\"token punctuation\">,</span> mountNode<span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span></code></pre></div>"}