{"title":"创建上下文菜单","meta":{"title":"创建上下文菜单","description":"\n<p>展示如何创建自定义的上下文菜单。</p>\n","order":"9"},"codes":{"jsx":"import { Menu } from '@alifd/next';\n\nconst { SubMenu, Item, Divider } = Menu;\n\nclass Demo extends React.Component {\n    constructor(props) {\n        super(props);\n\n        this.state = {\n            selectedKeys: []\n        };\n\n        this.handleSelect = this.handleSelect.bind(this);\n    }\n\n    handleSelect(selectedKeys) {\n        selectedKeys = selectedKeys.filter(key => {\n            return ['sub-1', 'sub-2'].indexOf(key) > -1;\n        });\n        this.setState({\n            selectedKeys\n        });\n    }\n\n    createContextMenu = e => {\n        e.preventDefault();\n\n        const target = e.target;\n        const { top, left } = target.getBoundingClientRect();\n\n        Menu.create({\n            target: e.target,\n            offset: [e.clientX - left, e.clientY - top],\n            className: 'context-menu',\n            popupClassName: 'context-menu',\n            onItemClick: console.log,\n            selectedKeys: this.state.selectedKeys,\n            selectMode: 'multiple',\n            onSelect: this.handleSelect,\n            children: [\n                <Item key=\"1\">Option 1</Item>,\n                <Item key=\"2\">Option 2</Item>,\n                <Item key=\"3\">Option 3</Item>,\n                <Divider key=\"divider-1\" />,\n                <SubMenu key=\"sub-menu\" label=\"Sub menu\">\n                    <Item key=\"sub-1\">Sub option 1</Item>\n                    <Item key=\"sub-2\">Sub option 2</Item>\n                </SubMenu>,\n                <Item key=\"4\">Option 4</Item>,\n                <Divider key=\"divider-2\" />,\n                <Item key=\"5\">Option 5</Item>\n            ]\n        });\n    };\n\n    render() {\n        return (\n            <div className=\"context-demo\" onContextMenu={this.createContextMenu}>\n                Right click here to see the context menu!\n            </div>\n        );\n    }\n}\n\nReactDOM.render(<Demo />, mountNode);\n","css":".context-demo {\n    width: 500px;\n    height: 200px;\n    line-height: 200px;\n    text-align: center;\n    background: #DDD;\n    border: 1px solid black;\n}\n\n.context-menu {\n    width: 120px;\n}\n"},"body":"\n\n````jsx\nimport { Menu } from '@alifd/next';\n\nconst { SubMenu, Item, Divider } = Menu;\n\nclass Demo extends React.Component {\n    constructor(props) {\n        super(props);\n\n        this.state = {\n            selectedKeys: []\n        };\n\n        this.handleSelect = this.handleSelect.bind(this);\n    }\n\n    handleSelect(selectedKeys) {\n        selectedKeys = selectedKeys.filter(key => {\n            return ['sub-1', 'sub-2'].indexOf(key) > -1;\n        });\n        this.setState({\n            selectedKeys\n        });\n    }\n\n    createContextMenu = e => {\n        e.preventDefault();\n\n        const target = e.target;\n        const { top, left } = target.getBoundingClientRect();\n\n        Menu.create({\n            target: e.target,\n            offset: [e.clientX - left, e.clientY - top],\n            className: 'context-menu',\n            popupClassName: 'context-menu',\n            onItemClick: console.log,\n            selectedKeys: this.state.selectedKeys,\n            selectMode: 'multiple',\n            onSelect: this.handleSelect,\n            children: [\n                <Item key=\"1\">Option 1</Item>,\n                <Item key=\"2\">Option 2</Item>,\n                <Item key=\"3\">Option 3</Item>,\n                <Divider key=\"divider-1\" />,\n                <SubMenu key=\"sub-menu\" label=\"Sub menu\">\n                    <Item key=\"sub-1\">Sub option 1</Item>\n                    <Item key=\"sub-2\">Sub option 2</Item>\n                </SubMenu>,\n                <Item key=\"4\">Option 4</Item>,\n                <Divider key=\"divider-2\" />,\n                <Item key=\"5\">Option 5</Item>\n            ]\n        });\n    };\n\n    render() {\n        return (\n            <div className=\"context-demo\" onContextMenu={this.createContextMenu}>\n                Right click here to see the context menu!\n            </div>\n        );\n    }\n}\n\nReactDOM.render(<Demo />, mountNode);\n````\n\n````css\n.context-demo {\n    width: 500px;\n    height: 200px;\n    line-height: 200px;\n    text-align: center;\n    background: #DDD;\n    border: 1px solid black;\n}\n\n.context-menu {\n    width: 120px;\n}\n````","html":"<script>(function(){'use strict';\n\nvar _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if (\"value\" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();\n\nvar _next = require('@alifd/next');\n\nfunction _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError(\"Cannot call a class as a function\"); } }\n\nfunction _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError(\"this hasn't been initialised - super() hasn't been called\"); } return call && (typeof call === \"object\" || typeof call === \"function\") ? call : self; }\n\nfunction _inherits(subClass, superClass) { if (typeof superClass !== \"function\" && superClass !== null) { throw new TypeError(\"Super expression must either be null or a function, not \" + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }\n\nvar SubMenu = _next.Menu.SubMenu,\n    Item = _next.Menu.Item,\n    Divider = _next.Menu.Divider;\n\nvar Demo = function (_React$Component) {\n    _inherits(Demo, _React$Component);\n\n    function Demo(props) {\n        _classCallCheck(this, Demo);\n\n        var _this = _possibleConstructorReturn(this, (Demo.__proto__ || Object.getPrototypeOf(Demo)).call(this, props));\n\n        _this.createContextMenu = function (e) {\n            e.preventDefault();\n\n            var target = e.target;\n\n            var _target$getBoundingCl = target.getBoundingClientRect(),\n                top = _target$getBoundingCl.top,\n                left = _target$getBoundingCl.left;\n\n            _next.Menu.create({\n                target: e.target,\n                offset: [e.clientX - left, e.clientY - top],\n                className: 'context-menu',\n                popupClassName: 'context-menu',\n                onItemClick: console.log,\n                selectedKeys: _this.state.selectedKeys,\n                selectMode: 'multiple',\n                onSelect: _this.handleSelect,\n                children: [React.createElement(\n                    Item,\n                    { key: '1' },\n                    'Option 1'\n                ), React.createElement(\n                    Item,\n                    { key: '2' },\n                    'Option 2'\n                ), React.createElement(\n                    Item,\n                    { key: '3' },\n                    'Option 3'\n                ), React.createElement(Divider, { key: 'divider-1' }), React.createElement(\n                    SubMenu,\n                    { key: 'sub-menu', label: 'Sub menu' },\n                    React.createElement(\n                        Item,\n                        { key: 'sub-1' },\n                        'Sub option 1'\n                    ),\n                    React.createElement(\n                        Item,\n                        { key: 'sub-2' },\n                        'Sub option 2'\n                    )\n                ), React.createElement(\n                    Item,\n                    { key: '4' },\n                    'Option 4'\n                ), React.createElement(Divider, { key: 'divider-2' }), React.createElement(\n                    Item,\n                    { key: '5' },\n                    'Option 5'\n                )]\n            });\n        };\n\n        _this.state = {\n            selectedKeys: []\n        };\n\n        _this.handleSelect = _this.handleSelect.bind(_this);\n        return _this;\n    }\n\n    _createClass(Demo, [{\n        key: 'handleSelect',\n        value: function handleSelect(selectedKeys) {\n            selectedKeys = selectedKeys.filter(function (key) {\n                return ['sub-1', 'sub-2'].indexOf(key) > -1;\n            });\n            this.setState({\n                selectedKeys: selectedKeys\n            });\n        }\n    }, {\n        key: 'render',\n        value: function render() {\n            return React.createElement(\n                'div',\n                { className: 'context-demo', onContextMenu: this.createContextMenu },\n                'Right click here to see the context menu!'\n            );\n        }\n    }]);\n\n    return Demo;\n}(React.Component);\n\nReactDOM.render(React.createElement(Demo, null), mountNode);})()</script><div class=\"highlight\"><pre class=\"language-jsx\"><code class=\"language-jsx\"><span class=\"token keyword\">import</span> <span class=\"token punctuation\">{</span> Menu <span class=\"token punctuation\">}</span> <span class=\"token keyword\">from</span> <span class=\"token string\">'@alifd/next'</span><span class=\"token punctuation\">;</span>\n\n<span class=\"token keyword\">const</span> <span class=\"token punctuation\">{</span> SubMenu<span class=\"token punctuation\">,</span> Item<span class=\"token punctuation\">,</span> Divider <span class=\"token punctuation\">}</span> <span class=\"token operator\">=</span> Menu<span class=\"token punctuation\">;</span>\n\n<span class=\"token keyword\">class</span> <span class=\"token class-name\">Demo</span> <span class=\"token keyword\">extends</span> <span class=\"token class-name\">React<span class=\"token punctuation\">.</span>Component</span> <span class=\"token punctuation\">{</span>\n    <span class=\"token function\">constructor</span><span class=\"token punctuation\">(</span><span class=\"token parameter\">props</span><span class=\"token punctuation\">)</span> <span class=\"token punctuation\">{</span>\n        <span class=\"token keyword\">super</span><span class=\"token punctuation\">(</span>props<span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n\n        <span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span>state <span class=\"token operator\">=</span> <span class=\"token punctuation\">{</span>\n            selectedKeys<span class=\"token punctuation\">:</span> <span class=\"token punctuation\">[</span><span class=\"token punctuation\">]</span>\n        <span class=\"token punctuation\">}</span><span class=\"token punctuation\">;</span>\n\n        <span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span>handleSelect <span class=\"token operator\">=</span> <span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span><span class=\"token function\">handleSelect</span><span class=\"token punctuation\">.</span><span class=\"token function\">bind</span><span class=\"token punctuation\">(</span><span class=\"token keyword\">this</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n    <span class=\"token punctuation\">}</span>\n\n    <span class=\"token function\">handleSelect</span><span class=\"token punctuation\">(</span><span class=\"token parameter\">selectedKeys</span><span class=\"token punctuation\">)</span> <span class=\"token punctuation\">{</span>\n        selectedKeys <span class=\"token operator\">=</span> selectedKeys<span class=\"token punctuation\">.</span><span class=\"token function\">filter</span><span class=\"token punctuation\">(</span><span class=\"token parameter\">key</span> <span class=\"token operator\">=></span> <span class=\"token punctuation\">{</span>\n            <span class=\"token keyword\">return</span> <span class=\"token punctuation\">[</span><span class=\"token string\">'sub-1'</span><span class=\"token punctuation\">,</span> <span class=\"token string\">'sub-2'</span><span class=\"token punctuation\">]</span><span class=\"token punctuation\">.</span><span class=\"token function\">indexOf</span><span class=\"token punctuation\">(</span>key<span class=\"token punctuation\">)</span> <span class=\"token operator\">></span> <span class=\"token operator\">-</span><span class=\"token number\">1</span><span class=\"token punctuation\">;</span>\n        <span class=\"token punctuation\">}</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n        <span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span><span class=\"token function\">setState</span><span class=\"token punctuation\">(</span><span class=\"token punctuation\">{</span>\n            selectedKeys\n        <span class=\"token punctuation\">}</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n    <span class=\"token punctuation\">}</span>\n\n    <span class=\"token function-variable function\">createContextMenu</span> <span class=\"token operator\">=</span> <span class=\"token parameter\">e</span> <span class=\"token operator\">=></span> <span class=\"token punctuation\">{</span>\n        e<span class=\"token punctuation\">.</span><span class=\"token function\">preventDefault</span><span class=\"token punctuation\">(</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n\n        <span class=\"token keyword\">const</span> target <span class=\"token operator\">=</span> e<span class=\"token punctuation\">.</span>target<span class=\"token punctuation\">;</span>\n        <span class=\"token keyword\">const</span> <span class=\"token punctuation\">{</span> top<span class=\"token punctuation\">,</span> left <span class=\"token punctuation\">}</span> <span class=\"token operator\">=</span> target<span class=\"token punctuation\">.</span><span class=\"token function\">getBoundingClientRect</span><span class=\"token punctuation\">(</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n\n        Menu<span class=\"token punctuation\">.</span><span class=\"token function\">create</span><span class=\"token punctuation\">(</span><span class=\"token punctuation\">{</span>\n            target<span class=\"token punctuation\">:</span> e<span class=\"token punctuation\">.</span>target<span class=\"token punctuation\">,</span>\n            offset<span class=\"token punctuation\">:</span> <span class=\"token punctuation\">[</span>e<span class=\"token punctuation\">.</span>clientX <span class=\"token operator\">-</span> left<span class=\"token punctuation\">,</span> e<span class=\"token punctuation\">.</span>clientY <span class=\"token operator\">-</span> top<span class=\"token punctuation\">]</span><span class=\"token punctuation\">,</span>\n            className<span class=\"token punctuation\">:</span> <span class=\"token string\">'context-menu'</span><span class=\"token punctuation\">,</span>\n            popupClassName<span class=\"token punctuation\">:</span> <span class=\"token string\">'context-menu'</span><span class=\"token punctuation\">,</span>\n            onItemClick<span class=\"token punctuation\">:</span> console<span class=\"token punctuation\">.</span>log<span class=\"token punctuation\">,</span>\n            selectedKeys<span class=\"token punctuation\">:</span> <span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span>state<span class=\"token punctuation\">.</span>selectedKeys<span class=\"token punctuation\">,</span>\n            selectMode<span class=\"token punctuation\">:</span> <span class=\"token string\">'multiple'</span><span class=\"token punctuation\">,</span>\n            onSelect<span class=\"token punctuation\">:</span> <span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span>handleSelect<span class=\"token punctuation\">,</span>\n            children<span class=\"token punctuation\">:</span> <span class=\"token punctuation\">[</span>\n                <span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Item</span></span> <span class=\"token attr-name\">key</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>1<span class=\"token punctuation\">\"</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">Option 1</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">Item</span></span><span class=\"token punctuation\">></span></span><span class=\"token punctuation\">,</span>\n                <span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Item</span></span> <span class=\"token attr-name\">key</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>2<span class=\"token punctuation\">\"</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">Option 2</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">Item</span></span><span class=\"token punctuation\">></span></span><span class=\"token punctuation\">,</span>\n                <span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Item</span></span> <span class=\"token attr-name\">key</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>3<span class=\"token punctuation\">\"</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">Option 3</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">Item</span></span><span class=\"token punctuation\">></span></span><span class=\"token punctuation\">,</span>\n                <span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Divider</span></span> <span class=\"token attr-name\">key</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>divider-1<span class=\"token punctuation\">\"</span></span> <span class=\"token punctuation\">/></span></span><span class=\"token punctuation\">,</span>\n                <span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">SubMenu</span></span> <span class=\"token attr-name\">key</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>sub-menu<span class=\"token punctuation\">\"</span></span> <span class=\"token attr-name\">label</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>Sub menu<span class=\"token punctuation\">\"</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                    </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Item</span></span> <span class=\"token attr-name\">key</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>sub-1<span class=\"token punctuation\">\"</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">Sub option 1</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">Item</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                    </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Item</span></span> <span class=\"token attr-name\">key</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>sub-2<span class=\"token punctuation\">\"</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">Sub option 2</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">Item</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">SubMenu</span></span><span class=\"token punctuation\">></span></span><span class=\"token punctuation\">,</span>\n                <span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Item</span></span> <span class=\"token attr-name\">key</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>4<span class=\"token punctuation\">\"</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">Option 4</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">Item</span></span><span class=\"token punctuation\">></span></span><span class=\"token punctuation\">,</span>\n                <span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Divider</span></span> <span class=\"token attr-name\">key</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>divider-2<span class=\"token punctuation\">\"</span></span> <span class=\"token punctuation\">/></span></span><span class=\"token punctuation\">,</span>\n                <span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Item</span></span> <span class=\"token attr-name\">key</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>5<span class=\"token punctuation\">\"</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">Option 5</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">Item</span></span><span class=\"token punctuation\">></span></span>\n            <span class=\"token punctuation\">]</span>\n        <span class=\"token punctuation\">}</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n    <span class=\"token punctuation\">}</span><span class=\"token punctuation\">;</span>\n\n    <span class=\"token function\">render</span><span class=\"token punctuation\">(</span><span class=\"token punctuation\">)</span> <span class=\"token punctuation\">{</span>\n        <span class=\"token keyword\">return</span> <span class=\"token punctuation\">(</span>\n            <span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span>div</span> <span class=\"token attr-name\">className</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>context-demo<span class=\"token punctuation\">\"</span></span> <span class=\"token attr-name\">onContextMenu</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span>createContextMenu<span class=\"token punctuation\">}</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                Right click here to see the context menu!\n            </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span>div</span><span class=\"token punctuation\">></span></span>\n        <span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n    <span class=\"token punctuation\">}</span>\n<span class=\"token punctuation\">}</span>\n\nReactDOM<span class=\"token punctuation\">.</span><span class=\"token function\">render</span><span class=\"token punctuation\">(</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Demo</span></span> <span class=\"token punctuation\">/></span></span><span class=\"token punctuation\">,</span> mountNode<span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span></code></pre></div><style type=\"text/css\">.context-demo {\n    width: 500px;\n    height: 200px;\n    line-height: 200px;\n    text-align: center;\n    background: #DDD;\n    border: 1px solid black;\n}\n\n.context-menu {\n    width: 120px;\n}</style><div class=\"highlight\"><pre class=\"language-css\"><code class=\"language-css\"><span class=\"token selector\">.context-demo</span> <span class=\"token punctuation\">{</span>\n    <span class=\"token property\">width</span><span class=\"token punctuation\">:</span> 500px<span class=\"token punctuation\">;</span>\n    <span class=\"token property\">height</span><span class=\"token punctuation\">:</span> 200px<span class=\"token punctuation\">;</span>\n    <span class=\"token property\">line-height</span><span class=\"token punctuation\">:</span> 200px<span class=\"token punctuation\">;</span>\n    <span class=\"token property\">text-align</span><span class=\"token punctuation\">:</span> center<span class=\"token punctuation\">;</span>\n    <span class=\"token property\">background</span><span class=\"token punctuation\">:</span> #DDD<span class=\"token punctuation\">;</span>\n    <span class=\"token property\">border</span><span class=\"token punctuation\">:</span> 1px solid black<span class=\"token punctuation\">;</span>\n<span class=\"token punctuation\">}</span>\n\n<span class=\"token selector\">.context-menu</span> <span class=\"token punctuation\">{</span>\n    <span class=\"token property\">width</span><span class=\"token punctuation\">:</span> 120px<span class=\"token punctuation\">;</span>\n<span class=\"token punctuation\">}</span></code></pre></div>"}