{"title":"Menu item selection","meta":{"title":"Menu item selection","description":"\n<p>Demo the usage of menu item selection.</p>\n","order":"6"},"codes":{"jsx":"import { Switch, Menu } from '@alifd/next';\n\nconst { SubMenu, Item } = Menu;\n\nclass Demo extends React.Component {\n    constructor(props) {\n        super(props);\n\n        this.state = {\n            multiple: false,\n            subMenuSelectable: false,\n            shallowSelect: false,\n            isSelectIconRight: false,\n            selectedKeys: ['1']\n        };\n\n        [\n            'handleMultipleChange', 'handleSubMenuSelectableChange',\n            'handleShallowSelectChange', 'handleSelect', 'handleIconDirectionChange'\n        ].forEach(method => {\n            this[method] = this[method].bind(this);\n        });\n    }\n\n    handleMultipleChange() {\n        this.setState({\n            multiple: !this.state.multiple,\n            selectedKeys: []\n        });\n    }\n\n    handleIconDirectionChange() {\n        this.setState({\n            isSelectIconRight: !this.state.isSelectIconRight,\n            selectedKeys: []\n        });\n    }\n\n    handleSubMenuSelectableChange() {\n        this.setState({\n            subMenuSelectable: !this.state.subMenuSelectable,\n            selectedKeys: []\n        });\n    }\n\n    handleShallowSelectChange() {\n        this.setState({\n            shallowSelect: !this.state.shallowSelect,\n            selectedKeys: []\n        });\n    }\n\n    handleSelect(selectedKeys, ...others) {\n        this.setState({\n            selectedKeys\n        });\n\n        console.log(selectedKeys, ...others);\n    }\n\n    render() {\n        const { multiple, subMenuSelectable, shallowSelect, selectedKeys, isSelectIconRight } = this.state;\n        const selectMode = multiple ? 'multiple' : 'single';\n\n        return (\n            <div>\n                <div>\n                    <span className=\"my-switch-label\">Multiple </span>\n                    <Switch value={multiple} onChange={this.handleMultipleChange} />\n                </div>\n                <div>\n                    <span className=\"my-switch-label\">isSelectIconRight </span>\n                    <Switch value={multiple} onChange={this.handleIconDirectionChange} />\n                </div>\n                <div>\n                    <span className=\"my-switch-label\">Label of submenu selectable </span>\n                    <Switch value={multiple} onChange={this.handleSubMenuSelectableChange} />\n                </div>\n                <div>\n                    <span className=\"my-switch-label\">Only first level selectable </span>\n                    <Switch value={multiple} onChange={this.handleShallowSelectChange} />\n                </div>\n                <Menu isSelectIconRight={isSelectIconRight} className=\"my-select-menu\" defaultOpenKeys={['sub']} selectMode={selectMode} selectedKeys={selectedKeys} shallowSelect={shallowSelect} onSelect={this.handleSelect}>\n                    <Item key=\"1\">Option 1</Item>\n                    <Item disabled key=\"2\">Disabled option 2</Item>\n                    <SubMenu key=\"sub\" label=\"Sub menu\" selectable={subMenuSelectable}>\n                        <Item key=\"sub-1\">Sub option 1</Item>\n                        <Item key=\"sub-2\">Sub option 2</Item>\n                    </SubMenu>\n                    <Item key=\"3\">Option 3</Item>\n                </Menu>\n            </div>\n        );\n    }\n}\n\nReactDOM.render(<Demo />, mountNode);\n","css":".my-switch-label {\n    vertical-align: super;\n}\n\n.my-select-menu {\n    margin-top: 10px;\n    width: 200px;\n}\n"},"body":"\n````jsx\nimport { Switch, Menu } from '@alifd/next';\n\nconst { SubMenu, Item } = Menu;\n\nclass Demo extends React.Component {\n    constructor(props) {\n        super(props);\n\n        this.state = {\n            multiple: false,\n            subMenuSelectable: false,\n            shallowSelect: false,\n            isSelectIconRight: false,\n            selectedKeys: ['1']\n        };\n\n        [\n            'handleMultipleChange', 'handleSubMenuSelectableChange',\n            'handleShallowSelectChange', 'handleSelect', 'handleIconDirectionChange'\n        ].forEach(method => {\n            this[method] = this[method].bind(this);\n        });\n    }\n\n    handleMultipleChange() {\n        this.setState({\n            multiple: !this.state.multiple,\n            selectedKeys: []\n        });\n    }\n\n    handleIconDirectionChange() {\n        this.setState({\n            isSelectIconRight: !this.state.isSelectIconRight,\n            selectedKeys: []\n        });\n    }\n\n    handleSubMenuSelectableChange() {\n        this.setState({\n            subMenuSelectable: !this.state.subMenuSelectable,\n            selectedKeys: []\n        });\n    }\n\n    handleShallowSelectChange() {\n        this.setState({\n            shallowSelect: !this.state.shallowSelect,\n            selectedKeys: []\n        });\n    }\n\n    handleSelect(selectedKeys, ...others) {\n        this.setState({\n            selectedKeys\n        });\n\n        console.log(selectedKeys, ...others);\n    }\n\n    render() {\n        const { multiple, subMenuSelectable, shallowSelect, selectedKeys, isSelectIconRight } = this.state;\n        const selectMode = multiple ? 'multiple' : 'single';\n\n        return (\n            <div>\n                <div>\n                    <span className=\"my-switch-label\">Multiple </span>\n                    <Switch value={multiple} onChange={this.handleMultipleChange} />\n                </div>\n                <div>\n                    <span className=\"my-switch-label\">isSelectIconRight </span>\n                    <Switch value={multiple} onChange={this.handleIconDirectionChange} />\n                </div>\n                <div>\n                    <span className=\"my-switch-label\">Label of submenu selectable </span>\n                    <Switch value={multiple} onChange={this.handleSubMenuSelectableChange} />\n                </div>\n                <div>\n                    <span className=\"my-switch-label\">Only first level selectable </span>\n                    <Switch value={multiple} onChange={this.handleShallowSelectChange} />\n                </div>\n                <Menu isSelectIconRight={isSelectIconRight} className=\"my-select-menu\" defaultOpenKeys={['sub']} selectMode={selectMode} selectedKeys={selectedKeys} shallowSelect={shallowSelect} onSelect={this.handleSelect}>\n                    <Item key=\"1\">Option 1</Item>\n                    <Item disabled key=\"2\">Disabled option 2</Item>\n                    <SubMenu key=\"sub\" label=\"Sub menu\" selectable={subMenuSelectable}>\n                        <Item key=\"sub-1\">Sub option 1</Item>\n                        <Item key=\"sub-2\">Sub option 2</Item>\n                    </SubMenu>\n                    <Item key=\"3\">Option 3</Item>\n                </Menu>\n            </div>\n        );\n    }\n}\n\nReactDOM.render(<Demo />, mountNode);\n````\n\n````css\n.my-switch-label {\n    vertical-align: super;\n}\n\n.my-select-menu {\n    margin-top: 10px;\n    width: 200px;\n}\n````","html":"<script>(function(){'use strict';\n\nvar _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if (\"value\" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();\n\nvar _next = require('@alifd/next');\n\nfunction _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError(\"Cannot call a class as a function\"); } }\n\nfunction _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError(\"this hasn't been initialised - super() hasn't been called\"); } return call && (typeof call === \"object\" || typeof call === \"function\") ? call : self; }\n\nfunction _inherits(subClass, superClass) { if (typeof superClass !== \"function\" && superClass !== null) { throw new TypeError(\"Super expression must either be null or a function, not \" + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }\n\nvar SubMenu = _next.Menu.SubMenu,\n    Item = _next.Menu.Item;\n\nvar Demo = function (_React$Component) {\n    _inherits(Demo, _React$Component);\n\n    function Demo(props) {\n        _classCallCheck(this, Demo);\n\n        var _this = _possibleConstructorReturn(this, (Demo.__proto__ || Object.getPrototypeOf(Demo)).call(this, props));\n\n        _this.state = {\n            multiple: false,\n            subMenuSelectable: false,\n            shallowSelect: false,\n            isSelectIconRight: false,\n            selectedKeys: ['1']\n        };\n\n        ['handleMultipleChange', 'handleSubMenuSelectableChange', 'handleShallowSelectChange', 'handleSelect', 'handleIconDirectionChange'].forEach(function (method) {\n            _this[method] = _this[method].bind(_this);\n        });\n        return _this;\n    }\n\n    _createClass(Demo, [{\n        key: 'handleMultipleChange',\n        value: function handleMultipleChange() {\n            this.setState({\n                multiple: !this.state.multiple,\n                selectedKeys: []\n            });\n        }\n    }, {\n        key: 'handleIconDirectionChange',\n        value: function handleIconDirectionChange() {\n            this.setState({\n                isSelectIconRight: !this.state.isSelectIconRight,\n                selectedKeys: []\n            });\n        }\n    }, {\n        key: 'handleSubMenuSelectableChange',\n        value: function handleSubMenuSelectableChange() {\n            this.setState({\n                subMenuSelectable: !this.state.subMenuSelectable,\n                selectedKeys: []\n            });\n        }\n    }, {\n        key: 'handleShallowSelectChange',\n        value: function handleShallowSelectChange() {\n            this.setState({\n                shallowSelect: !this.state.shallowSelect,\n                selectedKeys: []\n            });\n        }\n    }, {\n        key: 'handleSelect',\n        value: function handleSelect(selectedKeys) {\n            var _console;\n\n            this.setState({\n                selectedKeys: selectedKeys\n            });\n\n            for (var _len = arguments.length, others = Array(_len > 1 ? _len - 1 : 0), _key = 1; _key < _len; _key++) {\n                others[_key - 1] = arguments[_key];\n            }\n\n            (_console = console).log.apply(_console, [selectedKeys].concat(others));\n        }\n    }, {\n        key: 'render',\n        value: function render() {\n            var _state = this.state,\n                multiple = _state.multiple,\n                subMenuSelectable = _state.subMenuSelectable,\n                shallowSelect = _state.shallowSelect,\n                selectedKeys = _state.selectedKeys,\n                isSelectIconRight = _state.isSelectIconRight;\n\n            var selectMode = multiple ? 'multiple' : 'single';\n\n            return React.createElement(\n                'div',\n                null,\n                React.createElement(\n                    'div',\n                    null,\n                    React.createElement(\n                        'span',\n                        { className: 'my-switch-label' },\n                        'Multiple '\n                    ),\n                    React.createElement(_next.Switch, { value: multiple, onChange: this.handleMultipleChange })\n                ),\n                React.createElement(\n                    'div',\n                    null,\n                    React.createElement(\n                        'span',\n                        { className: 'my-switch-label' },\n                        'isSelectIconRight '\n                    ),\n                    React.createElement(_next.Switch, { value: multiple, onChange: this.handleIconDirectionChange })\n                ),\n                React.createElement(\n                    'div',\n                    null,\n                    React.createElement(\n                        'span',\n                        { className: 'my-switch-label' },\n                        'Label of submenu selectable '\n                    ),\n                    React.createElement(_next.Switch, { value: multiple, onChange: this.handleSubMenuSelectableChange })\n                ),\n                React.createElement(\n                    'div',\n                    null,\n                    React.createElement(\n                        'span',\n                        { className: 'my-switch-label' },\n                        'Only first level selectable '\n                    ),\n                    React.createElement(_next.Switch, { value: multiple, onChange: this.handleShallowSelectChange })\n                ),\n                React.createElement(\n                    _next.Menu,\n                    { isSelectIconRight: isSelectIconRight, className: 'my-select-menu', defaultOpenKeys: ['sub'], selectMode: selectMode, selectedKeys: selectedKeys, shallowSelect: shallowSelect, onSelect: this.handleSelect },\n                    React.createElement(\n                        Item,\n                        { key: '1' },\n                        'Option 1'\n                    ),\n                    React.createElement(\n                        Item,\n                        { disabled: true, key: '2' },\n                        'Disabled option 2'\n                    ),\n                    React.createElement(\n                        SubMenu,\n                        { key: 'sub', label: 'Sub menu', selectable: subMenuSelectable },\n                        React.createElement(\n                            Item,\n                            { key: 'sub-1' },\n                            'Sub option 1'\n                        ),\n                        React.createElement(\n                            Item,\n                            { key: 'sub-2' },\n                            'Sub option 2'\n                        )\n                    ),\n                    React.createElement(\n                        Item,\n                        { key: '3' },\n                        'Option 3'\n                    )\n                )\n            );\n        }\n    }]);\n\n    return Demo;\n}(React.Component);\n\nReactDOM.render(React.createElement(Demo, null), mountNode);})()</script><div class=\"highlight\"><pre class=\"language-jsx\"><code class=\"language-jsx\"><span class=\"token keyword\">import</span> <span class=\"token punctuation\">{</span> Switch<span class=\"token punctuation\">,</span> Menu <span class=\"token punctuation\">}</span> <span class=\"token keyword\">from</span> <span class=\"token string\">'@alifd/next'</span><span class=\"token punctuation\">;</span>\n\n<span class=\"token keyword\">const</span> <span class=\"token punctuation\">{</span> SubMenu<span class=\"token punctuation\">,</span> Item <span class=\"token punctuation\">}</span> <span class=\"token operator\">=</span> Menu<span class=\"token punctuation\">;</span>\n\n<span class=\"token keyword\">class</span> <span class=\"token class-name\">Demo</span> <span class=\"token keyword\">extends</span> <span class=\"token class-name\">React<span class=\"token punctuation\">.</span>Component</span> <span class=\"token punctuation\">{</span>\n    <span class=\"token function\">constructor</span><span class=\"token punctuation\">(</span><span class=\"token parameter\">props</span><span class=\"token punctuation\">)</span> <span class=\"token punctuation\">{</span>\n        <span class=\"token keyword\">super</span><span class=\"token punctuation\">(</span>props<span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n\n        <span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span>state <span class=\"token operator\">=</span> <span class=\"token punctuation\">{</span>\n            multiple<span class=\"token punctuation\">:</span> <span class=\"token boolean\">false</span><span class=\"token punctuation\">,</span>\n            subMenuSelectable<span class=\"token punctuation\">:</span> <span class=\"token boolean\">false</span><span class=\"token punctuation\">,</span>\n            shallowSelect<span class=\"token punctuation\">:</span> <span class=\"token boolean\">false</span><span class=\"token punctuation\">,</span>\n            isSelectIconRight<span class=\"token punctuation\">:</span> <span class=\"token boolean\">false</span><span class=\"token punctuation\">,</span>\n            selectedKeys<span class=\"token punctuation\">:</span> <span class=\"token punctuation\">[</span><span class=\"token string\">'1'</span><span class=\"token punctuation\">]</span>\n        <span class=\"token punctuation\">}</span><span class=\"token punctuation\">;</span>\n\n        <span class=\"token punctuation\">[</span>\n            <span class=\"token string\">'handleMultipleChange'</span><span class=\"token punctuation\">,</span> <span class=\"token string\">'handleSubMenuSelectableChange'</span><span class=\"token punctuation\">,</span>\n            <span class=\"token string\">'handleShallowSelectChange'</span><span class=\"token punctuation\">,</span> <span class=\"token string\">'handleSelect'</span><span class=\"token punctuation\">,</span> <span class=\"token string\">'handleIconDirectionChange'</span>\n        <span class=\"token punctuation\">]</span><span class=\"token punctuation\">.</span><span class=\"token function\">forEach</span><span class=\"token punctuation\">(</span><span class=\"token parameter\">method</span> <span class=\"token operator\">=></span> <span class=\"token punctuation\">{</span>\n            <span class=\"token keyword\">this</span><span class=\"token punctuation\">[</span>method<span class=\"token punctuation\">]</span> <span class=\"token operator\">=</span> <span class=\"token keyword\">this</span><span class=\"token punctuation\">[</span>method<span class=\"token punctuation\">]</span><span class=\"token punctuation\">.</span><span class=\"token function\">bind</span><span class=\"token punctuation\">(</span><span class=\"token keyword\">this</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n        <span class=\"token punctuation\">}</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n    <span class=\"token punctuation\">}</span>\n\n    <span class=\"token function\">handleMultipleChange</span><span class=\"token punctuation\">(</span><span class=\"token punctuation\">)</span> <span class=\"token punctuation\">{</span>\n        <span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span><span class=\"token function\">setState</span><span class=\"token punctuation\">(</span><span class=\"token punctuation\">{</span>\n            multiple<span class=\"token punctuation\">:</span> <span class=\"token operator\">!</span><span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span>state<span class=\"token punctuation\">.</span>multiple<span class=\"token punctuation\">,</span>\n            selectedKeys<span class=\"token punctuation\">:</span> <span class=\"token punctuation\">[</span><span class=\"token punctuation\">]</span>\n        <span class=\"token punctuation\">}</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n    <span class=\"token punctuation\">}</span>\n\n    <span class=\"token function\">handleIconDirectionChange</span><span class=\"token punctuation\">(</span><span class=\"token punctuation\">)</span> <span class=\"token punctuation\">{</span>\n        <span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span><span class=\"token function\">setState</span><span class=\"token punctuation\">(</span><span class=\"token punctuation\">{</span>\n            isSelectIconRight<span class=\"token punctuation\">:</span> <span class=\"token operator\">!</span><span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span>state<span class=\"token punctuation\">.</span>isSelectIconRight<span class=\"token punctuation\">,</span>\n            selectedKeys<span class=\"token punctuation\">:</span> <span class=\"token punctuation\">[</span><span class=\"token punctuation\">]</span>\n        <span class=\"token punctuation\">}</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n    <span class=\"token punctuation\">}</span>\n\n    <span class=\"token function\">handleSubMenuSelectableChange</span><span class=\"token punctuation\">(</span><span class=\"token punctuation\">)</span> <span class=\"token punctuation\">{</span>\n        <span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span><span class=\"token function\">setState</span><span class=\"token punctuation\">(</span><span class=\"token punctuation\">{</span>\n            subMenuSelectable<span class=\"token punctuation\">:</span> <span class=\"token operator\">!</span><span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span>state<span class=\"token punctuation\">.</span>subMenuSelectable<span class=\"token punctuation\">,</span>\n            selectedKeys<span class=\"token punctuation\">:</span> <span class=\"token punctuation\">[</span><span class=\"token punctuation\">]</span>\n        <span class=\"token punctuation\">}</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n    <span class=\"token punctuation\">}</span>\n\n    <span class=\"token function\">handleShallowSelectChange</span><span class=\"token punctuation\">(</span><span class=\"token punctuation\">)</span> <span class=\"token punctuation\">{</span>\n        <span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span><span class=\"token function\">setState</span><span class=\"token punctuation\">(</span><span class=\"token punctuation\">{</span>\n            shallowSelect<span class=\"token punctuation\">:</span> <span class=\"token operator\">!</span><span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span>state<span class=\"token punctuation\">.</span>shallowSelect<span class=\"token punctuation\">,</span>\n            selectedKeys<span class=\"token punctuation\">:</span> <span class=\"token punctuation\">[</span><span class=\"token punctuation\">]</span>\n        <span class=\"token punctuation\">}</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n    <span class=\"token punctuation\">}</span>\n\n    <span class=\"token function\">handleSelect</span><span class=\"token punctuation\">(</span><span class=\"token parameter\">selectedKeys<span class=\"token punctuation\">,</span> <span class=\"token operator\">...</span>others</span><span class=\"token punctuation\">)</span> <span class=\"token punctuation\">{</span>\n        <span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span><span class=\"token function\">setState</span><span class=\"token punctuation\">(</span><span class=\"token punctuation\">{</span>\n            selectedKeys\n        <span class=\"token punctuation\">}</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n\n        console<span class=\"token punctuation\">.</span><span class=\"token function\">log</span><span class=\"token punctuation\">(</span>selectedKeys<span class=\"token punctuation\">,</span> <span class=\"token operator\">...</span>others<span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n    <span class=\"token punctuation\">}</span>\n\n    <span class=\"token function\">render</span><span class=\"token punctuation\">(</span><span class=\"token punctuation\">)</span> <span class=\"token punctuation\">{</span>\n        <span class=\"token keyword\">const</span> <span class=\"token punctuation\">{</span> multiple<span class=\"token punctuation\">,</span> subMenuSelectable<span class=\"token punctuation\">,</span> shallowSelect<span class=\"token punctuation\">,</span> selectedKeys<span class=\"token punctuation\">,</span> isSelectIconRight <span class=\"token punctuation\">}</span> <span class=\"token operator\">=</span> <span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span>state<span class=\"token punctuation\">;</span>\n        <span class=\"token keyword\">const</span> selectMode <span class=\"token operator\">=</span> multiple <span class=\"token operator\">?</span> <span class=\"token string\">'multiple'</span> <span class=\"token punctuation\">:</span> <span class=\"token string\">'single'</span><span class=\"token punctuation\">;</span>\n\n        <span class=\"token keyword\">return</span> <span class=\"token punctuation\">(</span>\n            <span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span>div</span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span>div</span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                    </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span>span</span> <span class=\"token attr-name\">className</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>my-switch-label<span class=\"token punctuation\">\"</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">Multiple </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span>span</span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                    </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Switch</span></span> <span class=\"token attr-name\">value</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span>multiple<span class=\"token punctuation\">}</span></span> <span class=\"token attr-name\">onChange</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span>handleMultipleChange<span class=\"token punctuation\">}</span></span> <span class=\"token punctuation\">/></span></span><span class=\"token plain-text\">\n                </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span>div</span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span>div</span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                    </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span>span</span> <span class=\"token attr-name\">className</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>my-switch-label<span class=\"token punctuation\">\"</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">isSelectIconRight </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span>span</span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                    </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Switch</span></span> <span class=\"token attr-name\">value</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span>multiple<span class=\"token punctuation\">}</span></span> <span class=\"token attr-name\">onChange</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span>handleIconDirectionChange<span class=\"token punctuation\">}</span></span> <span class=\"token punctuation\">/></span></span><span class=\"token plain-text\">\n                </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span>div</span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span>div</span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                    </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span>span</span> <span class=\"token attr-name\">className</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>my-switch-label<span class=\"token punctuation\">\"</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">Label of submenu selectable </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span>span</span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                    </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Switch</span></span> <span class=\"token attr-name\">value</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span>multiple<span class=\"token punctuation\">}</span></span> <span class=\"token attr-name\">onChange</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span>handleSubMenuSelectableChange<span class=\"token punctuation\">}</span></span> <span class=\"token punctuation\">/></span></span><span class=\"token plain-text\">\n                </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span>div</span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span>div</span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                    </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span>span</span> <span class=\"token attr-name\">className</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>my-switch-label<span class=\"token punctuation\">\"</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">Only first level selectable </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span>span</span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                    </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Switch</span></span> <span class=\"token attr-name\">value</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span>multiple<span class=\"token punctuation\">}</span></span> <span class=\"token attr-name\">onChange</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span>handleShallowSelectChange<span class=\"token punctuation\">}</span></span> <span class=\"token punctuation\">/></span></span><span class=\"token plain-text\">\n                </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span>div</span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Menu</span></span> <span class=\"token attr-name\">isSelectIconRight</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span>isSelectIconRight<span class=\"token punctuation\">}</span></span> <span class=\"token attr-name\">className</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>my-select-menu<span class=\"token punctuation\">\"</span></span> <span class=\"token attr-name\">defaultOpenKeys</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token punctuation\">[</span><span class=\"token string\">'sub'</span><span class=\"token punctuation\">]</span><span class=\"token punctuation\">}</span></span> <span class=\"token attr-name\">selectMode</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span>selectMode<span class=\"token punctuation\">}</span></span> <span class=\"token attr-name\">selectedKeys</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span>selectedKeys<span class=\"token punctuation\">}</span></span> <span class=\"token attr-name\">shallowSelect</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span>shallowSelect<span class=\"token punctuation\">}</span></span> <span class=\"token attr-name\">onSelect</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span>handleSelect<span class=\"token punctuation\">}</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                    </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Item</span></span> <span class=\"token attr-name\">key</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>1<span class=\"token punctuation\">\"</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">Option 1</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">Item</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                    </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Item</span></span> <span class=\"token attr-name\">disabled</span> <span class=\"token attr-name\">key</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>2<span class=\"token punctuation\">\"</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">Disabled option 2</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">Item</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                    </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">SubMenu</span></span> <span class=\"token attr-name\">key</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>sub<span class=\"token punctuation\">\"</span></span> <span class=\"token attr-name\">label</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>Sub menu<span class=\"token punctuation\">\"</span></span> <span class=\"token attr-name\">selectable</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span>subMenuSelectable<span class=\"token punctuation\">}</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                        </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Item</span></span> <span class=\"token attr-name\">key</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>sub-1<span class=\"token punctuation\">\"</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">Sub option 1</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">Item</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                        </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Item</span></span> <span class=\"token attr-name\">key</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>sub-2<span class=\"token punctuation\">\"</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">Sub option 2</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">Item</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                    </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">SubMenu</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                    </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Item</span></span> <span class=\"token attr-name\">key</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>3<span class=\"token punctuation\">\"</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">Option 3</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">Item</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">Menu</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n            </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span>div</span><span class=\"token punctuation\">></span></span>\n        <span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n    <span class=\"token punctuation\">}</span>\n<span class=\"token punctuation\">}</span>\n\nReactDOM<span class=\"token punctuation\">.</span><span class=\"token function\">render</span><span class=\"token punctuation\">(</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Demo</span></span> <span class=\"token punctuation\">/></span></span><span class=\"token punctuation\">,</span> mountNode<span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span></code></pre></div><style type=\"text/css\">.my-switch-label {\n    vertical-align: super;\n}\n\n.my-select-menu {\n    margin-top: 10px;\n    width: 200px;\n}</style><div class=\"highlight\"><pre class=\"language-css\"><code class=\"language-css\"><span class=\"token selector\">.my-switch-label</span> <span class=\"token punctuation\">{</span>\n    <span class=\"token property\">vertical-align</span><span class=\"token punctuation\">:</span> super<span class=\"token punctuation\">;</span>\n<span class=\"token punctuation\">}</span>\n\n<span class=\"token selector\">.my-select-menu</span> <span class=\"token punctuation\">{</span>\n    <span class=\"token property\">margin-top</span><span class=\"token punctuation\">:</span> 10px<span class=\"token punctuation\">;</span>\n    <span class=\"token property\">width</span><span class=\"token punctuation\">:</span> 200px<span class=\"token punctuation\">;</span>\n<span class=\"token punctuation\">}</span></code></pre></div>"}