{"title":"可关闭组件","meta":{"title":"可关闭组件","description":"\n<p>通过增加<code>closeable</code>属性可以控制提示框是否可关闭。</p>\n","order":"3"},"codes":{"jsx":"import { Message } from '@alifd/next';\n\nconst onClose = () => console.log('onClose triggered!');\nconst afterClose = () => console.log('afterClose triggered!');\n\nReactDOM.render(\n    <div>\n        <Message title=\"title\" closeable onClose={onClose} afterClose={afterClose}>\n            Content Content Content Content\n        </Message>\n    </div>, mountNode);\n"},"body":"\n\n````jsx\nimport { Message } from '@alifd/next';\n\nconst onClose = () => console.log('onClose triggered!');\nconst afterClose = () => console.log('afterClose triggered!');\n\nReactDOM.render(\n    <div>\n        <Message title=\"title\" closeable onClose={onClose} afterClose={afterClose}>\n            Content Content Content Content\n        </Message>\n    </div>, mountNode);\n````","html":"<script>(function(){'use strict';\n\nvar _next = require('@alifd/next');\n\nvar onClose = function onClose() {\n    return console.log('onClose triggered!');\n};\nvar afterClose = function afterClose() {\n    return console.log('afterClose triggered!');\n};\n\nReactDOM.render(React.createElement(\n    'div',\n    null,\n    React.createElement(\n        _next.Message,\n        { title: 'title', closeable: true, onClose: onClose, afterClose: afterClose },\n        'Content Content Content Content'\n    )\n), mountNode);})()</script><div class=\"highlight\"><pre class=\"language-jsx\"><code class=\"language-jsx\"><span class=\"token keyword\">import</span> <span class=\"token punctuation\">{</span> Message <span class=\"token punctuation\">}</span> <span class=\"token keyword\">from</span> <span class=\"token string\">'@alifd/next'</span><span class=\"token punctuation\">;</span>\n\n<span class=\"token keyword\">const</span> <span class=\"token function-variable function\">onClose</span> <span class=\"token operator\">=</span> <span class=\"token punctuation\">(</span><span class=\"token punctuation\">)</span> <span class=\"token operator\">=></span> console<span class=\"token punctuation\">.</span><span class=\"token function\">log</span><span class=\"token punctuation\">(</span><span class=\"token string\">'onClose triggered!'</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n<span class=\"token keyword\">const</span> <span class=\"token function-variable function\">afterClose</span> <span class=\"token operator\">=</span> <span class=\"token punctuation\">(</span><span class=\"token punctuation\">)</span> <span class=\"token operator\">=></span> console<span class=\"token punctuation\">.</span><span class=\"token function\">log</span><span class=\"token punctuation\">(</span><span class=\"token string\">'afterClose triggered!'</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n\nReactDOM<span class=\"token punctuation\">.</span><span class=\"token function\">render</span><span class=\"token punctuation\">(</span>\n    <span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span>div</span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n        </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Message</span></span> <span class=\"token attr-name\">title</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>title<span class=\"token punctuation\">\"</span></span> <span class=\"token attr-name\">closeable</span> <span class=\"token attr-name\">onClose</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span>onClose<span class=\"token punctuation\">}</span></span> <span class=\"token attr-name\">afterClose</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span>afterClose<span class=\"token punctuation\">}</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n            Content Content Content Content\n        </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">Message</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n    </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span>div</span><span class=\"token punctuation\">></span></span><span class=\"token punctuation\">,</span> mountNode<span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span></code></pre></div>"}