{"title":"Every Page Display","meta":{"title":"Every Page Display","description":"\n<p>The <code>Page Size</code> property can be set to specify the number of records on the page.<br>\nThe <code>pageSizeSelector</code> property can be set to specify whether to display the number of parts selected per page and the part shape.\nThe <code>pageSizeList</code> property can specify the number of displayable values per page. <br>\nBy setting the <code>pageSizePosition</code> property, you can specify whether the part selected by the display quantity per page is displayed at the beginning or end of the entire component .\nThe <code>onPageSizeChange</code> property can be set to specify the callback function when the number of pages displayed changes.</p>\n","order":"5"},"codes":{"jsx":"import { Pagination } from '@alifd/next';\n\nconst handlePageSizeChange = size => console.log(size);\n\nReactDOM.render(\n    <div>\n        <h3>To hidden per page size selector</h3>\n        <Pagination pageSizeSelector={false} />\n        <h3>Type per page size selector of is dropdown，and as for the tail of the entire component</h3>\n        <Pagination pageSizeSelector=\"dropdown\" pageSizePosition=\"end\" onPageSizeChange={handlePageSizeChange} />\n        <h3>Filter type per page size selector, and use floating layout</h3>\n        <Pagination pageSizeSelector=\"filter\" onPageSizeChange={handlePageSizeChange} useFloatLayout />\n    </div>,\n    mountNode\n);\n"},"body":"\n````jsx\nimport { Pagination } from '@alifd/next';\n\nconst handlePageSizeChange = size => console.log(size);\n\nReactDOM.render(\n    <div>\n        <h3>To hidden per page size selector</h3>\n        <Pagination pageSizeSelector={false} />\n        <h3>Type per page size selector of is dropdown，and as for the tail of the entire component</h3>\n        <Pagination pageSizeSelector=\"dropdown\" pageSizePosition=\"end\" onPageSizeChange={handlePageSizeChange} />\n        <h3>Filter type per page size selector, and use floating layout</h3>\n        <Pagination pageSizeSelector=\"filter\" onPageSizeChange={handlePageSizeChange} useFloatLayout />\n    </div>,\n    mountNode\n);\n````","html":"<script>(function(){\"use strict\";\n\nvar _next = require(\"@alifd/next\");\n\nvar handlePageSizeChange = function handlePageSizeChange(size) {\n    return console.log(size);\n};\n\nReactDOM.render(React.createElement(\n    \"div\",\n    null,\n    React.createElement(\n        \"h3\",\n        null,\n        \"To hidden per page size selector\"\n    ),\n    React.createElement(_next.Pagination, { pageSizeSelector: false }),\n    React.createElement(\n        \"h3\",\n        null,\n        \"Type per page size selector of is dropdown\\uFF0Cand as for the tail of the entire component\"\n    ),\n    React.createElement(_next.Pagination, { pageSizeSelector: \"dropdown\", pageSizePosition: \"end\", onPageSizeChange: handlePageSizeChange }),\n    React.createElement(\n        \"h3\",\n        null,\n        \"Filter type per page size selector, and use floating layout\"\n    ),\n    React.createElement(_next.Pagination, { pageSizeSelector: \"filter\", onPageSizeChange: handlePageSizeChange, useFloatLayout: true })\n), mountNode);})()</script><div class=\"highlight\"><pre class=\"language-jsx\"><code class=\"language-jsx\"><span class=\"token keyword\">import</span> <span class=\"token punctuation\">{</span> Pagination <span class=\"token punctuation\">}</span> <span class=\"token keyword\">from</span> <span class=\"token string\">'@alifd/next'</span><span class=\"token punctuation\">;</span>\n\n<span class=\"token keyword\">const</span> <span class=\"token function-variable function\">handlePageSizeChange</span> <span class=\"token operator\">=</span> <span class=\"token parameter\">size</span> <span class=\"token operator\">=></span> console<span class=\"token punctuation\">.</span><span class=\"token function\">log</span><span class=\"token punctuation\">(</span>size<span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n\nReactDOM<span class=\"token punctuation\">.</span><span class=\"token function\">render</span><span class=\"token punctuation\">(</span>\n    <span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span>div</span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n        </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span>h3</span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">To hidden per page size selector</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span>h3</span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n        </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Pagination</span></span> <span class=\"token attr-name\">pageSizeSelector</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token boolean\">false</span><span class=\"token punctuation\">}</span></span> <span class=\"token punctuation\">/></span></span><span class=\"token plain-text\">\n        </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span>h3</span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">Type per page size selector of is dropdown，and as for the tail of the entire component</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span>h3</span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n        </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Pagination</span></span> <span class=\"token attr-name\">pageSizeSelector</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>dropdown<span class=\"token punctuation\">\"</span></span> <span class=\"token attr-name\">pageSizePosition</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>end<span class=\"token punctuation\">\"</span></span> <span class=\"token attr-name\">onPageSizeChange</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span>handlePageSizeChange<span class=\"token punctuation\">}</span></span> <span class=\"token punctuation\">/></span></span><span class=\"token plain-text\">\n        </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span>h3</span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">Filter type per page size selector, and use floating layout</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span>h3</span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n        </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Pagination</span></span> <span class=\"token attr-name\">pageSizeSelector</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>filter<span class=\"token punctuation\">\"</span></span> <span class=\"token attr-name\">onPageSizeChange</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span>handlePageSizeChange<span class=\"token punctuation\">}</span></span> <span class=\"token attr-name\">useFloatLayout</span> <span class=\"token punctuation\">/></span></span><span class=\"token plain-text\">\n    </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span>div</span><span class=\"token punctuation\">></span></span><span class=\"token punctuation\">,</span>\n    mountNode\n<span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span></code></pre></div>"}