{"meta":"<h2 id=\"guide\">Guide<a href=\"#guide\" class=\"anchor\">#</a></h2><p>Radio</p>\n<h3 id=\"when-to-use\">When to use<a href=\"#when-to-use\" class=\"anchor\">#</a></h3><p>Radio buttons allow the user to select a single option from data-set. User can use the radio button for exlusive opration and see all the options side by side. Otherwsie, consider using <code>&lt;DropDown/&gt;</code> that take up less space than showing all the option.</p>\n<h2 id=\"api\">API<a href=\"#api\" class=\"anchor\">#</a></h2>","api":"<h3 id=\"radio\">Radio<a href=\"#radio\" class=\"anchor\">#</a></h3><table>\n<thead>\n<tr>\n<th>Param</th>\n<th>Descripiton</th>\n<th>Type</th>\n<th>Default Value</th>\n</tr>\n</thead>\n<tbody>\n<tr>\n<td>id</td>\n<td>Input`s id in component</td>\n<td>String</td>\n<td>-</td>\n</tr>\n<tr>\n<td>checked</td>\n<td>To set radio button is checked</td>\n<td>Boolean</td>\n<td>-</td>\n</tr>\n<tr>\n<td>defaultChecked</td>\n<td>To set radio button default to be checked</td>\n<td>Boolean</td>\n<td>-</td>\n</tr>\n<tr>\n<td>label</td>\n<td>To set the radio label</td>\n<td>String</td>\n<td>-</td>\n</tr>\n<tr>\n<td>onChange</td>\n<td>Callback on state change<br><br><strong>signatures</strong>:<br>Function(checked: Boolean, e: Event) =&gt; void<br><strong>params</strong>:<br><em>checked</em>: {Boolean} Is checked<br>_e_: {Event} Dom Event</td>\n<td>Function</td>\n<td>func.noop</td>\n</tr>\n<tr>\n<td>onMouseEnter</td>\n<td>Callback on mouse enter<br><br><strong>signatures</strong>:<br>Function(e: Event) =&gt; void<br><strong>params</strong>:<br>_e_: {Event} Dom Event</td>\n<td>Function</td>\n<td>func.noop</td>\n</tr>\n<tr>\n<td>onMouseLeave</td>\n<td>Callback on mouse leave<br><br><strong>signatures</strong>:<br>Function(e: Event) =&gt; void<br><strong>params</strong>:<br>_e_: {Event} Dom Event</td>\n<td>Function</td>\n<td>func.noop</td>\n</tr>\n<tr>\n<td>disabled</td>\n<td>Set radio button disabel to be used</td>\n<td>Boolean</td>\n<td>-</td>\n</tr>\n<tr>\n<td>value</td>\n<td>value</td>\n<td>String/Number/Boolean</td>\n<td>-</td>\n</tr>\n<tr>\n<td>name</td>\n<td>name</td>\n<td>String</td>\n<td>-</td>\n</tr>\n</tbody>\n</table>\n<h3 id=\"radio-group\">Radio.Group<a href=\"#radio-group\" class=\"anchor\">#</a></h3><table>\n<thead>\n<tr>\n<th>Param</th>\n<th>Descripiton</th>\n<th>Type</th>\n<th>Default Value</th>\n</tr>\n</thead>\n<tbody>\n<tr>\n<td>name</td>\n<td>name</td>\n<td>String</td>\n<td>-</td>\n</tr>\n<tr>\n<td>value</td>\n<td>The value of the Item witch is selected in radio group</td>\n<td>String/Number/Boolean</td>\n<td>-</td>\n</tr>\n<tr>\n<td>size</td>\n<td>Used with <code>shape</code> prop&#xFF0C;valid when shape is set to button<br><br><strong>option</strong>:<br>&apos;large&apos;<br>&apos;medium&apos;<br>&apos;small&apos;</td>\n<td>Enum</td>\n<td>&apos;medium&apos;</td>\n</tr>\n<tr>\n<td>shape</td>\n<td>Make radio shape like button, when it set value to &apos;button&apos;<br><br><strong>option</strong>:<br>&apos;button&apos;</td>\n<td>Enum</td>\n<td>-</td>\n</tr>\n<tr>\n<td>defaultValue</td>\n<td>The value of the Item witch is default selected in radio group</td>\n<td>String/Number/Boolean</td>\n<td>-</td>\n</tr>\n<tr>\n<td>onChange</td>\n<td>Callback on state change<br><br><strong>signatures</strong>:<br>Function(value: String/Number, e: Event) =&gt; void<br><strong>params</strong>:<br><em>value</em>: {String/Number} The selected value <br>_e_: {Event} Dom Event</td>\n<td>Function</td>\n<td>() =&gt; { }</td>\n</tr>\n<tr>\n<td>disabled</td>\n<td>All the radios in group are  disable to be used</td>\n<td>Boolean</td>\n<td>-</td>\n</tr>\n<tr>\n<td>dataSource</td>\n<td>The data of radio buttons, it can be a String or a Object. For example: <code>[&apos;apple&apos;, &apos;pear&apos;, &apos;orange&apos;]</code></td>\n<td>Array&lt;any&gt;</td>\n<td>[]</td>\n</tr>\n<tr>\n<td>children</td>\n<td>To set radio button by setting children components</td>\n<td>Array&lt;ReactElement&gt;/ReactElement</td>\n<td>-</td>\n</tr>\n<tr>\n<td>itemDirection</td>\n<td>The direction of item&apos;s aligning<br>- hoz: horizonal (default)<br>- ver: vertical<br><br><strong>Allowed values</strong>:<br>&apos;hoz&apos;, &apos;ver&apos;</td>\n<td>Enum</td>\n<td>&apos;hoz&apos;</td>\n</tr>\n</tbody>\n</table>\n<h2 id=\"aria-and-keyboard\">ARIA and KeyBoard<a href=\"#aria-and-keyboard\" class=\"anchor\">#</a></h2><table>\n<thead>\n<tr>\n<th style=\"text-align:left\">KeyBoard</th>\n<th style=\"text-align:left\">Descripiton</th>\n</tr>\n</thead>\n<tbody>\n<tr>\n<td style=\"text-align:left\">Tab</td>\n<td style=\"text-align:left\">Get the focus, if there is no selection, it is the first one, then you can select it with a space. If it is selected, it will focus on the selected item, and then left-right will navigate and select radio.</td>\n</tr>\n</tbody>\n</table>\n"}