{"title":"Custom Dropdown","meta":{"title":"Custom Dropdown","description":"\n<p>custom dropdown content</p>\n","order":"5"},"codes":{"jsx":"import { Search, Menu, Button } from '@alifd/next';\n\nconst menuData = [\n    {\n        label: 'Option 1',\n        value: 'Option 1 Value',\n        index: '1'\n    }, {\n        label: 'Option 2',\n        value: 'Option 2 Value',\n        index: '2'\n    }, {\n        label: 'Option 3',\n        value: 'Option 3 Value',\n        index: '3'\n    }, {\n        label: 'Option 4',\n        value: 'Option 4 Value',\n        index: '4'\n    }\n];\n\nclass App extends React.Component {\n    constructor(props) {\n        super(props);\n        this.state = {\n            visible: false,\n            value: '111222',\n            menuData: menuData\n        };\n\n        this.onVisibleChange = this.onVisibleChange.bind(this);\n        this.onSearch = this.onSearch.bind(this);\n        this.onChange = this.onChange.bind(this);\n        this.onFocus = this.onFocus.bind(this);\n    }\n\n    renderMenu() {\n        const menuData = this.state.menuData;\n\n        return (<Menu onSelect={this.onSelect.bind(this)} rtl className=\"diy-menu\" selectMode=\"single\">\n            <Menu.Group label=\"Recent\" key=\"xxx\">\n                {menuData.map((item) => {\n                    return (<Menu.Item key={item.value}>\n                        {item.label}\n                        <Button className=\"diy-menu-button\" onClick={this.onDelete.bind(this, item.index)} text>Delete</Button>\n                    </Menu.Item>);\n                })}\n            </Menu.Group>\n        </Menu>);\n    }\n\n    onSearch(value) {\n        console.log(value);\n    }\n\n    onChange(value) {\n        this.setState({\n            visible: value.length > 0,\n            value: value\n        });\n    }\n\n    onSelect(selectedKeys) {\n        this.setState({\n            visible: false,\n            value: selectedKeys[0]\n        });\n    }\n\n    onDelete(index, e) {\n        e.stopPropagation();\n\n        const menuData = this.state.menuData;\n\n        const menuDataNew = [];\n\n        menuData.forEach(function (item) {\n            if (item.index !== index) {\n                menuDataNew.push(item);\n            }\n        });\n\n        this.setState({\n            menuData: menuDataNew\n        });\n    }\n\n    onFocus() {\n        this.setState({\n            visible: true\n        });\n    }\n\n    onVisibleChange() {\n        this.setState({\n            visible: false\n        });\n    }\n\n    render() {\n        const {visible, value} = this.state;\n\n        return (<div style={{width: 700}}>\n            <Search\n                onVisibleChange={this.onVisibleChange}\n                popupContent={this.renderMenu()}\n                visible={visible}\n                value={value}\n                onSearch={this.onSearch}\n                onChange={this.onChange}\n                onFocus={this.onFocus}\n            />\n        </div>);\n    }\n}\n\nReactDOM.render(<App/>, mountNode);\n","css":"\n.diy-menu{\n    /*width: 275px*/;\n}\n\n.diy-menu .next-menu-item a{\n    display:none;\n    float: right;\n    cursor: pointer;\n}\n.diy-menu .next-menu-item:hover a{\n    display:inline-block;\n}\n.diy-menu .diy-menu-button {\n    float: right;\n}\n.diy-menu[dir=rtl] .diy-menu-button {\n    float: left;\n}\n"},"body":"\n````jsx\nimport { Search, Menu, Button } from '@alifd/next';\n\nconst menuData = [\n    {\n        label: 'Option 1',\n        value: 'Option 1 Value',\n        index: '1'\n    }, {\n        label: 'Option 2',\n        value: 'Option 2 Value',\n        index: '2'\n    }, {\n        label: 'Option 3',\n        value: 'Option 3 Value',\n        index: '3'\n    }, {\n        label: 'Option 4',\n        value: 'Option 4 Value',\n        index: '4'\n    }\n];\n\nclass App extends React.Component {\n    constructor(props) {\n        super(props);\n        this.state = {\n            visible: false,\n            value: '111222',\n            menuData: menuData\n        };\n\n        this.onVisibleChange = this.onVisibleChange.bind(this);\n        this.onSearch = this.onSearch.bind(this);\n        this.onChange = this.onChange.bind(this);\n        this.onFocus = this.onFocus.bind(this);\n    }\n\n    renderMenu() {\n        const menuData = this.state.menuData;\n\n        return (<Menu onSelect={this.onSelect.bind(this)} rtl className=\"diy-menu\" selectMode=\"single\">\n            <Menu.Group label=\"Recent\" key=\"xxx\">\n                {menuData.map((item) => {\n                    return (<Menu.Item key={item.value}>\n                        {item.label}\n                        <Button className=\"diy-menu-button\" onClick={this.onDelete.bind(this, item.index)} text>Delete</Button>\n                    </Menu.Item>);\n                })}\n            </Menu.Group>\n        </Menu>);\n    }\n\n    onSearch(value) {\n        console.log(value);\n    }\n\n    onChange(value) {\n        this.setState({\n            visible: value.length > 0,\n            value: value\n        });\n    }\n\n    onSelect(selectedKeys) {\n        this.setState({\n            visible: false,\n            value: selectedKeys[0]\n        });\n    }\n\n    onDelete(index, e) {\n        e.stopPropagation();\n\n        const menuData = this.state.menuData;\n\n        const menuDataNew = [];\n\n        menuData.forEach(function (item) {\n            if (item.index !== index) {\n                menuDataNew.push(item);\n            }\n        });\n\n        this.setState({\n            menuData: menuDataNew\n        });\n    }\n\n    onFocus() {\n        this.setState({\n            visible: true\n        });\n    }\n\n    onVisibleChange() {\n        this.setState({\n            visible: false\n        });\n    }\n\n    render() {\n        const {visible, value} = this.state;\n\n        return (<div style={{width: 700}}>\n            <Search\n                onVisibleChange={this.onVisibleChange}\n                popupContent={this.renderMenu()}\n                visible={visible}\n                value={value}\n                onSearch={this.onSearch}\n                onChange={this.onChange}\n                onFocus={this.onFocus}\n            />\n        </div>);\n    }\n}\n\nReactDOM.render(<App/>, mountNode);\n````\n\n\n````css\n\n.diy-menu{\n    /*width: 275px*/;\n}\n\n.diy-menu .next-menu-item a{\n    display:none;\n    float: right;\n    cursor: pointer;\n}\n.diy-menu .next-menu-item:hover a{\n    display:inline-block;\n}\n.diy-menu .diy-menu-button {\n    float: right;\n}\n.diy-menu[dir=rtl] .diy-menu-button {\n    float: left;\n}\n````","html":"<script>(function(){'use strict';\n\nvar _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if (\"value\" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();\n\nvar _next = require('@alifd/next');\n\nfunction _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError(\"Cannot call a class as a function\"); } }\n\nfunction _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError(\"this hasn't been initialised - super() hasn't been called\"); } return call && (typeof call === \"object\" || typeof call === \"function\") ? call : self; }\n\nfunction _inherits(subClass, superClass) { if (typeof superClass !== \"function\" && superClass !== null) { throw new TypeError(\"Super expression must either be null or a function, not \" + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }\n\nvar menuData = [{\n    label: 'Option 1',\n    value: 'Option 1 Value',\n    index: '1'\n}, {\n    label: 'Option 2',\n    value: 'Option 2 Value',\n    index: '2'\n}, {\n    label: 'Option 3',\n    value: 'Option 3 Value',\n    index: '3'\n}, {\n    label: 'Option 4',\n    value: 'Option 4 Value',\n    index: '4'\n}];\n\nvar App = function (_React$Component) {\n    _inherits(App, _React$Component);\n\n    function App(props) {\n        _classCallCheck(this, App);\n\n        var _this = _possibleConstructorReturn(this, (App.__proto__ || Object.getPrototypeOf(App)).call(this, props));\n\n        _this.state = {\n            visible: false,\n            value: '111222',\n            menuData: menuData\n        };\n\n        _this.onVisibleChange = _this.onVisibleChange.bind(_this);\n        _this.onSearch = _this.onSearch.bind(_this);\n        _this.onChange = _this.onChange.bind(_this);\n        _this.onFocus = _this.onFocus.bind(_this);\n        return _this;\n    }\n\n    _createClass(App, [{\n        key: 'renderMenu',\n        value: function renderMenu() {\n            var _this2 = this;\n\n            var menuData = this.state.menuData;\n\n            return React.createElement(\n                _next.Menu,\n                { onSelect: this.onSelect.bind(this), rtl: true, className: 'diy-menu', selectMode: 'single' },\n                React.createElement(\n                    _next.Menu.Group,\n                    { label: 'Recent', key: 'xxx' },\n                    menuData.map(function (item) {\n                        return React.createElement(\n                            _next.Menu.Item,\n                            { key: item.value },\n                            item.label,\n                            React.createElement(\n                                _next.Button,\n                                { className: 'diy-menu-button', onClick: _this2.onDelete.bind(_this2, item.index), text: true },\n                                'Delete'\n                            )\n                        );\n                    })\n                )\n            );\n        }\n    }, {\n        key: 'onSearch',\n        value: function onSearch(value) {\n            console.log(value);\n        }\n    }, {\n        key: 'onChange',\n        value: function onChange(value) {\n            this.setState({\n                visible: value.length > 0,\n                value: value\n            });\n        }\n    }, {\n        key: 'onSelect',\n        value: function onSelect(selectedKeys) {\n            this.setState({\n                visible: false,\n                value: selectedKeys[0]\n            });\n        }\n    }, {\n        key: 'onDelete',\n        value: function onDelete(index, e) {\n            e.stopPropagation();\n\n            var menuData = this.state.menuData;\n\n            var menuDataNew = [];\n\n            menuData.forEach(function (item) {\n                if (item.index !== index) {\n                    menuDataNew.push(item);\n                }\n            });\n\n            this.setState({\n                menuData: menuDataNew\n            });\n        }\n    }, {\n        key: 'onFocus',\n        value: function onFocus() {\n            this.setState({\n                visible: true\n            });\n        }\n    }, {\n        key: 'onVisibleChange',\n        value: function onVisibleChange() {\n            this.setState({\n                visible: false\n            });\n        }\n    }, {\n        key: 'render',\n        value: function render() {\n            var _state = this.state,\n                visible = _state.visible,\n                value = _state.value;\n\n\n            return React.createElement(\n                'div',\n                { style: { width: 700 } },\n                React.createElement(_next.Search, {\n                    onVisibleChange: this.onVisibleChange,\n                    popupContent: this.renderMenu(),\n                    visible: visible,\n                    value: value,\n                    onSearch: this.onSearch,\n                    onChange: this.onChange,\n                    onFocus: this.onFocus\n                })\n            );\n        }\n    }]);\n\n    return App;\n}(React.Component);\n\nReactDOM.render(React.createElement(App, null), mountNode);})()</script><div class=\"highlight\"><pre class=\"language-jsx\"><code class=\"language-jsx\"><span class=\"token keyword\">import</span> <span class=\"token punctuation\">{</span> Search<span class=\"token punctuation\">,</span> Menu<span class=\"token punctuation\">,</span> Button <span class=\"token punctuation\">}</span> <span class=\"token keyword\">from</span> <span class=\"token string\">'@alifd/next'</span><span class=\"token punctuation\">;</span>\n\n<span class=\"token keyword\">const</span> menuData <span class=\"token operator\">=</span> <span class=\"token punctuation\">[</span>\n    <span class=\"token punctuation\">{</span>\n        label<span class=\"token punctuation\">:</span> <span class=\"token string\">'Option 1'</span><span class=\"token punctuation\">,</span>\n        value<span class=\"token punctuation\">:</span> <span class=\"token string\">'Option 1 Value'</span><span class=\"token punctuation\">,</span>\n        index<span class=\"token punctuation\">:</span> <span class=\"token string\">'1'</span>\n    <span class=\"token punctuation\">}</span><span class=\"token punctuation\">,</span> <span class=\"token punctuation\">{</span>\n        label<span class=\"token punctuation\">:</span> <span class=\"token string\">'Option 2'</span><span class=\"token punctuation\">,</span>\n        value<span class=\"token punctuation\">:</span> <span class=\"token string\">'Option 2 Value'</span><span class=\"token punctuation\">,</span>\n        index<span class=\"token punctuation\">:</span> <span class=\"token string\">'2'</span>\n    <span class=\"token punctuation\">}</span><span class=\"token punctuation\">,</span> <span class=\"token punctuation\">{</span>\n        label<span class=\"token punctuation\">:</span> <span class=\"token string\">'Option 3'</span><span class=\"token punctuation\">,</span>\n        value<span class=\"token punctuation\">:</span> <span class=\"token string\">'Option 3 Value'</span><span class=\"token punctuation\">,</span>\n        index<span class=\"token punctuation\">:</span> <span class=\"token string\">'3'</span>\n    <span class=\"token punctuation\">}</span><span class=\"token punctuation\">,</span> <span class=\"token punctuation\">{</span>\n        label<span class=\"token punctuation\">:</span> <span class=\"token string\">'Option 4'</span><span class=\"token punctuation\">,</span>\n        value<span class=\"token punctuation\">:</span> <span class=\"token string\">'Option 4 Value'</span><span class=\"token punctuation\">,</span>\n        index<span class=\"token punctuation\">:</span> <span class=\"token string\">'4'</span>\n    <span class=\"token punctuation\">}</span>\n<span class=\"token punctuation\">]</span><span class=\"token punctuation\">;</span>\n\n<span class=\"token keyword\">class</span> <span class=\"token class-name\">App</span> <span class=\"token keyword\">extends</span> <span class=\"token class-name\">React<span class=\"token punctuation\">.</span>Component</span> <span class=\"token punctuation\">{</span>\n    <span class=\"token function\">constructor</span><span class=\"token punctuation\">(</span><span class=\"token parameter\">props</span><span class=\"token punctuation\">)</span> <span class=\"token punctuation\">{</span>\n        <span class=\"token keyword\">super</span><span class=\"token punctuation\">(</span>props<span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n        <span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span>state <span class=\"token operator\">=</span> <span class=\"token punctuation\">{</span>\n            visible<span class=\"token punctuation\">:</span> <span class=\"token boolean\">false</span><span class=\"token punctuation\">,</span>\n            value<span class=\"token punctuation\">:</span> <span class=\"token string\">'111222'</span><span class=\"token punctuation\">,</span>\n            menuData<span class=\"token punctuation\">:</span> menuData\n        <span class=\"token punctuation\">}</span><span class=\"token punctuation\">;</span>\n\n        <span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span>onVisibleChange <span class=\"token operator\">=</span> <span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span><span class=\"token function\">onVisibleChange</span><span class=\"token punctuation\">.</span><span class=\"token function\">bind</span><span class=\"token punctuation\">(</span><span class=\"token keyword\">this</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n        <span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span>onSearch <span class=\"token operator\">=</span> <span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span><span class=\"token function\">onSearch</span><span class=\"token punctuation\">.</span><span class=\"token function\">bind</span><span class=\"token punctuation\">(</span><span class=\"token keyword\">this</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n        <span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span>onChange <span class=\"token operator\">=</span> <span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span><span class=\"token function\">onChange</span><span class=\"token punctuation\">.</span><span class=\"token function\">bind</span><span class=\"token punctuation\">(</span><span class=\"token keyword\">this</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n        <span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span>onFocus <span class=\"token operator\">=</span> <span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span><span class=\"token function\">onFocus</span><span class=\"token punctuation\">.</span><span class=\"token function\">bind</span><span class=\"token punctuation\">(</span><span class=\"token keyword\">this</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n    <span class=\"token punctuation\">}</span>\n\n    <span class=\"token function\">renderMenu</span><span class=\"token punctuation\">(</span><span class=\"token punctuation\">)</span> <span class=\"token punctuation\">{</span>\n        <span class=\"token keyword\">const</span> menuData <span class=\"token operator\">=</span> <span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span>state<span class=\"token punctuation\">.</span>menuData<span class=\"token punctuation\">;</span>\n\n        <span class=\"token keyword\">return</span> <span class=\"token punctuation\">(</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Menu</span></span> <span class=\"token attr-name\">onSelect</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span><span class=\"token function\">onSelect</span><span class=\"token punctuation\">.</span><span class=\"token function\">bind</span><span class=\"token punctuation\">(</span><span class=\"token keyword\">this</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">}</span></span> <span class=\"token attr-name\">rtl</span> <span class=\"token attr-name\">className</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>diy-menu<span class=\"token punctuation\">\"</span></span> <span class=\"token attr-name\">selectMode</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>single<span class=\"token punctuation\">\"</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n            </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Menu.Group</span></span> <span class=\"token attr-name\">label</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>Recent<span class=\"token punctuation\">\"</span></span> <span class=\"token attr-name\">key</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>xxx<span class=\"token punctuation\">\"</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                </span><span class=\"token punctuation\">{</span>menuData<span class=\"token punctuation\">.</span><span class=\"token function\">map</span><span class=\"token punctuation\">(</span><span class=\"token punctuation\">(</span><span class=\"token parameter\">item</span><span class=\"token punctuation\">)</span> <span class=\"token operator\">=></span> <span class=\"token punctuation\">{</span>\n                    <span class=\"token keyword\">return</span> <span class=\"token punctuation\">(</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Menu.Item</span></span> <span class=\"token attr-name\">key</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span>item<span class=\"token punctuation\">.</span>value<span class=\"token punctuation\">}</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                        </span><span class=\"token punctuation\">{</span>item<span class=\"token punctuation\">.</span>label<span class=\"token punctuation\">}</span><span class=\"token plain-text\">\n                        </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Button</span></span> <span class=\"token attr-name\">className</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>diy-menu-button<span class=\"token punctuation\">\"</span></span> <span class=\"token attr-name\">onClick</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span><span class=\"token function\">onDelete</span><span class=\"token punctuation\">.</span><span class=\"token function\">bind</span><span class=\"token punctuation\">(</span><span class=\"token keyword\">this</span><span class=\"token punctuation\">,</span> item<span class=\"token punctuation\">.</span>index<span class=\"token punctuation\">)</span><span class=\"token punctuation\">}</span></span> <span class=\"token attr-name\">text</span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">Delete</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">Button</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                    </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">Menu.Item</span></span><span class=\"token punctuation\">></span></span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n                <span class=\"token punctuation\">}</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">}</span><span class=\"token plain-text\">\n            </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">Menu.Group</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n        </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">Menu</span></span><span class=\"token punctuation\">></span></span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n    <span class=\"token punctuation\">}</span>\n\n    <span class=\"token function\">onSearch</span><span class=\"token punctuation\">(</span><span class=\"token parameter\">value</span><span class=\"token punctuation\">)</span> <span class=\"token punctuation\">{</span>\n        console<span class=\"token punctuation\">.</span><span class=\"token function\">log</span><span class=\"token punctuation\">(</span>value<span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n    <span class=\"token punctuation\">}</span>\n\n    <span class=\"token function\">onChange</span><span class=\"token punctuation\">(</span><span class=\"token parameter\">value</span><span class=\"token punctuation\">)</span> <span class=\"token punctuation\">{</span>\n        <span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span><span class=\"token function\">setState</span><span class=\"token punctuation\">(</span><span class=\"token punctuation\">{</span>\n            visible<span class=\"token punctuation\">:</span> value<span class=\"token punctuation\">.</span>length <span class=\"token operator\">></span> <span class=\"token number\">0</span><span class=\"token punctuation\">,</span>\n            value<span class=\"token punctuation\">:</span> value\n        <span class=\"token punctuation\">}</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n    <span class=\"token punctuation\">}</span>\n\n    <span class=\"token function\">onSelect</span><span class=\"token punctuation\">(</span><span class=\"token parameter\">selectedKeys</span><span class=\"token punctuation\">)</span> <span class=\"token punctuation\">{</span>\n        <span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span><span class=\"token function\">setState</span><span class=\"token punctuation\">(</span><span class=\"token punctuation\">{</span>\n            visible<span class=\"token punctuation\">:</span> <span class=\"token boolean\">false</span><span class=\"token punctuation\">,</span>\n            value<span class=\"token punctuation\">:</span> selectedKeys<span class=\"token punctuation\">[</span><span class=\"token number\">0</span><span class=\"token punctuation\">]</span>\n        <span class=\"token punctuation\">}</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n    <span class=\"token punctuation\">}</span>\n\n    <span class=\"token function\">onDelete</span><span class=\"token punctuation\">(</span><span class=\"token parameter\">index<span class=\"token punctuation\">,</span> e</span><span class=\"token punctuation\">)</span> <span class=\"token punctuation\">{</span>\n        e<span class=\"token punctuation\">.</span><span class=\"token function\">stopPropagation</span><span class=\"token punctuation\">(</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n\n        <span class=\"token keyword\">const</span> menuData <span class=\"token operator\">=</span> <span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span>state<span class=\"token punctuation\">.</span>menuData<span class=\"token punctuation\">;</span>\n\n        <span class=\"token keyword\">const</span> menuDataNew <span class=\"token operator\">=</span> <span class=\"token punctuation\">[</span><span class=\"token punctuation\">]</span><span class=\"token punctuation\">;</span>\n\n        menuData<span class=\"token punctuation\">.</span><span class=\"token function\">forEach</span><span class=\"token punctuation\">(</span><span class=\"token keyword\">function</span> <span class=\"token punctuation\">(</span><span class=\"token parameter\">item</span><span class=\"token punctuation\">)</span> <span class=\"token punctuation\">{</span>\n            <span class=\"token keyword\">if</span> <span class=\"token punctuation\">(</span>item<span class=\"token punctuation\">.</span>index <span class=\"token operator\">!==</span> index<span class=\"token punctuation\">)</span> <span class=\"token punctuation\">{</span>\n                menuDataNew<span class=\"token punctuation\">.</span><span class=\"token function\">push</span><span class=\"token punctuation\">(</span>item<span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n            <span class=\"token punctuation\">}</span>\n        <span class=\"token punctuation\">}</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n\n        <span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span><span class=\"token function\">setState</span><span class=\"token punctuation\">(</span><span class=\"token punctuation\">{</span>\n            menuData<span class=\"token punctuation\">:</span> menuDataNew\n        <span class=\"token punctuation\">}</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n    <span class=\"token punctuation\">}</span>\n\n    <span class=\"token function\">onFocus</span><span class=\"token punctuation\">(</span><span class=\"token punctuation\">)</span> <span class=\"token punctuation\">{</span>\n        <span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span><span class=\"token function\">setState</span><span class=\"token punctuation\">(</span><span class=\"token punctuation\">{</span>\n            visible<span class=\"token punctuation\">:</span> <span class=\"token boolean\">true</span>\n        <span class=\"token punctuation\">}</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n    <span class=\"token punctuation\">}</span>\n\n    <span class=\"token function\">onVisibleChange</span><span class=\"token punctuation\">(</span><span class=\"token punctuation\">)</span> <span class=\"token punctuation\">{</span>\n        <span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span><span class=\"token function\">setState</span><span class=\"token punctuation\">(</span><span class=\"token punctuation\">{</span>\n            visible<span class=\"token punctuation\">:</span> <span class=\"token boolean\">false</span>\n        <span class=\"token punctuation\">}</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n    <span class=\"token punctuation\">}</span>\n\n    <span class=\"token function\">render</span><span class=\"token punctuation\">(</span><span class=\"token punctuation\">)</span> <span class=\"token punctuation\">{</span>\n        <span class=\"token keyword\">const</span> <span class=\"token punctuation\">{</span>visible<span class=\"token punctuation\">,</span> value<span class=\"token punctuation\">}</span> <span class=\"token operator\">=</span> <span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span>state<span class=\"token punctuation\">;</span>\n\n        <span class=\"token keyword\">return</span> <span class=\"token punctuation\">(</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span>div</span> <span class=\"token attr-name\">style</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token punctuation\">{</span>width<span class=\"token punctuation\">:</span> <span class=\"token number\">700</span><span class=\"token punctuation\">}</span><span class=\"token punctuation\">}</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n            </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Search</span></span>\n                <span class=\"token attr-name\">onVisibleChange</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span>onVisibleChange<span class=\"token punctuation\">}</span></span>\n                <span class=\"token attr-name\">popupContent</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span><span class=\"token function\">renderMenu</span><span class=\"token punctuation\">(</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">}</span></span>\n                <span class=\"token attr-name\">visible</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span>visible<span class=\"token punctuation\">}</span></span>\n                <span class=\"token attr-name\">value</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span>value<span class=\"token punctuation\">}</span></span>\n                <span class=\"token attr-name\">onSearch</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span>onSearch<span class=\"token punctuation\">}</span></span>\n                <span class=\"token attr-name\">onChange</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span>onChange<span class=\"token punctuation\">}</span></span>\n                <span class=\"token attr-name\">onFocus</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span>onFocus<span class=\"token punctuation\">}</span></span>\n            <span class=\"token punctuation\">/></span></span><span class=\"token plain-text\">\n        </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span>div</span><span class=\"token punctuation\">></span></span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n    <span class=\"token punctuation\">}</span>\n<span class=\"token punctuation\">}</span>\n\nReactDOM<span class=\"token punctuation\">.</span><span class=\"token function\">render</span><span class=\"token punctuation\">(</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">App</span></span><span class=\"token punctuation\">/></span></span><span class=\"token punctuation\">,</span> mountNode<span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span></code></pre></div><style type=\"text/css\">\n.diy-menu{\n    /*width: 275px*/;\n}\n\n.diy-menu .next-menu-item a{\n    display:none;\n    float: right;\n    cursor: pointer;\n}\n.diy-menu .next-menu-item:hover a{\n    display:inline-block;\n}\n.diy-menu .diy-menu-button {\n    float: right;\n}\n.diy-menu[dir=rtl] .diy-menu-button {\n    float: left;\n}</style><div class=\"highlight\"><pre class=\"language-css\"><code class=\"language-css\">\n<span class=\"token selector\">.diy-menu</span><span class=\"token punctuation\">{</span>\n    <span class=\"token comment\">/*width: 275px*/</span><span class=\"token punctuation\">;</span>\n<span class=\"token punctuation\">}</span>\n\n<span class=\"token selector\">.diy-menu .next-menu-item a</span><span class=\"token punctuation\">{</span>\n    <span class=\"token property\">display</span><span class=\"token punctuation\">:</span>none<span class=\"token punctuation\">;</span>\n    <span class=\"token property\">float</span><span class=\"token punctuation\">:</span> right<span class=\"token punctuation\">;</span>\n    <span class=\"token property\">cursor</span><span class=\"token punctuation\">:</span> pointer<span class=\"token punctuation\">;</span>\n<span class=\"token punctuation\">}</span>\n<span class=\"token selector\">.diy-menu .next-menu-item:hover a</span><span class=\"token punctuation\">{</span>\n    <span class=\"token property\">display</span><span class=\"token punctuation\">:</span>inline-block<span class=\"token punctuation\">;</span>\n<span class=\"token punctuation\">}</span>\n<span class=\"token selector\">.diy-menu .diy-menu-button</span> <span class=\"token punctuation\">{</span>\n    <span class=\"token property\">float</span><span class=\"token punctuation\">:</span> right<span class=\"token punctuation\">;</span>\n<span class=\"token punctuation\">}</span>\n<span class=\"token selector\">.diy-menu[dir=rtl] .diy-menu-button</span> <span class=\"token punctuation\">{</span>\n    <span class=\"token property\">float</span><span class=\"token punctuation\">:</span> left<span class=\"token punctuation\">;</span>\n<span class=\"token punctuation\">}</span></code></pre></div>"}