{"meta":"<p>Support IE10+</p>\n<h2 id=\"guide\">Guide<a href=\"#guide\" class=\"anchor\">#</a></h2><p>Shell is the infrastructure framework of the whole application. It embodies the structure of the application and the basic capabilities of the application, so that users can complete all their operations under the same framework.</p>\n<h3 id=\"&#x4F55;&#x65F6;&#x4F7F;&#x7528;\">&#x4F55;&#x65F6;&#x4F7F;&#x7528;<a href=\"#&#x4F55;&#x65F6;&#x4F7F;&#x7528;\" class=\"anchor\">#</a></h3><ul>\n<li>Shell should be configured according to the actual business requirements.</li>\n<li>The same application uses a unified Shell framework to avoid confusion.</li>\n</ul>\n<div class=\"highlight\"><pre class=\"language-jsx\"><code class=\"language-jsx\"><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Shell</span></span><span class=\"token punctuation\">&gt;</span></span><span class=\"token plain-text\">\n    </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Shell.Branding</span></span> <span class=\"token punctuation\">/&gt;</span></span><span class=\"token plain-text\">\n    </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Shell.Navigation</span></span><span class=\"token punctuation\">/&gt;</span></span><span class=\"token plain-text\">\n    </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Shell.Action</span></span> <span class=\"token punctuation\">/&gt;</span></span><span class=\"token plain-text\">\n\n    </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Shell.MultiTask</span></span> <span class=\"token punctuation\">/&gt;</span></span><span class=\"token plain-text\">\n    </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Shell.LocalNavigation</span></span> <span class=\"token punctuation\">/&gt;</span></span><span class=\"token plain-text\">\n\n    </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Shell.AppBar</span></span> <span class=\"token punctuation\">/&gt;</span></span><span class=\"token plain-text\">\n    </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Shell.Content</span></span> <span class=\"token punctuation\">/&gt;</span></span><span class=\"token plain-text\">\n    </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Shell.Footer</span></span> <span class=\"token punctuation\">/&gt;</span></span><span class=\"token plain-text\">\n\n    </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Shell.Ancillary</span></span> <span class=\"token punctuation\">/&gt;</span></span><span class=\"token plain-text\">\n    </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Shell.ToolDock</span></span><span class=\"token punctuation\">&gt;</span></span><span class=\"token plain-text\">\n        </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Shell.ToolDockItem</span></span> <span class=\"token punctuation\">/&gt;</span></span><span class=\"token plain-text\">\n    </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">Shell.ToolDock</span></span><span class=\"token punctuation\">&gt;</span></span><span class=\"token plain-text\">\n</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">Shell</span></span><span class=\"token punctuation\">&gt;</span></span></code></pre></div><p><code>&lt;Shell.Content /&gt;</code> uses css-grid, others are <code>display: flex</code></p>\n<h2 id=\"api\">API<a href=\"#api\" class=\"anchor\">#</a></h2>","api":"<h3 id=\"shell\">Shell<a href=\"#shell\" class=\"anchor\">#</a></h3><table>\n<thead>\n<tr>\n<th>Param</th>\n<th>Description</th>\n<th>Type</th>\n<th>Default Value</th>\n</tr>\n</thead>\n<tbody>\n<tr>\n<td>device</td>\n<td>Preset screen width, tt determines whether <code>Navigation</code> <code>LocalNavigation</code> <code>Ancillary</code>take space or not<br><br><strong>option</strong>:<br>&apos;phone&apos;, &apos;tablet&apos;, &apos;desktop&apos;</td>\n<td>Enum</td>\n<td>desktop</td>\n</tr>\n</tbody>\n</table>\n<h3 id=\"shell-navigation\">Shell.Navigation<a href=\"#shell-navigation\" class=\"anchor\">#</a></h3><p>It will tell his children whether it&apos;s collapse or not by <code>isCollapse</code> via Context.</p>\n<table>\n<thead>\n<tr>\n<th>Param</th>\n<th>Description</th>\n<th>Type</th>\n<th>Default Value</th>\n</tr>\n</thead>\n<tbody>\n<tr>\n<td>collapse</td>\n<td>collapse or not</td>\n<td>Boolean</td>\n<td>false</td>\n</tr>\n<tr>\n<td>direction</td>\n<td>header or asider<br><br><strong>option</strong>:<br>&apos;hoz&apos;, &apos;ver&apos;</td>\n<td>Enum</td>\n<td>hoz</td>\n</tr>\n</tbody>\n</table>\n<h3 id=\"shell-localnavigation\">Shell.LocalNavigation<a href=\"#shell-localnavigation\" class=\"anchor\">#</a></h3><table>\n<thead>\n<tr>\n<th>Param</th>\n<th>Description</th>\n<th>Type</th>\n<th>Default Value</th>\n</tr>\n</thead>\n<tbody>\n<tr>\n<td>collapse</td>\n<td>collapse or not</td>\n<td>Boolean</td>\n<td>false</td>\n</tr>\n</tbody>\n</table>\n<h3 id=\"shell-tooldock\">Shell.ToolDock<a href=\"#shell-tooldock\" class=\"anchor\">#</a></h3><table>\n<thead>\n<tr>\n<th>Param</th>\n<th>Description</th>\n<th>Type</th>\n<th>Default Value</th>\n</tr>\n</thead>\n<tbody>\n<tr>\n<td>collapse</td>\n<td>collapse or not</td>\n<td>Boolean</td>\n<td>false</td>\n</tr>\n</tbody>\n</table>\n<h3 id=\"shell-ancillary\">Shell.Ancillary<a href=\"#shell-ancillary\" class=\"anchor\">#</a></h3><table>\n<thead>\n<tr>\n<th>Param</th>\n<th>Description</th>\n<th>Type</th>\n<th>Default Value</th>\n</tr>\n</thead>\n<tbody>\n<tr>\n<td>collapse</td>\n<td>collapse or not</td>\n<td>Boolean</td>\n<td>false</td>\n</tr>\n</tbody>\n</table>\n"}