{"title":"Closeable","meta":{"title":"Closeable","description":"\n<p>Creating closeable tabs by pass attribute <code>closeable</code> to <code>Tab.Item</code>.</p>\n","order":"6"},"codes":{"jsx":"import { Tab, Button, Icon } from '@alifd/next';\n\nconst panes = [\n    { tab: 'Mail', key: 1, closeable: false },\n    { tab: 'Message', key: 2, closeable: true },\n    { tab: 'Setting', key: 3, closeable: true },\n    { tab: 'Unread', key: 4, closeable: true }\n];\n\nclass CloseableTab extends React.Component {\n\n    constructor(props) {\n        super(props);\n        this.state = {\n            panes: panes,\n            activeKey: panes[0].key\n        };\n    }\n\n    /*eslint-disable eqeqeq */\n    remove(targetKey) {\n        let activeKey = this.state.activeKey;\n        const panes = [];\n        this.state.panes.forEach(pane => {\n            if (pane.key != targetKey) {\n                panes.push(pane);\n            }\n        });\n\n        if (targetKey == activeKey) {\n            activeKey = panes[0].key;\n        }\n        this.setState({ panes, activeKey });\n    }\n\n    onClose = (targetKey) => {\n        this.remove(targetKey);\n    }\n\n    onChange = (activeKey) => {\n        this.setState({ activeKey });\n    }\n\n    addTabpane = () => {\n        this.setState(prevState => {\n            const { panes } = prevState;\n            panes.push({ tab: 'new tab', key: Math.random(), closeable: true });\n            return { panes };\n        });\n    }\n\n    render() {\n        const state = this.state;\n        return (\n            <div>\n                <Button onClick={this.addTabpane} size=\"large\" type=\"primary\"><Icon type=\"add\"/> New Tab</Button>\n\n                <Tab\n                    shape=\"wrapped\"\n                    activeKey={state.activeKey}\n                    onChange={this.onChange}\n                    onClose={this.onClose}\n                    className=\"custom-tab\">\n                    {state.panes.map(item => <Tab.Item title={item.tab} key={item.key} closeable={item.closeable}>{item.tab} content</Tab.Item>)}\n                </Tab>\n            </div>\n        );\n    }\n}\n\nReactDOM.render(<CloseableTab />, mountNode);\n","css":".custom-tab {\n    margin-top: 14px;\n}\n\n.next-tabs-content {\n    color: #333;\n    font-size: 12px;\n    padding: 12px;\n}\n"},"body":"\n````jsx\nimport { Tab, Button, Icon } from '@alifd/next';\n\nconst panes = [\n    { tab: 'Mail', key: 1, closeable: false },\n    { tab: 'Message', key: 2, closeable: true },\n    { tab: 'Setting', key: 3, closeable: true },\n    { tab: 'Unread', key: 4, closeable: true }\n];\n\nclass CloseableTab extends React.Component {\n\n    constructor(props) {\n        super(props);\n        this.state = {\n            panes: panes,\n            activeKey: panes[0].key\n        };\n    }\n\n    /*eslint-disable eqeqeq */\n    remove(targetKey) {\n        let activeKey = this.state.activeKey;\n        const panes = [];\n        this.state.panes.forEach(pane => {\n            if (pane.key != targetKey) {\n                panes.push(pane);\n            }\n        });\n\n        if (targetKey == activeKey) {\n            activeKey = panes[0].key;\n        }\n        this.setState({ panes, activeKey });\n    }\n\n    onClose = (targetKey) => {\n        this.remove(targetKey);\n    }\n\n    onChange = (activeKey) => {\n        this.setState({ activeKey });\n    }\n\n    addTabpane = () => {\n        this.setState(prevState => {\n            const { panes } = prevState;\n            panes.push({ tab: 'new tab', key: Math.random(), closeable: true });\n            return { panes };\n        });\n    }\n\n    render() {\n        const state = this.state;\n        return (\n            <div>\n                <Button onClick={this.addTabpane} size=\"large\" type=\"primary\"><Icon type=\"add\"/> New Tab</Button>\n\n                <Tab\n                    shape=\"wrapped\"\n                    activeKey={state.activeKey}\n                    onChange={this.onChange}\n                    onClose={this.onClose}\n                    className=\"custom-tab\">\n                    {state.panes.map(item => <Tab.Item title={item.tab} key={item.key} closeable={item.closeable}>{item.tab} content</Tab.Item>)}\n                </Tab>\n            </div>\n        );\n    }\n}\n\nReactDOM.render(<CloseableTab />, mountNode);\n````\n\n````css\n.custom-tab {\n    margin-top: 14px;\n}\n\n.next-tabs-content {\n    color: #333;\n    font-size: 12px;\n    padding: 12px;\n}\n````","html":"<script>(function(){'use strict';\n\nvar _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if (\"value\" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();\n\nvar _next = require('@alifd/next');\n\nfunction _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError(\"Cannot call a class as a function\"); } }\n\nfunction _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError(\"this hasn't been initialised - super() hasn't been called\"); } return call && (typeof call === \"object\" || typeof call === \"function\") ? call : self; }\n\nfunction _inherits(subClass, superClass) { if (typeof superClass !== \"function\" && superClass !== null) { throw new TypeError(\"Super expression must either be null or a function, not \" + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }\n\nvar panes = [{ tab: 'Mail', key: 1, closeable: false }, { tab: 'Message', key: 2, closeable: true }, { tab: 'Setting', key: 3, closeable: true }, { tab: 'Unread', key: 4, closeable: true }];\n\nvar CloseableTab = function (_React$Component) {\n    _inherits(CloseableTab, _React$Component);\n\n    function CloseableTab(props) {\n        _classCallCheck(this, CloseableTab);\n\n        var _this = _possibleConstructorReturn(this, (CloseableTab.__proto__ || Object.getPrototypeOf(CloseableTab)).call(this, props));\n\n        _this.onClose = function (targetKey) {\n            _this.remove(targetKey);\n        };\n\n        _this.onChange = function (activeKey) {\n            _this.setState({ activeKey: activeKey });\n        };\n\n        _this.addTabpane = function () {\n            _this.setState(function (prevState) {\n                var panes = prevState.panes;\n\n                panes.push({ tab: 'new tab', key: Math.random(), closeable: true });\n                return { panes: panes };\n            });\n        };\n\n        _this.state = {\n            panes: panes,\n            activeKey: panes[0].key\n        };\n        return _this;\n    }\n\n    /*eslint-disable eqeqeq */\n\n\n    _createClass(CloseableTab, [{\n        key: 'remove',\n        value: function remove(targetKey) {\n            var activeKey = this.state.activeKey;\n            var panes = [];\n            this.state.panes.forEach(function (pane) {\n                if (pane.key != targetKey) {\n                    panes.push(pane);\n                }\n            });\n\n            if (targetKey == activeKey) {\n                activeKey = panes[0].key;\n            }\n            this.setState({ panes: panes, activeKey: activeKey });\n        }\n    }, {\n        key: 'render',\n        value: function render() {\n            var state = this.state;\n            return React.createElement(\n                'div',\n                null,\n                React.createElement(\n                    _next.Button,\n                    { onClick: this.addTabpane, size: 'large', type: 'primary' },\n                    React.createElement(_next.Icon, { type: 'add' }),\n                    ' New Tab'\n                ),\n                React.createElement(\n                    _next.Tab,\n                    {\n                        shape: 'wrapped',\n                        activeKey: state.activeKey,\n                        onChange: this.onChange,\n                        onClose: this.onClose,\n                        className: 'custom-tab' },\n                    state.panes.map(function (item) {\n                        return React.createElement(\n                            _next.Tab.Item,\n                            { title: item.tab, key: item.key, closeable: item.closeable },\n                            item.tab,\n                            ' content'\n                        );\n                    })\n                )\n            );\n        }\n    }]);\n\n    return CloseableTab;\n}(React.Component);\n\nReactDOM.render(React.createElement(CloseableTab, null), mountNode);})()</script><div class=\"highlight\"><pre class=\"language-jsx\"><code class=\"language-jsx\"><span class=\"token keyword\">import</span> <span class=\"token punctuation\">{</span> Tab<span class=\"token punctuation\">,</span> Button<span class=\"token punctuation\">,</span> Icon <span class=\"token punctuation\">}</span> <span class=\"token keyword\">from</span> <span class=\"token string\">'@alifd/next'</span><span class=\"token punctuation\">;</span>\n\n<span class=\"token keyword\">const</span> panes <span class=\"token operator\">=</span> <span class=\"token punctuation\">[</span>\n    <span class=\"token punctuation\">{</span> tab<span class=\"token punctuation\">:</span> <span class=\"token string\">'Mail'</span><span class=\"token punctuation\">,</span> key<span class=\"token punctuation\">:</span> <span class=\"token number\">1</span><span class=\"token punctuation\">,</span> closeable<span class=\"token punctuation\">:</span> <span class=\"token boolean\">false</span> <span class=\"token punctuation\">}</span><span class=\"token punctuation\">,</span>\n    <span class=\"token punctuation\">{</span> tab<span class=\"token punctuation\">:</span> <span class=\"token string\">'Message'</span><span class=\"token punctuation\">,</span> key<span class=\"token punctuation\">:</span> <span class=\"token number\">2</span><span class=\"token punctuation\">,</span> closeable<span class=\"token punctuation\">:</span> <span class=\"token boolean\">true</span> <span class=\"token punctuation\">}</span><span class=\"token punctuation\">,</span>\n    <span class=\"token punctuation\">{</span> tab<span class=\"token punctuation\">:</span> <span class=\"token string\">'Setting'</span><span class=\"token punctuation\">,</span> key<span class=\"token punctuation\">:</span> <span class=\"token number\">3</span><span class=\"token punctuation\">,</span> closeable<span class=\"token punctuation\">:</span> <span class=\"token boolean\">true</span> <span class=\"token punctuation\">}</span><span class=\"token punctuation\">,</span>\n    <span class=\"token punctuation\">{</span> tab<span class=\"token punctuation\">:</span> <span class=\"token string\">'Unread'</span><span class=\"token punctuation\">,</span> key<span class=\"token punctuation\">:</span> <span class=\"token number\">4</span><span class=\"token punctuation\">,</span> closeable<span class=\"token punctuation\">:</span> <span class=\"token boolean\">true</span> <span class=\"token punctuation\">}</span>\n<span class=\"token punctuation\">]</span><span class=\"token punctuation\">;</span>\n\n<span class=\"token keyword\">class</span> <span class=\"token class-name\">CloseableTab</span> <span class=\"token keyword\">extends</span> <span class=\"token class-name\">React<span class=\"token punctuation\">.</span>Component</span> <span class=\"token punctuation\">{</span>\n\n    <span class=\"token function\">constructor</span><span class=\"token punctuation\">(</span><span class=\"token parameter\">props</span><span class=\"token punctuation\">)</span> <span class=\"token punctuation\">{</span>\n        <span class=\"token keyword\">super</span><span class=\"token punctuation\">(</span>props<span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n        <span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span>state <span class=\"token operator\">=</span> <span class=\"token punctuation\">{</span>\n            panes<span class=\"token punctuation\">:</span> panes<span class=\"token punctuation\">,</span>\n            activeKey<span class=\"token punctuation\">:</span> panes<span class=\"token punctuation\">[</span><span class=\"token number\">0</span><span class=\"token punctuation\">]</span><span class=\"token punctuation\">.</span>key\n        <span class=\"token punctuation\">}</span><span class=\"token punctuation\">;</span>\n    <span class=\"token punctuation\">}</span>\n\n    <span class=\"token comment\">/*eslint-disable eqeqeq */</span>\n    <span class=\"token function\">remove</span><span class=\"token punctuation\">(</span><span class=\"token parameter\">targetKey</span><span class=\"token punctuation\">)</span> <span class=\"token punctuation\">{</span>\n        <span class=\"token keyword\">let</span> activeKey <span class=\"token operator\">=</span> <span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span>state<span class=\"token punctuation\">.</span>activeKey<span class=\"token punctuation\">;</span>\n        <span class=\"token keyword\">const</span> panes <span class=\"token operator\">=</span> <span class=\"token punctuation\">[</span><span class=\"token punctuation\">]</span><span class=\"token punctuation\">;</span>\n        <span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span>state<span class=\"token punctuation\">.</span>panes<span class=\"token punctuation\">.</span><span class=\"token function\">forEach</span><span class=\"token punctuation\">(</span><span class=\"token parameter\">pane</span> <span class=\"token operator\">=></span> <span class=\"token punctuation\">{</span>\n            <span class=\"token keyword\">if</span> <span class=\"token punctuation\">(</span>pane<span class=\"token punctuation\">.</span>key <span class=\"token operator\">!=</span> targetKey<span class=\"token punctuation\">)</span> <span class=\"token punctuation\">{</span>\n                panes<span class=\"token punctuation\">.</span><span class=\"token function\">push</span><span class=\"token punctuation\">(</span>pane<span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n            <span class=\"token punctuation\">}</span>\n        <span class=\"token punctuation\">}</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n\n        <span class=\"token keyword\">if</span> <span class=\"token punctuation\">(</span>targetKey <span class=\"token operator\">==</span> activeKey<span class=\"token punctuation\">)</span> <span class=\"token punctuation\">{</span>\n            activeKey <span class=\"token operator\">=</span> panes<span class=\"token punctuation\">[</span><span class=\"token number\">0</span><span class=\"token punctuation\">]</span><span class=\"token punctuation\">.</span>key<span class=\"token punctuation\">;</span>\n        <span class=\"token punctuation\">}</span>\n        <span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span><span class=\"token function\">setState</span><span class=\"token punctuation\">(</span><span class=\"token punctuation\">{</span> panes<span class=\"token punctuation\">,</span> activeKey <span class=\"token punctuation\">}</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n    <span class=\"token punctuation\">}</span>\n\n    <span class=\"token function-variable function\">onClose</span> <span class=\"token operator\">=</span> <span class=\"token punctuation\">(</span><span class=\"token parameter\">targetKey</span><span class=\"token punctuation\">)</span> <span class=\"token operator\">=></span> <span class=\"token punctuation\">{</span>\n        <span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span><span class=\"token function\">remove</span><span class=\"token punctuation\">(</span>targetKey<span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n    <span class=\"token punctuation\">}</span>\n\n    <span class=\"token function-variable function\">onChange</span> <span class=\"token operator\">=</span> <span class=\"token punctuation\">(</span><span class=\"token parameter\">activeKey</span><span class=\"token punctuation\">)</span> <span class=\"token operator\">=></span> <span class=\"token punctuation\">{</span>\n        <span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span><span class=\"token function\">setState</span><span class=\"token punctuation\">(</span><span class=\"token punctuation\">{</span> activeKey <span class=\"token punctuation\">}</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n    <span class=\"token punctuation\">}</span>\n\n    <span class=\"token function-variable function\">addTabpane</span> <span class=\"token operator\">=</span> <span class=\"token punctuation\">(</span><span class=\"token punctuation\">)</span> <span class=\"token operator\">=></span> <span class=\"token punctuation\">{</span>\n        <span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span><span class=\"token function\">setState</span><span class=\"token punctuation\">(</span><span class=\"token parameter\">prevState</span> <span class=\"token operator\">=></span> <span class=\"token punctuation\">{</span>\n            <span class=\"token keyword\">const</span> <span class=\"token punctuation\">{</span> panes <span class=\"token punctuation\">}</span> <span class=\"token operator\">=</span> prevState<span class=\"token punctuation\">;</span>\n            panes<span class=\"token punctuation\">.</span><span class=\"token function\">push</span><span class=\"token punctuation\">(</span><span class=\"token punctuation\">{</span> tab<span class=\"token punctuation\">:</span> <span class=\"token string\">'new tab'</span><span class=\"token punctuation\">,</span> key<span class=\"token punctuation\">:</span> Math<span class=\"token punctuation\">.</span><span class=\"token function\">random</span><span class=\"token punctuation\">(</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">,</span> closeable<span class=\"token punctuation\">:</span> <span class=\"token boolean\">true</span> <span class=\"token punctuation\">}</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n            <span class=\"token keyword\">return</span> <span class=\"token punctuation\">{</span> panes <span class=\"token punctuation\">}</span><span class=\"token punctuation\">;</span>\n        <span class=\"token punctuation\">}</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n    <span class=\"token punctuation\">}</span>\n\n    <span class=\"token function\">render</span><span class=\"token punctuation\">(</span><span class=\"token punctuation\">)</span> <span class=\"token punctuation\">{</span>\n        <span class=\"token keyword\">const</span> state <span class=\"token operator\">=</span> <span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span>state<span class=\"token punctuation\">;</span>\n        <span class=\"token keyword\">return</span> <span class=\"token punctuation\">(</span>\n            <span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span>div</span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Button</span></span> <span class=\"token attr-name\">onClick</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span>addTabpane<span class=\"token punctuation\">}</span></span> <span class=\"token attr-name\">size</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>large<span class=\"token punctuation\">\"</span></span> <span class=\"token attr-name\">type</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>primary<span class=\"token punctuation\">\"</span></span><span class=\"token punctuation\">></span></span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Icon</span></span> <span class=\"token attr-name\">type</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>add<span class=\"token punctuation\">\"</span></span><span class=\"token punctuation\">/></span></span><span class=\"token plain-text\"> New Tab</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">Button</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n\n                </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Tab</span></span>\n                    <span class=\"token attr-name\">shape</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>wrapped<span class=\"token punctuation\">\"</span></span>\n                    <span class=\"token attr-name\">activeKey</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span>state<span class=\"token punctuation\">.</span>activeKey<span class=\"token punctuation\">}</span></span>\n                    <span class=\"token attr-name\">onChange</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span>onChange<span class=\"token punctuation\">}</span></span>\n                    <span class=\"token attr-name\">onClose</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span>onClose<span class=\"token punctuation\">}</span></span>\n                    <span class=\"token attr-name\">className</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>custom-tab<span class=\"token punctuation\">\"</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                    </span><span class=\"token punctuation\">{</span>state<span class=\"token punctuation\">.</span>panes<span class=\"token punctuation\">.</span><span class=\"token function\">map</span><span class=\"token punctuation\">(</span><span class=\"token parameter\">item</span> <span class=\"token operator\">=></span> <span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Tab.Item</span></span> <span class=\"token attr-name\">title</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span>item<span class=\"token punctuation\">.</span>tab<span class=\"token punctuation\">}</span></span> <span class=\"token attr-name\">key</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span>item<span class=\"token punctuation\">.</span>key<span class=\"token punctuation\">}</span></span> <span class=\"token attr-name\">closeable</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span>item<span class=\"token punctuation\">.</span>closeable<span class=\"token punctuation\">}</span></span><span class=\"token punctuation\">></span></span><span class=\"token punctuation\">{</span>item<span class=\"token punctuation\">.</span>tab<span class=\"token punctuation\">}</span><span class=\"token plain-text\"> content</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">Tab.Item</span></span><span class=\"token punctuation\">></span></span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">}</span><span class=\"token plain-text\">\n                </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">Tab</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n            </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span>div</span><span class=\"token punctuation\">></span></span>\n        <span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n    <span class=\"token punctuation\">}</span>\n<span class=\"token punctuation\">}</span>\n\nReactDOM<span class=\"token punctuation\">.</span><span class=\"token function\">render</span><span class=\"token punctuation\">(</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">CloseableTab</span></span> <span class=\"token punctuation\">/></span></span><span class=\"token punctuation\">,</span> mountNode<span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span></code></pre></div><style type=\"text/css\">.custom-tab {\n    margin-top: 14px;\n}\n\n.next-tabs-content {\n    color: #333;\n    font-size: 12px;\n    padding: 12px;\n}</style><div class=\"highlight\"><pre class=\"language-css\"><code class=\"language-css\"><span class=\"token selector\">.custom-tab</span> <span class=\"token punctuation\">{</span>\n    <span class=\"token property\">margin-top</span><span class=\"token punctuation\">:</span> 14px<span class=\"token punctuation\">;</span>\n<span class=\"token punctuation\">}</span>\n\n<span class=\"token selector\">.next-tabs-content</span> <span class=\"token punctuation\">{</span>\n    <span class=\"token property\">color</span><span class=\"token punctuation\">:</span> #333<span class=\"token punctuation\">;</span>\n    <span class=\"token property\">font-size</span><span class=\"token punctuation\">:</span> 12px<span class=\"token punctuation\">;</span>\n    <span class=\"token property\">padding</span><span class=\"token punctuation\">:</span> 12px<span class=\"token punctuation\">;</span>\n<span class=\"token punctuation\">}</span></code></pre></div>"}