{"title":"Editable table","meta":{"title":"Editable table","description":"\n<p>Editable table</p>\n","order":"23"},"codes":{"jsx":"import { Table, Input } from '@alifd/next';\n\nconst result = [{\n    id: '001',\n    time: 1951,\n    title: {name: 'The Old Man and the Sea'},\n}, {\n    id: '002',\n    time: 1925,\n    title: {name: 'the great gatsby'},\n}, {\n    id: '003',\n    time: 1719,\n    title: {name: 'The adventures of Robinson Crusoe'},\n}];\n\n\nclass EditablePane extends React.Component {\n\n    constructor(props) {\n        super(props);\n        this.state = {\n            cellTitle: props.defaultTitle,\n            editable: false\n        };\n    }\n\n    componentWillReceiveProps(nextProps) {\n        if (nextProps.defaultTitle !== this.state.cellTitle) {\n            this.setState({\n                cellTitle: nextProps.defaultTitle\n            });\n        }\n    }\n\n    onKeyDown = (e) => {\n        const { keyCode } = e;\n        // Stop bubble up the events of keyUp, keyDown, keyLeft, and keyRight\n        if (keyCode > 36 && keyCode < 41) {\n            e.stopPropagation();\n        }\n    }\n\n    onBlur = (e) => {\n        this.setState({\n            editable: false,\n            cellTitle: e.target.value\n        });\n    }\n\n    onDblClick = () => {\n        this.setState({\n            editable: true\n        });\n    }\n\n    render() {\n        const { cellTitle, editable } = this.state;\n        if (editable) {\n            return <Input autoFocus defaultValue={cellTitle} onKeyDown={this.onKeyDown} onBlur={this.onBlur} />;\n        }\n        return <span onDoubleClick={this.onDblClick}>{cellTitle}</span>;\n    }\n}\n\n\nclass Demo extends React.Component {\n    constructor(props) {\n        super(props);\n\n        this.state = {\n            dataSource: result,\n            id:''\n        };\n    }\n    renderCell = (value, index, record) => {\n        return <EditablePane defaultTitle={value}/>;\n    }\n\n    render() {\n        return (<div>\n            <Table dataSource={this.state.dataSource} >\n                <Table.Column title=\"Id\" dataIndex=\"id\"/>\n                <Table.Column title=\"Title\" dataIndex=\"title.name\" cell={this.renderCell}/>\n                <Table.Column title=\"Time\" dataIndex=\"time\"/>\n            </Table>\n        </div>);\n    }\n}\nReactDOM.render(<Demo />, mountNode);\n"},"body":"\n````jsx\nimport { Table, Input } from '@alifd/next';\n\nconst result = [{\n    id: '001',\n    time: 1951,\n    title: {name: 'The Old Man and the Sea'},\n}, {\n    id: '002',\n    time: 1925,\n    title: {name: 'the great gatsby'},\n}, {\n    id: '003',\n    time: 1719,\n    title: {name: 'The adventures of Robinson Crusoe'},\n}];\n\n\nclass EditablePane extends React.Component {\n\n    constructor(props) {\n        super(props);\n        this.state = {\n            cellTitle: props.defaultTitle,\n            editable: false\n        };\n    }\n\n    componentWillReceiveProps(nextProps) {\n        if (nextProps.defaultTitle !== this.state.cellTitle) {\n            this.setState({\n                cellTitle: nextProps.defaultTitle\n            });\n        }\n    }\n\n    onKeyDown = (e) => {\n        const { keyCode } = e;\n        // Stop bubble up the events of keyUp, keyDown, keyLeft, and keyRight\n        if (keyCode > 36 && keyCode < 41) {\n            e.stopPropagation();\n        }\n    }\n\n    onBlur = (e) => {\n        this.setState({\n            editable: false,\n            cellTitle: e.target.value\n        });\n    }\n\n    onDblClick = () => {\n        this.setState({\n            editable: true\n        });\n    }\n\n    render() {\n        const { cellTitle, editable } = this.state;\n        if (editable) {\n            return <Input autoFocus defaultValue={cellTitle} onKeyDown={this.onKeyDown} onBlur={this.onBlur} />;\n        }\n        return <span onDoubleClick={this.onDblClick}>{cellTitle}</span>;\n    }\n}\n\n\nclass Demo extends React.Component {\n    constructor(props) {\n        super(props);\n\n        this.state = {\n            dataSource: result,\n            id:''\n        };\n    }\n    renderCell = (value, index, record) => {\n        return <EditablePane defaultTitle={value}/>;\n    }\n\n    render() {\n        return (<div>\n            <Table dataSource={this.state.dataSource} >\n                <Table.Column title=\"Id\" dataIndex=\"id\"/>\n                <Table.Column title=\"Title\" dataIndex=\"title.name\" cell={this.renderCell}/>\n                <Table.Column title=\"Time\" dataIndex=\"time\"/>\n            </Table>\n        </div>);\n    }\n}\nReactDOM.render(<Demo />, mountNode);\n````","html":"<script>(function(){'use strict';\n\nvar _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if (\"value\" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();\n\nvar _next = require('@alifd/next');\n\nfunction _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError(\"Cannot call a class as a function\"); } }\n\nfunction _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError(\"this hasn't been initialised - super() hasn't been called\"); } return call && (typeof call === \"object\" || typeof call === \"function\") ? call : self; }\n\nfunction _inherits(subClass, superClass) { if (typeof superClass !== \"function\" && superClass !== null) { throw new TypeError(\"Super expression must either be null or a function, not \" + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }\n\nvar result = [{\n    id: '001',\n    time: 1951,\n    title: { name: 'The Old Man and the Sea' }\n}, {\n    id: '002',\n    time: 1925,\n    title: { name: 'the great gatsby' }\n}, {\n    id: '003',\n    time: 1719,\n    title: { name: 'The adventures of Robinson Crusoe' }\n}];\n\nvar EditablePane = function (_React$Component) {\n    _inherits(EditablePane, _React$Component);\n\n    function EditablePane(props) {\n        _classCallCheck(this, EditablePane);\n\n        var _this = _possibleConstructorReturn(this, (EditablePane.__proto__ || Object.getPrototypeOf(EditablePane)).call(this, props));\n\n        _this.onKeyDown = function (e) {\n            var keyCode = e.keyCode;\n            // Stop bubble up the events of keyUp, keyDown, keyLeft, and keyRight\n\n            if (keyCode > 36 && keyCode < 41) {\n                e.stopPropagation();\n            }\n        };\n\n        _this.onBlur = function (e) {\n            _this.setState({\n                editable: false,\n                cellTitle: e.target.value\n            });\n        };\n\n        _this.onDblClick = function () {\n            _this.setState({\n                editable: true\n            });\n        };\n\n        _this.state = {\n            cellTitle: props.defaultTitle,\n            editable: false\n        };\n        return _this;\n    }\n\n    _createClass(EditablePane, [{\n        key: 'componentWillReceiveProps',\n        value: function componentWillReceiveProps(nextProps) {\n            if (nextProps.defaultTitle !== this.state.cellTitle) {\n                this.setState({\n                    cellTitle: nextProps.defaultTitle\n                });\n            }\n        }\n    }, {\n        key: 'render',\n        value: function render() {\n            var _state = this.state,\n                cellTitle = _state.cellTitle,\n                editable = _state.editable;\n\n            if (editable) {\n                return React.createElement(_next.Input, { autoFocus: true, defaultValue: cellTitle, onKeyDown: this.onKeyDown, onBlur: this.onBlur });\n            }\n            return React.createElement(\n                'span',\n                { onDoubleClick: this.onDblClick },\n                cellTitle\n            );\n        }\n    }]);\n\n    return EditablePane;\n}(React.Component);\n\nvar Demo = function (_React$Component2) {\n    _inherits(Demo, _React$Component2);\n\n    function Demo(props) {\n        _classCallCheck(this, Demo);\n\n        var _this2 = _possibleConstructorReturn(this, (Demo.__proto__ || Object.getPrototypeOf(Demo)).call(this, props));\n\n        _this2.renderCell = function (value, index, record) {\n            return React.createElement(EditablePane, { defaultTitle: value });\n        };\n\n        _this2.state = {\n            dataSource: result,\n            id: ''\n        };\n        return _this2;\n    }\n\n    _createClass(Demo, [{\n        key: 'render',\n        value: function render() {\n            return React.createElement(\n                'div',\n                null,\n                React.createElement(\n                    _next.Table,\n                    { dataSource: this.state.dataSource },\n                    React.createElement(_next.Table.Column, { title: 'Id', dataIndex: 'id' }),\n                    React.createElement(_next.Table.Column, { title: 'Title', dataIndex: 'title.name', cell: this.renderCell }),\n                    React.createElement(_next.Table.Column, { title: 'Time', dataIndex: 'time' })\n                )\n            );\n        }\n    }]);\n\n    return Demo;\n}(React.Component);\n\nReactDOM.render(React.createElement(Demo, null), mountNode);})()</script><div class=\"highlight\"><pre class=\"language-jsx\"><code class=\"language-jsx\"><span class=\"token keyword\">import</span> <span class=\"token punctuation\">{</span> Table<span class=\"token punctuation\">,</span> Input <span class=\"token punctuation\">}</span> <span class=\"token keyword\">from</span> <span class=\"token string\">'@alifd/next'</span><span class=\"token punctuation\">;</span>\n\n<span class=\"token keyword\">const</span> result <span class=\"token operator\">=</span> <span class=\"token punctuation\">[</span><span class=\"token punctuation\">{</span>\n    id<span class=\"token punctuation\">:</span> <span class=\"token string\">'001'</span><span class=\"token punctuation\">,</span>\n    time<span class=\"token punctuation\">:</span> <span class=\"token number\">1951</span><span class=\"token punctuation\">,</span>\n    title<span class=\"token punctuation\">:</span> <span class=\"token punctuation\">{</span>name<span class=\"token punctuation\">:</span> <span class=\"token string\">'The Old Man and the Sea'</span><span class=\"token punctuation\">}</span><span class=\"token punctuation\">,</span>\n<span class=\"token punctuation\">}</span><span class=\"token punctuation\">,</span> <span class=\"token punctuation\">{</span>\n    id<span class=\"token punctuation\">:</span> <span class=\"token string\">'002'</span><span class=\"token punctuation\">,</span>\n    time<span class=\"token punctuation\">:</span> <span class=\"token number\">1925</span><span class=\"token punctuation\">,</span>\n    title<span class=\"token punctuation\">:</span> <span class=\"token punctuation\">{</span>name<span class=\"token punctuation\">:</span> <span class=\"token string\">'the great gatsby'</span><span class=\"token punctuation\">}</span><span class=\"token punctuation\">,</span>\n<span class=\"token punctuation\">}</span><span class=\"token punctuation\">,</span> <span class=\"token punctuation\">{</span>\n    id<span class=\"token punctuation\">:</span> <span class=\"token string\">'003'</span><span class=\"token punctuation\">,</span>\n    time<span class=\"token punctuation\">:</span> <span class=\"token number\">1719</span><span class=\"token punctuation\">,</span>\n    title<span class=\"token punctuation\">:</span> <span class=\"token punctuation\">{</span>name<span class=\"token punctuation\">:</span> <span class=\"token string\">'The adventures of Robinson Crusoe'</span><span class=\"token punctuation\">}</span><span class=\"token punctuation\">,</span>\n<span class=\"token punctuation\">}</span><span class=\"token punctuation\">]</span><span class=\"token punctuation\">;</span>\n\n\n<span class=\"token keyword\">class</span> <span class=\"token class-name\">EditablePane</span> <span class=\"token keyword\">extends</span> <span class=\"token class-name\">React<span class=\"token punctuation\">.</span>Component</span> <span class=\"token punctuation\">{</span>\n\n    <span class=\"token function\">constructor</span><span class=\"token punctuation\">(</span><span class=\"token parameter\">props</span><span class=\"token punctuation\">)</span> <span class=\"token punctuation\">{</span>\n        <span class=\"token keyword\">super</span><span class=\"token punctuation\">(</span>props<span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n        <span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span>state <span class=\"token operator\">=</span> <span class=\"token punctuation\">{</span>\n            cellTitle<span class=\"token punctuation\">:</span> props<span class=\"token punctuation\">.</span>defaultTitle<span class=\"token punctuation\">,</span>\n            editable<span class=\"token punctuation\">:</span> <span class=\"token boolean\">false</span>\n        <span class=\"token punctuation\">}</span><span class=\"token punctuation\">;</span>\n    <span class=\"token punctuation\">}</span>\n\n    <span class=\"token function\">componentWillReceiveProps</span><span class=\"token punctuation\">(</span><span class=\"token parameter\">nextProps</span><span class=\"token punctuation\">)</span> <span class=\"token punctuation\">{</span>\n        <span class=\"token keyword\">if</span> <span class=\"token punctuation\">(</span>nextProps<span class=\"token punctuation\">.</span>defaultTitle <span class=\"token operator\">!==</span> <span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span>state<span class=\"token punctuation\">.</span>cellTitle<span class=\"token punctuation\">)</span> <span class=\"token punctuation\">{</span>\n            <span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span><span class=\"token function\">setState</span><span class=\"token punctuation\">(</span><span class=\"token punctuation\">{</span>\n                cellTitle<span class=\"token punctuation\">:</span> nextProps<span class=\"token punctuation\">.</span>defaultTitle\n            <span class=\"token punctuation\">}</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n        <span class=\"token punctuation\">}</span>\n    <span class=\"token punctuation\">}</span>\n\n    <span class=\"token function-variable function\">onKeyDown</span> <span class=\"token operator\">=</span> <span class=\"token punctuation\">(</span><span class=\"token parameter\">e</span><span class=\"token punctuation\">)</span> <span class=\"token operator\">=></span> <span class=\"token punctuation\">{</span>\n        <span class=\"token keyword\">const</span> <span class=\"token punctuation\">{</span> keyCode <span class=\"token punctuation\">}</span> <span class=\"token operator\">=</span> e<span class=\"token punctuation\">;</span>\n        <span class=\"token comment\">// Stop bubble up the events of keyUp, keyDown, keyLeft, and keyRight</span>\n        <span class=\"token keyword\">if</span> <span class=\"token punctuation\">(</span>keyCode <span class=\"token operator\">></span> <span class=\"token number\">36</span> <span class=\"token operator\">&amp;&amp;</span> keyCode <span class=\"token operator\">&lt;</span> <span class=\"token number\">41</span><span class=\"token punctuation\">)</span> <span class=\"token punctuation\">{</span>\n            e<span class=\"token punctuation\">.</span><span class=\"token function\">stopPropagation</span><span class=\"token punctuation\">(</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n        <span class=\"token punctuation\">}</span>\n    <span class=\"token punctuation\">}</span>\n\n    <span class=\"token function-variable function\">onBlur</span> <span class=\"token operator\">=</span> <span class=\"token punctuation\">(</span><span class=\"token parameter\">e</span><span class=\"token punctuation\">)</span> <span class=\"token operator\">=></span> <span class=\"token punctuation\">{</span>\n        <span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span><span class=\"token function\">setState</span><span class=\"token punctuation\">(</span><span class=\"token punctuation\">{</span>\n            editable<span class=\"token punctuation\">:</span> <span class=\"token boolean\">false</span><span class=\"token punctuation\">,</span>\n            cellTitle<span class=\"token punctuation\">:</span> e<span class=\"token punctuation\">.</span>target<span class=\"token punctuation\">.</span>value\n        <span class=\"token punctuation\">}</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n    <span class=\"token punctuation\">}</span>\n\n    <span class=\"token function-variable function\">onDblClick</span> <span class=\"token operator\">=</span> <span class=\"token punctuation\">(</span><span class=\"token punctuation\">)</span> <span class=\"token operator\">=></span> <span class=\"token punctuation\">{</span>\n        <span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span><span class=\"token function\">setState</span><span class=\"token punctuation\">(</span><span class=\"token punctuation\">{</span>\n            editable<span class=\"token punctuation\">:</span> <span class=\"token boolean\">true</span>\n        <span class=\"token punctuation\">}</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n    <span class=\"token punctuation\">}</span>\n\n    <span class=\"token function\">render</span><span class=\"token punctuation\">(</span><span class=\"token punctuation\">)</span> <span class=\"token punctuation\">{</span>\n        <span class=\"token keyword\">const</span> <span class=\"token punctuation\">{</span> cellTitle<span class=\"token punctuation\">,</span> editable <span class=\"token punctuation\">}</span> <span class=\"token operator\">=</span> <span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span>state<span class=\"token punctuation\">;</span>\n        <span class=\"token keyword\">if</span> <span class=\"token punctuation\">(</span>editable<span class=\"token punctuation\">)</span> <span class=\"token punctuation\">{</span>\n            <span class=\"token keyword\">return</span> <span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Input</span></span> <span class=\"token attr-name\">autoFocus</span> <span class=\"token attr-name\">defaultValue</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span>cellTitle<span class=\"token punctuation\">}</span></span> <span class=\"token attr-name\">onKeyDown</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span>onKeyDown<span class=\"token punctuation\">}</span></span> <span class=\"token attr-name\">onBlur</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span>onBlur<span class=\"token punctuation\">}</span></span> <span class=\"token punctuation\">/></span></span><span class=\"token punctuation\">;</span>\n        <span class=\"token punctuation\">}</span>\n        <span class=\"token keyword\">return</span> <span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span>span</span> <span class=\"token attr-name\">onDoubleClick</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span>onDblClick<span class=\"token punctuation\">}</span></span><span class=\"token punctuation\">></span></span><span class=\"token punctuation\">{</span>cellTitle<span class=\"token punctuation\">}</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span>span</span><span class=\"token punctuation\">></span></span><span class=\"token punctuation\">;</span>\n    <span class=\"token punctuation\">}</span>\n<span class=\"token punctuation\">}</span>\n\n\n<span class=\"token keyword\">class</span> <span class=\"token class-name\">Demo</span> <span class=\"token keyword\">extends</span> <span class=\"token class-name\">React<span class=\"token punctuation\">.</span>Component</span> <span class=\"token punctuation\">{</span>\n    <span class=\"token function\">constructor</span><span class=\"token punctuation\">(</span><span class=\"token parameter\">props</span><span class=\"token punctuation\">)</span> <span class=\"token punctuation\">{</span>\n        <span class=\"token keyword\">super</span><span class=\"token punctuation\">(</span>props<span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n\n        <span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span>state <span class=\"token operator\">=</span> <span class=\"token punctuation\">{</span>\n            dataSource<span class=\"token punctuation\">:</span> result<span class=\"token punctuation\">,</span>\n            id<span class=\"token punctuation\">:</span><span class=\"token string\">''</span>\n        <span class=\"token punctuation\">}</span><span class=\"token punctuation\">;</span>\n    <span class=\"token punctuation\">}</span>\n    <span class=\"token function-variable function\">renderCell</span> <span class=\"token operator\">=</span> <span class=\"token punctuation\">(</span><span class=\"token parameter\">value<span class=\"token punctuation\">,</span> index<span class=\"token punctuation\">,</span> record</span><span class=\"token punctuation\">)</span> <span class=\"token operator\">=></span> <span class=\"token punctuation\">{</span>\n        <span class=\"token keyword\">return</span> <span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">EditablePane</span></span> <span class=\"token attr-name\">defaultTitle</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span>value<span class=\"token punctuation\">}</span></span><span class=\"token punctuation\">/></span></span><span class=\"token punctuation\">;</span>\n    <span class=\"token punctuation\">}</span>\n\n    <span class=\"token function\">render</span><span class=\"token punctuation\">(</span><span class=\"token punctuation\">)</span> <span class=\"token punctuation\">{</span>\n        <span class=\"token keyword\">return</span> <span class=\"token punctuation\">(</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span>div</span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n            </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Table</span></span> <span class=\"token attr-name\">dataSource</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span>state<span class=\"token punctuation\">.</span>dataSource<span class=\"token punctuation\">}</span></span> <span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Table.Column</span></span> <span class=\"token attr-name\">title</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>Id<span class=\"token punctuation\">\"</span></span> <span class=\"token attr-name\">dataIndex</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>id<span class=\"token punctuation\">\"</span></span><span class=\"token punctuation\">/></span></span><span class=\"token plain-text\">\n                </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Table.Column</span></span> <span class=\"token attr-name\">title</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>Title<span class=\"token punctuation\">\"</span></span> <span class=\"token attr-name\">dataIndex</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>title.name<span class=\"token punctuation\">\"</span></span> <span class=\"token attr-name\">cell</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span>renderCell<span class=\"token punctuation\">}</span></span><span class=\"token punctuation\">/></span></span><span class=\"token plain-text\">\n                </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Table.Column</span></span> <span class=\"token attr-name\">title</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>Time<span class=\"token punctuation\">\"</span></span> <span class=\"token attr-name\">dataIndex</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>time<span class=\"token punctuation\">\"</span></span><span class=\"token punctuation\">/></span></span><span class=\"token plain-text\">\n            </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">Table</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n        </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span>div</span><span class=\"token punctuation\">></span></span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n    <span class=\"token punctuation\">}</span>\n<span class=\"token punctuation\">}</span>\nReactDOM<span class=\"token punctuation\">.</span><span class=\"token function\">render</span><span class=\"token punctuation\">(</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Demo</span></span> <span class=\"token punctuation\">/></span></span><span class=\"token punctuation\">,</span> mountNode<span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span></code></pre></div>"}