{"meta":"<h2 id=\"guide\">Guide<a href=\"#guide\" class=\"anchor\">#</a></h2><h3 id=\"when-to-use\">When To Use<a href=\"#when-to-use\" class=\"anchor\">#</a></h3><p>A TimePicker is used to input a time by displaying an interface the user can interact with. The TimePicker panel only support 24h clock. Setting <code>format</code> with:</p>\n<table>\n<thead>\n<tr>\n<th>Format</th>\n<th>Example</th>\n<th>Description</th>\n</tr>\n</thead>\n<tbody>\n<tr>\n<td><code>H HH</code></td>\n<td><code>0..23</code></td>\n<td>Hour&#xFF0C;24h</td>\n</tr>\n<tr>\n<td><code>m mm</code></td>\n<td><code>0..59</code></td>\n<td>Minute</td>\n</tr>\n<tr>\n<td><code>s ss</code></td>\n<td><code>0..59</code></td>\n<td>Second</td>\n</tr>\n</tbody>\n</table>\n<p>By default, TimePicker using moment instance as input value, which is the suggestion way. In addition, input value as string is also supported, e.g. &quot;12:00:00&quot;. The type of the first parameter in the callback of <code>onChange</code> is based on the input value.</p>\n<h2 id=\"api\">API<a href=\"#api\" class=\"anchor\">#</a></h2>","api":"<h3 id=\"timepicker\">TimePicker<a href=\"#timepicker\" class=\"anchor\">#</a></h3><table>\n<thead>\n<tr>\n<th>Param</th>\n<th>Descripiton</th>\n<th>Type</th>\n<th>Default Value</th>\n</tr>\n</thead>\n<tbody>\n<tr>\n<td>label</td>\n<td>Inset label of input</td>\n<td>ReactNode</td>\n<td>-</td>\n</tr>\n<tr>\n<td>size</td>\n<td>Size of input <br><br><strong>option</strong>:<br>&apos;small&apos;, &apos;medium&apos;, &apos;large&apos;</td>\n<td>Enum</td>\n<td>&apos;medium&apos;</td>\n</tr>\n<tr>\n<td>state</td>\n<td>State of input <br><br><strong>option</strong>:<br>&apos;error&apos;, &apos;success&apos;</td>\n<td>Enum</td>\n<td>-</td>\n</tr>\n<tr>\n<td>placeholder</td>\n<td>Placeholder of input</td>\n<td>String</td>\n<td>-</td>\n</tr>\n<tr>\n<td>value</td>\n<td>Time value</td>\n<td>custom</td>\n<td>-</td>\n</tr>\n<tr>\n<td>defaultValue</td>\n<td>Defualt time value</td>\n<td>custom</td>\n<td>-</td>\n</tr>\n<tr>\n<td>hasClear</td>\n<td>Has clear icon</td>\n<td>Boolean</td>\n<td>true</td>\n</tr>\n<tr>\n<td>format</td>\n<td>time format<br><a href=\"https://momentjs.com/docs/#/parsing/string-format/\" target=\"_blank\">https://momentjs.com/docs/#/parsing/string-format/</a></td>\n<td>String</td>\n<td>&apos;HH:mm:ss&apos;</td>\n</tr>\n<tr>\n<td>hourStep</td>\n<td>Step of hour</td>\n<td>Number</td>\n<td>-</td>\n</tr>\n<tr>\n<td>minuteStep</td>\n<td>Step of minute</td>\n<td>Number</td>\n<td>-</td>\n</tr>\n<tr>\n<td>secondStep</td>\n<td>Step of second</td>\n<td>Number</td>\n<td>-</td>\n</tr>\n<tr>\n<td>disabledHours</td>\n<td>Function to disable hours <br><br><strong>signature</strong>:<br>Function(index: Number) =&gt; Boolean<br><strong>paramter</strong>:<br><em>index</em>: {Number} hour 0 - 23<br><strong>return</strong>:<br>{Boolean} if disabled<br></td>\n<td>Function</td>\n<td>-</td>\n</tr>\n<tr>\n<td>disabledMinutes</td>\n<td>Function to disable minutes <br><br><strong>signature</strong>:<br>Function(index: Number) =&gt; Boolean<br><strong>paramter</strong>:<br><em>index</em>: {Number} minute 0 - 59<br><strong>return</strong>:<br>{Boolean} if disabled<br></td>\n<td>Function</td>\n<td>-</td>\n</tr>\n<tr>\n<td>disabledSeconds</td>\n<td>Function to disable seconds <br><br><strong>signature</strong>:<br>Function(index: Number) =&gt; Boolean<br><strong>paramter</strong>:<br><em>index</em>: {Number} second 0 - 59<br><strong>return</strong>:<br>{Boolean} if disabled<br></td>\n<td>Function</td>\n<td>-</td>\n</tr>\n<tr>\n<td>renderTimeMenuItems</td>\n<td>Render time menu<br>[{<br> label: &apos;01&apos;,<br> value: 1<br>}]<br><br><strong>&#x7B7E;&#x540D;</strong>:<br>Function(list: Array, mode: String, value: moment) =&gt; Array<br><strong>&#x53C2;&#x6570;</strong>:<br><em>list</em>: {Array} default time menu list<br><em>mode</em>: {String} menu type: hour, minute, second<br><em>value</em>: {moment} value <br><strong>&#x8FD4;&#x56DE;&#x503C;</strong>:<br>{Array}<br></td>\n</tr>\n<tr>\n<td>visible</td>\n<td>Visible state of popup</td>\n<td>Boolean</td>\n<td>-</td>\n</tr>\n<tr>\n<td>defaultVisible</td>\n<td>Default visible state of popup</td>\n<td>Boolean</td>\n<td>-</td>\n</tr>\n<tr>\n<td>popupContainer</td>\n<td>Container of popup<br><br><strong>signature</strong>:<br>Function(target: Object) =&gt; ReactNode<br><strong>paramter</strong>:<br><em>target</em>: {Object} target container<br><strong>return</strong>:<br>{ReactNode} container element<br></td>\n<td>Function</td>\n<td>-</td>\n</tr>\n<tr>\n<td>popupAlign</td>\n<td>Align of popup, @see Overylay doc for detail</td>\n<td>String</td>\n<td>&apos;tl tl&apos;</td>\n</tr>\n<tr>\n<td>popupTriggerType</td>\n<td>Trigger type of popup<br><br><strong>option</strong>:<br>&apos;click&apos;, &apos;hover&apos;</td>\n<td>Enum</td>\n<td>&apos;click&apos;</td>\n</tr>\n<tr>\n<td>onVisibleChange</td>\n<td>Callback when visible changes<br><br><strong>signature</strong>:<br>Function(visible: Boolean, reason: String) =&gt; void<br><strong>paramter</strong>:<br><em>visible</em>: {Boolean} visible of popup<br><em>reason</em>: {String} reason to change visible</td>\n<td>Function</td>\n<td>func.noop</td>\n</tr>\n<tr>\n<td>popupStyle</td>\n<td>Custom style of popup</td>\n<td>Object</td>\n<td>-</td>\n</tr>\n<tr>\n<td>popupClassName</td>\n<td>Custom className of popup</td>\n<td>String</td>\n<td>-</td>\n</tr>\n<tr>\n<td>popupProps</td>\n<td>Props of popup</td>\n<td>Object</td>\n<td>-</td>\n</tr>\n<tr>\n<td>followTrigger</td>\n<td>follow Trigger or not</td>\n<td>Boolean</td>\n<td>-</td>\n</tr>\n<tr>\n<td>disabled</td>\n<td>Disable the picker</td>\n<td>Boolean</td>\n<td>false</td>\n</tr>\n<tr>\n<td>onChange</td>\n<td>Callback when date changes<br><br><strong>signature</strong>:<br>Function(value: Object/String) =&gt; void<br><strong>paramter</strong>:<br><em>value</em>: {Object/String} date value</td>\n<td>Function</td>\n<td>func.noop</td>\n</tr>\n</tbody>\n</table>\n<h2 id=\"aria-and-keyboard\">ARIA and KeyBoard<a href=\"#aria-and-keyboard\" class=\"anchor\">#</a></h2><table>\n<thead>\n<tr>\n<th style=\"text-align:left\">&#x6309;&#x952E;</th>\n<th style=\"text-align:left\">&#x8BF4;&#x660E;</th>\n</tr>\n</thead>\n<tbody>\n<tr>\n<td style=\"text-align:left\">Enter</td>\n<td style=\"text-align:left\">Open time select popup</td>\n</tr>\n<tr>\n<td style=\"text-align:left\">Esc</td>\n<td style=\"text-align:left\">Close time select popup</td>\n</tr>\n<tr>\n<td style=\"text-align:left\">Up</td>\n<td style=\"text-align:left\">Input previous seconds &#xFF08;if <code>disabledMinutes={true}</code> is previous minutes or previous hours&#xFF09;</td>\n</tr>\n<tr>\n<td style=\"text-align:left\">Down</td>\n<td style=\"text-align:left\">Input next seconds &#xFF08;if <code>disabledMinutes={true}</code>  is next minutes or next hours&#xFF09;</td>\n</tr>\n<tr>\n<td style=\"text-align:left\">Page Up</td>\n<td style=\"text-align:left\">Input previous minutes</td>\n</tr>\n<tr>\n<td style=\"text-align:left\">Page Down</td>\n<td style=\"text-align:left\">Input next minutes</td>\n</tr>\n<tr>\n<td style=\"text-align:left\">Alt + Page Up</td>\n<td style=\"text-align:left\">Input previous hours</td>\n</tr>\n<tr>\n<td style=\"text-align:left\">Alt + Page Down</td>\n<td style=\"text-align:left\">Input next hours</td>\n</tr>\n</tbody>\n</table>\n"}