{"title":"可搜索的树","meta":{"title":"可搜索的树","description":"\n<p>展示可搜索的树。</p>\n","order":"6"},"codes":{"jsx":"import { Search, Tree } from '@alifd/next';\n\nconst data = [{\n    label: 'Component',\n    key: '1',\n    children: [{\n        label: 'Form',\n        key: '2',\n        children: [{\n            label: 'Input',\n            key: '4'\n        }, {\n            label: 'Select',\n            key: '5'\n        }]\n    }, {\n        label: 'Display',\n        key: '3',\n        children: [{\n            label: 'Table',\n            key: '6'\n        }]\n    }]\n}];\n\nclass Demo extends React.Component {\n    constructor(props) {\n        super(props);\n\n        this.state = {\n            expandedKeys: ['2'],\n            autoExpandParent: true\n        };\n        this.matchedKeys = [];\n        this.handleSearch = this.handleSearch.bind(this);\n        this.handleExpand = this.handleExpand.bind(this);\n    }\n\n    handleSearch(value) {\n        value = value.trim();\n        if (!value) {\n            this.matchedKeys = null;\n            return;\n        }\n\n        const matchedKeys = [];\n        const loop = data => data.forEach(item => {\n            if (item.label.indexOf(value) > -1) {\n                matchedKeys.push(item.key);\n            }\n            if (item.children && item.children.length) {\n                loop(item.children);\n            }\n        });\n        loop(data);\n\n        this.setState({\n            expandedKeys: [...matchedKeys],\n            autoExpandParent: true\n        });\n        this.matchedKeys = matchedKeys;\n    }\n\n    handleExpand(keys) {\n        this.setState({\n            expandedKeys: keys,\n            autoExpandParent: false\n        });\n    }\n\n    render() {\n        const { expandedKeys, autoExpandParent } = this.state;\n        const filterTreeNode = node => {\n            return this.matchedKeys && this.matchedKeys.indexOf(node.props.eventKey) > -1;\n        };\n\n        return (\n            <div>\n                <Search shape=\"simple\" size=\"medium\" style={{ width: '200px', marginBottom: '10px' }} onChange={this.handleSearch} />\n                <Tree expandedKeys={expandedKeys} autoExpandParent={autoExpandParent} filterTreeNode={filterTreeNode} onExpand={this.handleExpand} dataSource={data} />\n            </div>\n        );\n    }\n}\n\nReactDOM.render(<Demo />, mountNode);\n"},"body":"\n\n````jsx\nimport { Search, Tree } from '@alifd/next';\n\nconst data = [{\n    label: 'Component',\n    key: '1',\n    children: [{\n        label: 'Form',\n        key: '2',\n        children: [{\n            label: 'Input',\n            key: '4'\n        }, {\n            label: 'Select',\n            key: '5'\n        }]\n    }, {\n        label: 'Display',\n        key: '3',\n        children: [{\n            label: 'Table',\n            key: '6'\n        }]\n    }]\n}];\n\nclass Demo extends React.Component {\n    constructor(props) {\n        super(props);\n\n        this.state = {\n            expandedKeys: ['2'],\n            autoExpandParent: true\n        };\n        this.matchedKeys = [];\n        this.handleSearch = this.handleSearch.bind(this);\n        this.handleExpand = this.handleExpand.bind(this);\n    }\n\n    handleSearch(value) {\n        value = value.trim();\n        if (!value) {\n            this.matchedKeys = null;\n            return;\n        }\n\n        const matchedKeys = [];\n        const loop = data => data.forEach(item => {\n            if (item.label.indexOf(value) > -1) {\n                matchedKeys.push(item.key);\n            }\n            if (item.children && item.children.length) {\n                loop(item.children);\n            }\n        });\n        loop(data);\n\n        this.setState({\n            expandedKeys: [...matchedKeys],\n            autoExpandParent: true\n        });\n        this.matchedKeys = matchedKeys;\n    }\n\n    handleExpand(keys) {\n        this.setState({\n            expandedKeys: keys,\n            autoExpandParent: false\n        });\n    }\n\n    render() {\n        const { expandedKeys, autoExpandParent } = this.state;\n        const filterTreeNode = node => {\n            return this.matchedKeys && this.matchedKeys.indexOf(node.props.eventKey) > -1;\n        };\n\n        return (\n            <div>\n                <Search shape=\"simple\" size=\"medium\" style={{ width: '200px', marginBottom: '10px' }} onChange={this.handleSearch} />\n                <Tree expandedKeys={expandedKeys} autoExpandParent={autoExpandParent} filterTreeNode={filterTreeNode} onExpand={this.handleExpand} dataSource={data} />\n            </div>\n        );\n    }\n}\n\nReactDOM.render(<Demo />, mountNode);\n````","html":"<script>(function(){'use strict';\n\nvar _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if (\"value\" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();\n\nvar _next = require('@alifd/next');\n\nfunction _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError(\"Cannot call a class as a function\"); } }\n\nfunction _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError(\"this hasn't been initialised - super() hasn't been called\"); } return call && (typeof call === \"object\" || typeof call === \"function\") ? call : self; }\n\nfunction _inherits(subClass, superClass) { if (typeof superClass !== \"function\" && superClass !== null) { throw new TypeError(\"Super expression must either be null or a function, not \" + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }\n\nvar data = [{\n    label: 'Component',\n    key: '1',\n    children: [{\n        label: 'Form',\n        key: '2',\n        children: [{\n            label: 'Input',\n            key: '4'\n        }, {\n            label: 'Select',\n            key: '5'\n        }]\n    }, {\n        label: 'Display',\n        key: '3',\n        children: [{\n            label: 'Table',\n            key: '6'\n        }]\n    }]\n}];\n\nvar Demo = function (_React$Component) {\n    _inherits(Demo, _React$Component);\n\n    function Demo(props) {\n        _classCallCheck(this, Demo);\n\n        var _this = _possibleConstructorReturn(this, (Demo.__proto__ || Object.getPrototypeOf(Demo)).call(this, props));\n\n        _this.state = {\n            expandedKeys: ['2'],\n            autoExpandParent: true\n        };\n        _this.matchedKeys = [];\n        _this.handleSearch = _this.handleSearch.bind(_this);\n        _this.handleExpand = _this.handleExpand.bind(_this);\n        return _this;\n    }\n\n    _createClass(Demo, [{\n        key: 'handleSearch',\n        value: function handleSearch(value) {\n            value = value.trim();\n            if (!value) {\n                this.matchedKeys = null;\n                return;\n            }\n\n            var matchedKeys = [];\n            var loop = function loop(data) {\n                return data.forEach(function (item) {\n                    if (item.label.indexOf(value) > -1) {\n                        matchedKeys.push(item.key);\n                    }\n                    if (item.children && item.children.length) {\n                        loop(item.children);\n                    }\n                });\n            };\n            loop(data);\n\n            this.setState({\n                expandedKeys: [].concat(matchedKeys),\n                autoExpandParent: true\n            });\n            this.matchedKeys = matchedKeys;\n        }\n    }, {\n        key: 'handleExpand',\n        value: function handleExpand(keys) {\n            this.setState({\n                expandedKeys: keys,\n                autoExpandParent: false\n            });\n        }\n    }, {\n        key: 'render',\n        value: function render() {\n            var _this2 = this;\n\n            var _state = this.state,\n                expandedKeys = _state.expandedKeys,\n                autoExpandParent = _state.autoExpandParent;\n\n            var filterTreeNode = function filterTreeNode(node) {\n                return _this2.matchedKeys && _this2.matchedKeys.indexOf(node.props.eventKey) > -1;\n            };\n\n            return React.createElement(\n                'div',\n                null,\n                React.createElement(_next.Search, { shape: 'simple', size: 'medium', style: { width: '200px', marginBottom: '10px' }, onChange: this.handleSearch }),\n                React.createElement(_next.Tree, { expandedKeys: expandedKeys, autoExpandParent: autoExpandParent, filterTreeNode: filterTreeNode, onExpand: this.handleExpand, dataSource: data })\n            );\n        }\n    }]);\n\n    return Demo;\n}(React.Component);\n\nReactDOM.render(React.createElement(Demo, null), mountNode);})()</script><div class=\"highlight\"><pre class=\"language-jsx\"><code class=\"language-jsx\"><span class=\"token keyword\">import</span> <span class=\"token punctuation\">{</span> Search<span class=\"token punctuation\">,</span> Tree <span class=\"token punctuation\">}</span> <span class=\"token keyword\">from</span> <span class=\"token string\">'@alifd/next'</span><span class=\"token punctuation\">;</span>\n\n<span class=\"token keyword\">const</span> data <span class=\"token operator\">=</span> <span class=\"token punctuation\">[</span><span class=\"token punctuation\">{</span>\n    label<span class=\"token punctuation\">:</span> <span class=\"token string\">'Component'</span><span class=\"token punctuation\">,</span>\n    key<span class=\"token punctuation\">:</span> <span class=\"token string\">'1'</span><span class=\"token punctuation\">,</span>\n    children<span class=\"token punctuation\">:</span> <span class=\"token punctuation\">[</span><span class=\"token punctuation\">{</span>\n        label<span class=\"token punctuation\">:</span> <span class=\"token string\">'Form'</span><span class=\"token punctuation\">,</span>\n        key<span class=\"token punctuation\">:</span> <span class=\"token string\">'2'</span><span class=\"token punctuation\">,</span>\n        children<span class=\"token punctuation\">:</span> <span class=\"token punctuation\">[</span><span class=\"token punctuation\">{</span>\n            label<span class=\"token punctuation\">:</span> <span class=\"token string\">'Input'</span><span class=\"token punctuation\">,</span>\n            key<span class=\"token punctuation\">:</span> <span class=\"token string\">'4'</span>\n        <span class=\"token punctuation\">}</span><span class=\"token punctuation\">,</span> <span class=\"token punctuation\">{</span>\n            label<span class=\"token punctuation\">:</span> <span class=\"token string\">'Select'</span><span class=\"token punctuation\">,</span>\n            key<span class=\"token punctuation\">:</span> <span class=\"token string\">'5'</span>\n        <span class=\"token punctuation\">}</span><span class=\"token punctuation\">]</span>\n    <span class=\"token punctuation\">}</span><span class=\"token punctuation\">,</span> <span class=\"token punctuation\">{</span>\n        label<span class=\"token punctuation\">:</span> <span class=\"token string\">'Display'</span><span class=\"token punctuation\">,</span>\n        key<span class=\"token punctuation\">:</span> <span class=\"token string\">'3'</span><span class=\"token punctuation\">,</span>\n        children<span class=\"token punctuation\">:</span> <span class=\"token punctuation\">[</span><span class=\"token punctuation\">{</span>\n            label<span class=\"token punctuation\">:</span> <span class=\"token string\">'Table'</span><span class=\"token punctuation\">,</span>\n            key<span class=\"token punctuation\">:</span> <span class=\"token string\">'6'</span>\n        <span class=\"token punctuation\">}</span><span class=\"token punctuation\">]</span>\n    <span class=\"token punctuation\">}</span><span class=\"token punctuation\">]</span>\n<span class=\"token punctuation\">}</span><span class=\"token punctuation\">]</span><span class=\"token punctuation\">;</span>\n\n<span class=\"token keyword\">class</span> <span class=\"token class-name\">Demo</span> <span class=\"token keyword\">extends</span> <span class=\"token class-name\">React<span class=\"token punctuation\">.</span>Component</span> <span class=\"token punctuation\">{</span>\n    <span class=\"token function\">constructor</span><span class=\"token punctuation\">(</span><span class=\"token parameter\">props</span><span class=\"token punctuation\">)</span> <span class=\"token punctuation\">{</span>\n        <span class=\"token keyword\">super</span><span class=\"token punctuation\">(</span>props<span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n\n        <span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span>state <span class=\"token operator\">=</span> <span class=\"token punctuation\">{</span>\n            expandedKeys<span class=\"token punctuation\">:</span> <span class=\"token punctuation\">[</span><span class=\"token string\">'2'</span><span class=\"token punctuation\">]</span><span class=\"token punctuation\">,</span>\n            autoExpandParent<span class=\"token punctuation\">:</span> <span class=\"token boolean\">true</span>\n        <span class=\"token punctuation\">}</span><span class=\"token punctuation\">;</span>\n        <span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span>matchedKeys <span class=\"token operator\">=</span> <span class=\"token punctuation\">[</span><span class=\"token punctuation\">]</span><span class=\"token punctuation\">;</span>\n        <span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span>handleSearch <span class=\"token operator\">=</span> <span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span><span class=\"token function\">handleSearch</span><span class=\"token punctuation\">.</span><span class=\"token function\">bind</span><span class=\"token punctuation\">(</span><span class=\"token keyword\">this</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n        <span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span>handleExpand <span class=\"token operator\">=</span> <span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span><span class=\"token function\">handleExpand</span><span class=\"token punctuation\">.</span><span class=\"token function\">bind</span><span class=\"token punctuation\">(</span><span class=\"token keyword\">this</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n    <span class=\"token punctuation\">}</span>\n\n    <span class=\"token function\">handleSearch</span><span class=\"token punctuation\">(</span><span class=\"token parameter\">value</span><span class=\"token punctuation\">)</span> <span class=\"token punctuation\">{</span>\n        value <span class=\"token operator\">=</span> value<span class=\"token punctuation\">.</span><span class=\"token function\">trim</span><span class=\"token punctuation\">(</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n        <span class=\"token keyword\">if</span> <span class=\"token punctuation\">(</span><span class=\"token operator\">!</span>value<span class=\"token punctuation\">)</span> <span class=\"token punctuation\">{</span>\n            <span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span>matchedKeys <span class=\"token operator\">=</span> <span class=\"token keyword\">null</span><span class=\"token punctuation\">;</span>\n            <span class=\"token keyword\">return</span><span class=\"token punctuation\">;</span>\n        <span class=\"token punctuation\">}</span>\n\n        <span class=\"token keyword\">const</span> matchedKeys <span class=\"token operator\">=</span> <span class=\"token punctuation\">[</span><span class=\"token punctuation\">]</span><span class=\"token punctuation\">;</span>\n        <span class=\"token keyword\">const</span> <span class=\"token function-variable function\">loop</span> <span class=\"token operator\">=</span> <span class=\"token parameter\">data</span> <span class=\"token operator\">=></span> data<span class=\"token punctuation\">.</span><span class=\"token function\">forEach</span><span class=\"token punctuation\">(</span><span class=\"token parameter\">item</span> <span class=\"token operator\">=></span> <span class=\"token punctuation\">{</span>\n            <span class=\"token keyword\">if</span> <span class=\"token punctuation\">(</span>item<span class=\"token punctuation\">.</span>label<span class=\"token punctuation\">.</span><span class=\"token function\">indexOf</span><span class=\"token punctuation\">(</span>value<span class=\"token punctuation\">)</span> <span class=\"token operator\">></span> <span class=\"token operator\">-</span><span class=\"token number\">1</span><span class=\"token punctuation\">)</span> <span class=\"token punctuation\">{</span>\n                matchedKeys<span class=\"token punctuation\">.</span><span class=\"token function\">push</span><span class=\"token punctuation\">(</span>item<span class=\"token punctuation\">.</span>key<span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n            <span class=\"token punctuation\">}</span>\n            <span class=\"token keyword\">if</span> <span class=\"token punctuation\">(</span>item<span class=\"token punctuation\">.</span>children <span class=\"token operator\">&amp;&amp;</span> item<span class=\"token punctuation\">.</span>children<span class=\"token punctuation\">.</span>length<span class=\"token punctuation\">)</span> <span class=\"token punctuation\">{</span>\n                <span class=\"token function\">loop</span><span class=\"token punctuation\">(</span>item<span class=\"token punctuation\">.</span>children<span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n            <span class=\"token punctuation\">}</span>\n        <span class=\"token punctuation\">}</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n        <span class=\"token function\">loop</span><span class=\"token punctuation\">(</span>data<span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n\n        <span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span><span class=\"token function\">setState</span><span class=\"token punctuation\">(</span><span class=\"token punctuation\">{</span>\n            expandedKeys<span class=\"token punctuation\">:</span> <span class=\"token punctuation\">[</span><span class=\"token operator\">...</span>matchedKeys<span class=\"token punctuation\">]</span><span class=\"token punctuation\">,</span>\n            autoExpandParent<span class=\"token punctuation\">:</span> <span class=\"token boolean\">true</span>\n        <span class=\"token punctuation\">}</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n        <span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span>matchedKeys <span class=\"token operator\">=</span> matchedKeys<span class=\"token punctuation\">;</span>\n    <span class=\"token punctuation\">}</span>\n\n    <span class=\"token function\">handleExpand</span><span class=\"token punctuation\">(</span><span class=\"token parameter\">keys</span><span class=\"token punctuation\">)</span> <span class=\"token punctuation\">{</span>\n        <span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span><span class=\"token function\">setState</span><span class=\"token punctuation\">(</span><span class=\"token punctuation\">{</span>\n            expandedKeys<span class=\"token punctuation\">:</span> keys<span class=\"token punctuation\">,</span>\n            autoExpandParent<span class=\"token punctuation\">:</span> <span class=\"token boolean\">false</span>\n        <span class=\"token punctuation\">}</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n    <span class=\"token punctuation\">}</span>\n\n    <span class=\"token function\">render</span><span class=\"token punctuation\">(</span><span class=\"token punctuation\">)</span> <span class=\"token punctuation\">{</span>\n        <span class=\"token keyword\">const</span> <span class=\"token punctuation\">{</span> expandedKeys<span class=\"token punctuation\">,</span> autoExpandParent <span class=\"token punctuation\">}</span> <span class=\"token operator\">=</span> <span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span>state<span class=\"token punctuation\">;</span>\n        <span class=\"token keyword\">const</span> <span class=\"token function-variable function\">filterTreeNode</span> <span class=\"token operator\">=</span> <span class=\"token parameter\">node</span> <span class=\"token operator\">=></span> <span class=\"token punctuation\">{</span>\n            <span class=\"token keyword\">return</span> <span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span>matchedKeys <span class=\"token operator\">&amp;&amp;</span> <span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span>matchedKeys<span class=\"token punctuation\">.</span><span class=\"token function\">indexOf</span><span class=\"token punctuation\">(</span>node<span class=\"token punctuation\">.</span>props<span class=\"token punctuation\">.</span>eventKey<span class=\"token punctuation\">)</span> <span class=\"token operator\">></span> <span class=\"token operator\">-</span><span class=\"token number\">1</span><span class=\"token punctuation\">;</span>\n        <span class=\"token punctuation\">}</span><span class=\"token punctuation\">;</span>\n\n        <span class=\"token keyword\">return</span> <span class=\"token punctuation\">(</span>\n            <span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span>div</span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Search</span></span> <span class=\"token attr-name\">shape</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>simple<span class=\"token punctuation\">\"</span></span> <span class=\"token attr-name\">size</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>medium<span class=\"token punctuation\">\"</span></span> <span class=\"token attr-name\">style</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token punctuation\">{</span> width<span class=\"token punctuation\">:</span> <span class=\"token string\">'200px'</span><span class=\"token punctuation\">,</span> marginBottom<span class=\"token punctuation\">:</span> <span class=\"token string\">'10px'</span> <span class=\"token punctuation\">}</span><span class=\"token punctuation\">}</span></span> <span class=\"token attr-name\">onChange</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span>handleSearch<span class=\"token punctuation\">}</span></span> <span class=\"token punctuation\">/></span></span><span class=\"token plain-text\">\n                </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Tree</span></span> <span class=\"token attr-name\">expandedKeys</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span>expandedKeys<span class=\"token punctuation\">}</span></span> <span class=\"token attr-name\">autoExpandParent</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span>autoExpandParent<span class=\"token punctuation\">}</span></span> <span class=\"token attr-name\">filterTreeNode</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span>filterTreeNode<span class=\"token punctuation\">}</span></span> <span class=\"token attr-name\">onExpand</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span>handleExpand<span class=\"token punctuation\">}</span></span> <span class=\"token attr-name\">dataSource</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span>data<span class=\"token punctuation\">}</span></span> <span class=\"token punctuation\">/></span></span><span class=\"token plain-text\">\n            </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span>div</span><span class=\"token punctuation\">></span></span>\n        <span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n    <span class=\"token punctuation\">}</span>\n<span class=\"token punctuation\">}</span>\n\nReactDOM<span class=\"token punctuation\">.</span><span class=\"token function\">render</span><span class=\"token punctuation\">(</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Demo</span></span> <span class=\"token punctuation\">/></span></span><span class=\"token punctuation\">,</span> mountNode<span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span></code></pre></div>"}