{"title":"basic","meta":{"title":"basic","description":"\n<p>simple usage</p>\n","order":"0"},"codes":{"jsx":"import { Typography } from '@alifd/next';\n\nconst { H1, H2, Paragraph, Text } = Typography;\n\nReactDOM.render(\n  <Typography>\n    <H1>Fusion 简介</H1>\n    <Paragraph>\n      Fusion 是一套企业级中后台UI的解决方案，致力于解决设计师与前端在产品体验一致性、工作协同、开发效率方面的问题。通过协助业务线构建设计系统，提供系统化工具协助设计师前端使用设计系统，下游提供一站式设计项目协作平台；打通互联网产品从设计到开发的工作流。\n    </Paragraph>\n    <Paragraph>\n      Fusion Design 产品创建于2015年底，阿里巴巴集团中台战略背景下，由国际UED（现国际用户体验事业部）与B2B技术部成立中台DPL项目。从国际UED，天猫，商家等各类业务形态中抽象解构，通过一套设计系统协议提升<Text mark>设计与开发效率</Text>，以统一的物料分发工具提升团队协同能力，借助灵活的在线样式配置支撑业务的设计创新。\n    </Paragraph>\n    <H2>Fusion 的能力</H2>\n    <Paragraph>\n      我们提供完善的设计原则、最佳实践和设计资源文件（<Text code>Sketch</Text> 和{' '}\n      <Text code>Axure</Text>），来帮助业务快速设计出高质量的产品原型。\n    </Paragraph>\n\n    <Paragraph component=\"div\">\n      <ul>\n        <li>\n          通过构建一套标准化中后台体验设计原则，提升中后台产品体验一致性问题。\n        </li>\n        <li>\n          通过Fusion平台的主题配置能力，线上优化品牌样式并同步物料给设计师与开发使用，做到品牌样式迭代0成本。节省了大量的设计师和开发工作量。\n        </li>\n        <li>\n          设计可直接在<Text code>sketch</Text>（通过插件<Text code>FusionCool</Text>）使用配好的组件画设计稿；开发可在本地工程里面使用配好的主题开发项目，不需要关心组件样式（未来甚至页面样式）；从而打破协作壁垒，让合作更加顺畅。\n        </li>\n        <li>\n          通过 <Text code>FusionCool</Text> 可以直接方便的沉淀模块模板；通过脚手架工具可以方便的沉淀业务组件、代码端； 让项目更快落地。\n        </li>\n      </ul>\n    </Paragraph>\n  </Typography>,\n  mountNode,\n);\n"},"body":"\n```jsx\nimport { Typography } from '@alifd/next';\n\nconst { H1, H2, Paragraph, Text } = Typography;\n\nReactDOM.render(\n  <Typography>\n    <H1>Fusion 简介</H1>\n    <Paragraph>\n      Fusion 是一套企业级中后台UI的解决方案，致力于解决设计师与前端在产品体验一致性、工作协同、开发效率方面的问题。通过协助业务线构建设计系统，提供系统化工具协助设计师前端使用设计系统，下游提供一站式设计项目协作平台；打通互联网产品从设计到开发的工作流。\n    </Paragraph>\n    <Paragraph>\n      Fusion Design 产品创建于2015年底，阿里巴巴集团中台战略背景下，由国际UED（现国际用户体验事业部）与B2B技术部成立中台DPL项目。从国际UED，天猫，商家等各类业务形态中抽象解构，通过一套设计系统协议提升<Text mark>设计与开发效率</Text>，以统一的物料分发工具提升团队协同能力，借助灵活的在线样式配置支撑业务的设计创新。\n    </Paragraph>\n    <H2>Fusion 的能力</H2>\n    <Paragraph>\n      我们提供完善的设计原则、最佳实践和设计资源文件（<Text code>Sketch</Text> 和{' '}\n      <Text code>Axure</Text>），来帮助业务快速设计出高质量的产品原型。\n    </Paragraph>\n\n    <Paragraph component=\"div\">\n      <ul>\n        <li>\n          通过构建一套标准化中后台体验设计原则，提升中后台产品体验一致性问题。\n        </li>\n        <li>\n          通过Fusion平台的主题配置能力，线上优化品牌样式并同步物料给设计师与开发使用，做到品牌样式迭代0成本。节省了大量的设计师和开发工作量。\n        </li>\n        <li>\n          设计可直接在<Text code>sketch</Text>（通过插件<Text code>FusionCool</Text>）使用配好的组件画设计稿；开发可在本地工程里面使用配好的主题开发项目，不需要关心组件样式（未来甚至页面样式）；从而打破协作壁垒，让合作更加顺畅。\n        </li>\n        <li>\n          通过 <Text code>FusionCool</Text> 可以直接方便的沉淀模块模板；通过脚手架工具可以方便的沉淀业务组件、代码端； 让项目更快落地。\n        </li>\n      </ul>\n    </Paragraph>\n  </Typography>,\n  mountNode,\n);\n```","html":"<script>(function(){'use strict';\n\nvar _next = require('@alifd/next');\n\nvar H1 = _next.Typography.H1,\n    H2 = _next.Typography.H2,\n    Paragraph = _next.Typography.Paragraph,\n    Text = _next.Typography.Text;\n\n\nReactDOM.render(React.createElement(\n  _next.Typography,\n  null,\n  React.createElement(\n    H1,\n    null,\n    'Fusion \\u7B80\\u4ECB'\n  ),\n  React.createElement(\n    Paragraph,\n    null,\n    'Fusion \\u662F\\u4E00\\u5957\\u4F01\\u4E1A\\u7EA7\\u4E2D\\u540E\\u53F0UI\\u7684\\u89E3\\u51B3\\u65B9\\u6848\\uFF0C\\u81F4\\u529B\\u4E8E\\u89E3\\u51B3\\u8BBE\\u8BA1\\u5E08\\u4E0E\\u524D\\u7AEF\\u5728\\u4EA7\\u54C1\\u4F53\\u9A8C\\u4E00\\u81F4\\u6027\\u3001\\u5DE5\\u4F5C\\u534F\\u540C\\u3001\\u5F00\\u53D1\\u6548\\u7387\\u65B9\\u9762\\u7684\\u95EE\\u9898\\u3002\\u901A\\u8FC7\\u534F\\u52A9\\u4E1A\\u52A1\\u7EBF\\u6784\\u5EFA\\u8BBE\\u8BA1\\u7CFB\\u7EDF\\uFF0C\\u63D0\\u4F9B\\u7CFB\\u7EDF\\u5316\\u5DE5\\u5177\\u534F\\u52A9\\u8BBE\\u8BA1\\u5E08\\u524D\\u7AEF\\u4F7F\\u7528\\u8BBE\\u8BA1\\u7CFB\\u7EDF\\uFF0C\\u4E0B\\u6E38\\u63D0\\u4F9B\\u4E00\\u7AD9\\u5F0F\\u8BBE\\u8BA1\\u9879\\u76EE\\u534F\\u4F5C\\u5E73\\u53F0\\uFF1B\\u6253\\u901A\\u4E92\\u8054\\u7F51\\u4EA7\\u54C1\\u4ECE\\u8BBE\\u8BA1\\u5230\\u5F00\\u53D1\\u7684\\u5DE5\\u4F5C\\u6D41\\u3002'\n  ),\n  React.createElement(\n    Paragraph,\n    null,\n    'Fusion Design \\u4EA7\\u54C1\\u521B\\u5EFA\\u4E8E2015\\u5E74\\u5E95\\uFF0C\\u963F\\u91CC\\u5DF4\\u5DF4\\u96C6\\u56E2\\u4E2D\\u53F0\\u6218\\u7565\\u80CC\\u666F\\u4E0B\\uFF0C\\u7531\\u56FD\\u9645UED\\uFF08\\u73B0\\u56FD\\u9645\\u7528\\u6237\\u4F53\\u9A8C\\u4E8B\\u4E1A\\u90E8\\uFF09\\u4E0EB2B\\u6280\\u672F\\u90E8\\u6210\\u7ACB\\u4E2D\\u53F0DPL\\u9879\\u76EE\\u3002\\u4ECE\\u56FD\\u9645UED\\uFF0C\\u5929\\u732B\\uFF0C\\u5546\\u5BB6\\u7B49\\u5404\\u7C7B\\u4E1A\\u52A1\\u5F62\\u6001\\u4E2D\\u62BD\\u8C61\\u89E3\\u6784\\uFF0C\\u901A\\u8FC7\\u4E00\\u5957\\u8BBE\\u8BA1\\u7CFB\\u7EDF\\u534F\\u8BAE\\u63D0\\u5347',\n    React.createElement(\n      Text,\n      { mark: true },\n      '\\u8BBE\\u8BA1\\u4E0E\\u5F00\\u53D1\\u6548\\u7387'\n    ),\n    '\\uFF0C\\u4EE5\\u7EDF\\u4E00\\u7684\\u7269\\u6599\\u5206\\u53D1\\u5DE5\\u5177\\u63D0\\u5347\\u56E2\\u961F\\u534F\\u540C\\u80FD\\u529B\\uFF0C\\u501F\\u52A9\\u7075\\u6D3B\\u7684\\u5728\\u7EBF\\u6837\\u5F0F\\u914D\\u7F6E\\u652F\\u6491\\u4E1A\\u52A1\\u7684\\u8BBE\\u8BA1\\u521B\\u65B0\\u3002'\n  ),\n  React.createElement(\n    H2,\n    null,\n    'Fusion \\u7684\\u80FD\\u529B'\n  ),\n  React.createElement(\n    Paragraph,\n    null,\n    '\\u6211\\u4EEC\\u63D0\\u4F9B\\u5B8C\\u5584\\u7684\\u8BBE\\u8BA1\\u539F\\u5219\\u3001\\u6700\\u4F73\\u5B9E\\u8DF5\\u548C\\u8BBE\\u8BA1\\u8D44\\u6E90\\u6587\\u4EF6\\uFF08',\n    React.createElement(\n      Text,\n      { code: true },\n      'Sketch'\n    ),\n    ' \\u548C',\n    ' ',\n    React.createElement(\n      Text,\n      { code: true },\n      'Axure'\n    ),\n    '\\uFF09\\uFF0C\\u6765\\u5E2E\\u52A9\\u4E1A\\u52A1\\u5FEB\\u901F\\u8BBE\\u8BA1\\u51FA\\u9AD8\\u8D28\\u91CF\\u7684\\u4EA7\\u54C1\\u539F\\u578B\\u3002'\n  ),\n  React.createElement(\n    Paragraph,\n    { component: 'div' },\n    React.createElement(\n      'ul',\n      null,\n      React.createElement(\n        'li',\n        null,\n        '\\u901A\\u8FC7\\u6784\\u5EFA\\u4E00\\u5957\\u6807\\u51C6\\u5316\\u4E2D\\u540E\\u53F0\\u4F53\\u9A8C\\u8BBE\\u8BA1\\u539F\\u5219\\uFF0C\\u63D0\\u5347\\u4E2D\\u540E\\u53F0\\u4EA7\\u54C1\\u4F53\\u9A8C\\u4E00\\u81F4\\u6027\\u95EE\\u9898\\u3002'\n      ),\n      React.createElement(\n        'li',\n        null,\n        '\\u901A\\u8FC7Fusion\\u5E73\\u53F0\\u7684\\u4E3B\\u9898\\u914D\\u7F6E\\u80FD\\u529B\\uFF0C\\u7EBF\\u4E0A\\u4F18\\u5316\\u54C1\\u724C\\u6837\\u5F0F\\u5E76\\u540C\\u6B65\\u7269\\u6599\\u7ED9\\u8BBE\\u8BA1\\u5E08\\u4E0E\\u5F00\\u53D1\\u4F7F\\u7528\\uFF0C\\u505A\\u5230\\u54C1\\u724C\\u6837\\u5F0F\\u8FED\\u4EE30\\u6210\\u672C\\u3002\\u8282\\u7701\\u4E86\\u5927\\u91CF\\u7684\\u8BBE\\u8BA1\\u5E08\\u548C\\u5F00\\u53D1\\u5DE5\\u4F5C\\u91CF\\u3002'\n      ),\n      React.createElement(\n        'li',\n        null,\n        '\\u8BBE\\u8BA1\\u53EF\\u76F4\\u63A5\\u5728',\n        React.createElement(\n          Text,\n          { code: true },\n          'sketch'\n        ),\n        '\\uFF08\\u901A\\u8FC7\\u63D2\\u4EF6',\n        React.createElement(\n          Text,\n          { code: true },\n          'FusionCool'\n        ),\n        '\\uFF09\\u4F7F\\u7528\\u914D\\u597D\\u7684\\u7EC4\\u4EF6\\u753B\\u8BBE\\u8BA1\\u7A3F\\uFF1B\\u5F00\\u53D1\\u53EF\\u5728\\u672C\\u5730\\u5DE5\\u7A0B\\u91CC\\u9762\\u4F7F\\u7528\\u914D\\u597D\\u7684\\u4E3B\\u9898\\u5F00\\u53D1\\u9879\\u76EE\\uFF0C\\u4E0D\\u9700\\u8981\\u5173\\u5FC3\\u7EC4\\u4EF6\\u6837\\u5F0F\\uFF08\\u672A\\u6765\\u751A\\u81F3\\u9875\\u9762\\u6837\\u5F0F\\uFF09\\uFF1B\\u4ECE\\u800C\\u6253\\u7834\\u534F\\u4F5C\\u58C1\\u5792\\uFF0C\\u8BA9\\u5408\\u4F5C\\u66F4\\u52A0\\u987A\\u7545\\u3002'\n      ),\n      React.createElement(\n        'li',\n        null,\n        '\\u901A\\u8FC7 ',\n        React.createElement(\n          Text,\n          { code: true },\n          'FusionCool'\n        ),\n        ' \\u53EF\\u4EE5\\u76F4\\u63A5\\u65B9\\u4FBF\\u7684\\u6C89\\u6DC0\\u6A21\\u5757\\u6A21\\u677F\\uFF1B\\u901A\\u8FC7\\u811A\\u624B\\u67B6\\u5DE5\\u5177\\u53EF\\u4EE5\\u65B9\\u4FBF\\u7684\\u6C89\\u6DC0\\u4E1A\\u52A1\\u7EC4\\u4EF6\\u3001\\u4EE3\\u7801\\u7AEF\\uFF1B \\u8BA9\\u9879\\u76EE\\u66F4\\u5FEB\\u843D\\u5730\\u3002'\n      )\n    )\n  )\n), mountNode);})()</script><div class=\"highlight\"><pre class=\"language-jsx\"><code class=\"language-jsx\"><span class=\"token keyword\">import</span> <span class=\"token punctuation\">{</span> Typography <span class=\"token punctuation\">}</span> <span class=\"token keyword\">from</span> <span class=\"token string\">'@alifd/next'</span><span class=\"token punctuation\">;</span>\n\n<span class=\"token keyword\">const</span> <span class=\"token punctuation\">{</span> <span class=\"token constant\">H1</span><span class=\"token punctuation\">,</span> <span class=\"token constant\">H2</span><span class=\"token punctuation\">,</span> Paragraph<span class=\"token punctuation\">,</span> Text <span class=\"token punctuation\">}</span> <span class=\"token operator\">=</span> Typography<span class=\"token punctuation\">;</span>\n\nReactDOM<span class=\"token punctuation\">.</span><span class=\"token function\">render</span><span class=\"token punctuation\">(</span>\n  <span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Typography</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n    </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">H1</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">Fusion 简介</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">H1</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n    </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Paragraph</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n      Fusion 是一套企业级中后台UI的解决方案，致力于解决设计师与前端在产品体验一致性、工作协同、开发效率方面的问题。通过协助业务线构建设计系统，提供系统化工具协助设计师前端使用设计系统，下游提供一站式设计项目协作平台；打通互联网产品从设计到开发的工作流。\n    </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">Paragraph</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n    </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Paragraph</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n      Fusion Design 产品创建于2015年底，阿里巴巴集团中台战略背景下，由国际UED（现国际用户体验事业部）与B2B技术部成立中台DPL项目。从国际UED，天猫，商家等各类业务形态中抽象解构，通过一套设计系统协议提升</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Text</span></span> <span class=\"token attr-name\">mark</span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">设计与开发效率</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">Text</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">，以统一的物料分发工具提升团队协同能力，借助灵活的在线样式配置支撑业务的设计创新。\n    </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">Paragraph</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n    </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">H2</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">Fusion 的能力</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">H2</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n    </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Paragraph</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n      我们提供完善的设计原则、最佳实践和设计资源文件（</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Text</span></span> <span class=\"token attr-name\">code</span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">Sketch</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">Text</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\"> 和</span><span class=\"token punctuation\">{</span><span class=\"token string\">' '</span><span class=\"token punctuation\">}</span><span class=\"token plain-text\">\n      </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Text</span></span> <span class=\"token attr-name\">code</span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">Axure</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">Text</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">），来帮助业务快速设计出高质量的产品原型。\n    </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">Paragraph</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n\n    </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Paragraph</span></span> <span class=\"token attr-name\">component</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>div<span class=\"token punctuation\">\"</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n      </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span>ul</span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n        </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span>li</span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n          通过构建一套标准化中后台体验设计原则，提升中后台产品体验一致性问题。\n        </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span>li</span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n        </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span>li</span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n          通过Fusion平台的主题配置能力，线上优化品牌样式并同步物料给设计师与开发使用，做到品牌样式迭代0成本。节省了大量的设计师和开发工作量。\n        </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span>li</span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n        </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span>li</span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n          设计可直接在</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Text</span></span> <span class=\"token attr-name\">code</span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">sketch</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">Text</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">（通过插件</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Text</span></span> <span class=\"token attr-name\">code</span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">FusionCool</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">Text</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">）使用配好的组件画设计稿；开发可在本地工程里面使用配好的主题开发项目，不需要关心组件样式（未来甚至页面样式）；从而打破协作壁垒，让合作更加顺畅。\n        </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span>li</span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n        </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span>li</span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n          通过 </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Text</span></span> <span class=\"token attr-name\">code</span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">FusionCool</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">Text</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\"> 可以直接方便的沉淀模块模板；通过脚手架工具可以方便的沉淀业务组件、代码端； 让项目更快落地。\n        </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span>li</span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n      </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span>ul</span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n    </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">Paragraph</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n  </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">Typography</span></span><span class=\"token punctuation\">></span></span><span class=\"token punctuation\">,</span>\n  mountNode<span class=\"token punctuation\">,</span>\n<span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span></code></pre></div>"}